Name: alt-rootfs-installer
Version: 0.5.9
Release: alt1
Summary: Installer rootfs archive to any specified block device
License: GPL-2.0-or-later
Group: System/Configuration/Other
Url:  https://git.altlinux.org/people/antohami/packages/alt-rootfs-installer.git
BuildArch: noarch
Source0: %name-%version.tar

Provides: arm-rootfs-installer = %EVR
Obsoletes: arm-rootfs-installer < 0.2

%description
Allows one to first select a source rootfs archive installer. The rootfs must be
containing File Systems with u-boot for target board.
This fork arm-image-installer.

%prep
%setup

%install
install -d %buildroot%_datadir/%name
install -d %buildroot%_datadir/%name/socs.d
cp -a socs.d/* %buildroot%_datadir/%name/socs.d/
install -d %buildroot%_datadir/%name/boards.d
cp -a boards.d/* %buildroot%_datadir/%name/boards.d/
cp -a log %buildroot%_datadir/%name/
install -pm 644 SUPPORTED-BOARDS %buildroot%_datadir/%name

install -d %buildroot%_bindir
install -pm 0755 %name %buildroot%_bindir/

install -d %buildroot%_docdir/%name
install -pm 644 AUTHORS COPYING README SUPPORTED-BOARDS \
        %buildroot%_docdir/%name

%files
%doc %_docdir/%name
%_bindir/*
%_datadir/%name/

%changelog
