Name: alterator-kiosk
Version: 1.10
Release: alt1

Source: %name-%version.tar
Source1: activate-kiosk.sh
Source2: kiosk.service

Summary: alterator module for managing kiosk mode
License: GPLv2+
Group: System/Configuration/Other
BuildArch: noarch

BuildRequires: alterator
Requires: kiosk
Requires: kiosk-profiles = %EVR

%description
alterator module for managing kiosk mode

%package -n kiosk-profiles
Summary: profiles for kiosk
License: GPLv2+
Group: System/Configuration/Other
BuildArch: noarch

%description -n kiosk-profiles
profiles for kiosk

%prep
%setup -q

%install
%makeinstall
install -Dm 0755 %SOURCE1 %buildroot%_bindir/activate-kiosk.sh
install -Dm 0644 %SOURCE2 %buildroot%_unitdir/kiosk.service

%post
%post_service kiosk

%preun
%preun_service kiosk

%files
%_sysconfdir/alterator/kiosk/
%exclude %_sysconfdir/alterator/kiosk/profiles/
%_datadir/alterator/applications/*
%_libexecdir/alterator/backend3/*
%_datadir/alterator/ui/*
%_unitdir/kiosk.service
%_bindir/activate-kiosk.sh

%files -n kiosk-profiles
%_sysconfdir/alterator/kiosk/profiles/
%_man5dir/kiosk-profiles.5.xz

%changelog
