Name: alterator-l10n
Version: 2.9.136
Release: alt1

Summary: translations for all alterator modules
License: GPL
Group: System/Configuration/Other

Url: http://altlinux.org/alterator/l10n
Source: %name-%version.tar
Packager: Andrey Cherepanov <cas@altlinux.org>

BuildArch: noarch

Conflicts: alterator                      < 5.4.2
Conflicts: alterator-ahttpd               < 0.5-alt4
Conflicts: alterator-alternatives         < 1.1-alt1
Conflicts: alterator-dhcp                 < 0.3-alt6
Conflicts: alterator-dovecot              < 0.4-alt9
Conflicts: alterator-fbi                  < 5.5-alt1
Conflicts: alterator-groups               < 0.4-alt4
Conflicts: alterator-lilo                 < 1.1-alt6
Conflicts: alterator-mirror               < 0.1-alt3
Conflicts: alterator-net-eth              < 3.3-alt1
Conflicts: alterator-net-pptp             < 0.7-alt6
Conflicts: alterator-net-pppoe            < 0.6.1-alt6
Conflicts: alterator-net-iptables         < 0.4-alt3
Conflicts: alterator-net-wifi             < 0.6-alt8
Conflicts: alterator-notes                < 1.1-alt9
Conflicts: alterator-pkcs11               < 0.1-alt2
Conflicts: alterator-pkg                  < 2.0-alt2
Conflicts: alterator-postfix-restrictions < 0.5-alt4
Conflicts: alterator-root                 < 0.5-alt1
Conflicts: alterator-samba                < 0.6-alt2
Conflicts: alterator-services             < 1.5-alt6
Conflicts: alterator-spamassassin         < 0.7-alt4
Conflicts: alterator-squid                < 0.4-alt6
Conflicts: alterator-sysconfig            < 1.0-alt1
Conflicts: alterator-sysinfo              < 0.6-alt1
Conflicts: alterator-tzone                < 1.0-alt6
Conflicts: alterator-ulogd                < 1.3.1-alt1
Conflicts: alterator-users                < 9.3-alt3
Conflicts: alterator-vsftpd               < 0.6-alt1
Conflicts: alterator-x11                  < 0.21-alt4
Conflicts: alterator-xinetd               < 1.4-alt4
Conflicts: alterator-xkb                  < 2.1-alt2
Conflicts: alterator-wizardface           < 1.0-alt1
Conflicts: alterator-lookout              < 1.6-alt1
Conflicts: alterator-datetime             < 1.0-alt1
Conflicts: alterator-ca                   < 0.5-alt2
Conflicts: alterator-trust                < 0.6.2-alt1
Conflicts: alterator-net-openvpn          < 0.8.0-alt1
Conflicts: alterator-openvpn-server       < 0.8.0-alt1
Conflicts: alterator-sslkey               < 0.2.0-alt1
Conflicts: alterator-snort                < 0.2.0-alt1
Conflicts: alterator-hotstandby           < 0.3.3-alt1
Conflicts: alterator-printers	          < 6.0-alt8
Conflicts: alterator-drweb	          < 0.99.4-alt1
Conflicts: alterator-gpupdate             < 1.3-alt1

%description
translations for all alterator modules

%prep
%setup

%build
make check

%install
%makeinstall

%files
%config(noreplace) %dir %_sysconfdir/alterator/l10n

# Remove duplicate translations
%exclude %_datadir/locale/*/LC_MESSAGES/alterator-hpc.mo
%exclude %_datadir/locale/*/LC_MESSAGES/alterator-mkbootflash.mo
%exclude %_datadir/locale/*/LC_MESSAGES/alterator-mkve.mo
%exclude %_datadir/locale/*/LC_MESSAGES/alterator-packages.mo

%lang(en) %config(noreplace) %_sysconfdir/alterator/l10n/*-en_*
%lang(ru) %config(noreplace) %_sysconfdir/alterator/l10n/*-ru_*
%lang(tt_RU) %config(noreplace) %_sysconfdir/alterator/l10n/*-tt_RU
%lang(uk) %config(noreplace) %_sysconfdir/alterator/l10n/*-uk_*
%lang(pt_BR) %config(noreplace) %_sysconfdir/alterator/l10n/*-pt_BR
%lang(es) %config(noreplace) %_sysconfdir/alterator/l10n/*-es_*
%lang(kk) %config(noreplace) %_sysconfdir/alterator/l10n/*-kk_*
%lang(de) %config(noreplace) %_sysconfdir/alterator/l10n/*-de_*
%lang(da) %config(noreplace) %_sysconfdir/alterator/l10n/*-da_*

%dir %_datadir/alterator/help/
%lang(en) %dir %_datadir/alterator/help/en_US/
%lang(en) %_datadir/alterator/help/en_US/*.html

%lang(ru) %dir %_datadir/alterator/help/ru_RU/
%lang(ru) %_datadir/alterator/help/ru_RU/*.html
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo

%lang(tt_RU) %dir %_datadir/alterator/help/tt_RU/
%lang(tt_RU) %_datadir/alterator/help/tt_RU/*.html
%lang(tt_RU) %_datadir/locale/tt_RU/LC_MESSAGES/*.mo

%lang(uk) %dir %_datadir/alterator/help/uk_UA/
%lang(uk) %_datadir/alterator/help/uk_UA/*.html
%lang(uk) %_datadir/locale/uk/LC_MESSAGES/*.mo

%lang(pt_BR) %dir %_datadir/alterator/help/pt_BR/
%lang(pt_BR) %_datadir/alterator/help/pt_BR/*.html
%lang(pt_BR) %_datadir/locale/pt_BR/LC_MESSAGES/*.mo

%lang(es) %_datadir/locale/es/LC_MESSAGES/*.mo

%lang(kk) %_datadir/locale/kk/LC_MESSAGES/*.mo

%lang(de) %_datadir/locale/de/LC_MESSAGES/*.mo

%lang(da) %_datadir/locale/da/LC_MESSAGES/*.mo
%lang(da) %dir %_datadir/alterator/help/da_DK/
%lang(da) %_datadir/alterator/help/da_DK/*.html

%changelog
