%define _altdata_dir %_datadir/alterator

Name: alterator-ports-access
Version: 0.5.3
Release: alt1
BuildArch: noarch
Source:%name-%version.tar
Summary: alterator module to control ports access
License: %gpl2plus
Group: System/Configuration/Other
Requires: alterator >= 4.10-alt8 alterator-sh-functions >= 0.6-alt5 libshell >= 0.0.1-alt4 gettext
Requires: alterator-l10n >= 2.9.110
Requires: %name-cmdline = %version-%release
BuildPreReq: rpm-build-licenses
BuildPreReq: rpm-macros-alterator
BuildRequires: alterator
BuildArch: noarch

%description
Alterator module to control serial/USB ports access

%package cmdline
Summary: alterator ports access control module command line part
Group: System/Configuration/Other

%description cmdline
Command line part of alterator module to control serial/USB ports access

%prep
%setup -q

%build
%make_build

%install
%makeinstall
#find_lang %name

mkdir -p %buildroot%_sysconfdir/udev/rules.d
touch %buildroot%_sysconfdir/udev/rules.d/40-alterator-ports-access.rules
touch %buildroot%_sysconfdir/udev/rules.d/40-alterator-ports-access-serial.rules
touch %buildroot%_sysconfdir/udev/rules.d/99-alterator-ports-access-usbdevs.rules

#files -f %name.lang
%files
%_altdata_dir/applications/*
%_altdata_dir/ui/*/*
%_alterator_backend3dir/*
%_altdata_dir/help/*/*

%files cmdline
%_bindir/%name
%_bindir/%name-lib.sh
/lib/udev/alterator-ports-access
%config(noreplace) %_sysconfdir/alterator-ports-access.conf
%ghost %_sysconfdir/udev/rules.d/40-alterator-ports-access.rules
%ghost %_sysconfdir/udev/rules.d/40-alterator-ports-access-serial.rules
%ghost %_sysconfdir/udev/rules.d/99-alterator-ports-access-usbdevs.rules

%changelog
