Name:     apt-repo
Version:  1.4.1
Release:  alt1

Summary:  Script for manipulation APT repository list
License:  GPL-3.0+
Group:    System/Configuration/Packaging
URL: 	  http://altlinux.org/apt-repo
Packager: Andrey Cherepanov <cas@altlinux.org> 
BuildArch: noarch

Source:   %name-%version.tar
Requires: apt
Requires: curl

%description
The apt-repo script allow to show, add and remove APT repositories
specified by address in sources.list(5) format, URL with optional
component, branch name or task number.

%prep
%setup

%install
install -Dm755 %name %buildroot%_bindir/%name
install -Dpm 644 %name.8 %buildroot%_man8dir/%name.8
install -Dpm 644 %name.sysconfig %buildroot%_sysconfdir/sysconfig/%name

%find_lang %name

%files -f %name.lang
%doc TODO
%config(noreplace) %_sysconfdir/sysconfig/%name
%_bindir/%name
%_man8dir/%name.8*

%changelog
