%define oname compose

Name: docker-%oname
Version: 1.29.2
Release: alt1

Summary: Run multi-container applications with Docker

License: %asl
Group: Development/Python
Url: https://github.com/docker/compose

Source: %oname-%version.tar
Patch: %oname-%version-%release.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-licenses
BuildPreReq: rpm-build-python3
Requires: python3-module-dockerpty

%description
Compose is a tool for defining and running multi-container applications
with Docker. With Compose, you define a multi-container application in a
single file, then spin your application up in a single command which does
everything that needs to be done to get it running.

%prep
%setup -n %oname-%version
%patch0 -p1

%build
%python3_build

%install
%python3_install

%files
%doc LICENSE README.md
%_bindir/docker-%oname
%python3_sitelibdir/%oname/
%python3_sitelibdir/*.egg-info

%changelog
