Name: efibootmgr
Version: 17
Release: alt2

Summary: EFI Boot Manager
Group: System/Kernel and hardware
License: GPLv2+
URL: https://github.com/rhboot/efibootmgr

ExclusiveArch: %ix86 x86_64 aarch64 riscv64
#git https://github.com/rhboot/efibootmgr
Source0: %name-%version.tar
Patch0: %name-%version-%release.patch
BuildRequires: libpci-devel zlib-devel libefivar-devel libpopt-devel
BuildRequires(pre): rpm-build-ubt

%description
efibootmgr displays and allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about EFI can be found at
http://developer.intel.com/technology/efi/efi.htm and http://uefi.org/.

%prep
%setup
%patch0 -p1

%build
%make_build EXTRA_CFLAGS="%optflags" EFIDIR='altlinux'

%install
%makeinstall EFIDIR='altlinux'

%files
%doc AUTHORS README
%_sbindir/*
%_man8dir/*.*

%changelog
