%def_with check
Name: ethtool
Version: 6.3
Release: alt1
Epoch: 1
Summary: Ethernet settings tools for network cards
License: GPLv2
Group: System/Configuration/Networking
Url: http://sourceforge.net/projects/gkernel/

# http://git.kernel.org/?p=network/ethtool/ethtool.git;a=summary
# git://git.kernel.org/pub/scm/network/ethtool/ethtool.git
Source: %name-%version-%release.tar
BuildRequires: libmnl-devel

Summary(ru_RU.UTF-8): утилита настройки Ethernet-карт
Summary(uk_UA.UTF-8): утил╕та налаштування Ethernet-карток

Conflicts: net-tools <= 1.60-alt15

%description
This utility allows querying and changing of ethernet card settings,
such as speed, port, and autonegotiation.
Not all ethernet drivers support ethtool yet, but it is getting better.

%description -l ru_RU.UTF-8
Эта утилита позволяет запрос и изменение параметров
Ethernet-карты, таких как скорость, порт, autonegotiation.

%description -l uk_UA.UTF-8
Ця утил╕та дозволя╓ опитування та зм╕нювання параметр╕в
Ethernet-картки, таких як швидк╕сть, порт, autonegotiation.

%prep
%setup -n %name-%version-%release

%build
%autoreconf
%configure
%make_build

%install
%makeinstall_std

%check
make check

%files
%doc AUTHORS NEWS
%_sbindir/*
%_man8dir/*
%_datadir/bash-completion

%changelog
