Name: flacon
Version: 11.3.0
Release: alt1.1

Summary: Audio File Encoder
Summary(ru_RU.UTF-8): Конвертер аудиофайлов
Summary(uk_UA.UTF-8): Кодувальник аудіофайлів
License: LGPLv2.1
Group: Sound

Url: http://%name.github.io/
Packager: Nazarov Denis <nenderus@altlinux.org>

# https://github.com/%name/%name/archive/v%version/%name-%version.tar.gz
Source: %name-%version.tar

BuildRequires: cmake
BuildRequires: libtag-devel
BuildRequires: libuchardet-devel
BuildRequires: qt5-tools-devel

Requires: alacenc
Requires: faac
Requires: flac
Requires: lame
Requires: mac
Requires: mp3gain
Requires: opus-tools
Requires: sox-base
Requires: ttaenc
Requires: vorbisgain
Requires: vorbis-tools
Requires: wavpack

Provides: %name-qt5 = %version
Obsoletes: %name-qt5

%description
Extracts audio tracks from audio CD image to separate tracks.

%description -l ru_RU.UTF-8
Извлекает аудио треки из CD образа WAV, FLAC, APE в отдельные файлы.

%description -l uk_UA.UTF-8
Витягує доріжки з образу аудіо-CD.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc LICENSE README.md
%_bindir/%name
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_liconsdir/%name.png
%_niconsdir/%name.png
%_iconsdir/hicolor/128x128/apps/%name.png
%_iconsdir/hicolor/256x256/apps/%name.png
%_iconsdir/hicolor/512x512/apps/%name.png
%_iconsdir/hicolor/64x64/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_datadir/%name
%_datadir/metainfo/com.github.Flacon.metainfo.xml
%_man1dir/%name.1.*

%changelog
