Name: gear-cronbuild
Version: 1.46
Release: alt1

Summary: gear repository automated build utility
License: GPLv2+
Group: Development/Other
Packager: Igor Vlasenko <viy@altlinux.org>
Url: http://www.altlinux.org/Gear/cronbuild
BuildArch: noarch

Source: %name-%version.tar

BuildRequires: perl-RPM-Source-Editor perl-devel /usr/bin/pod2man /usr/bin/gear-rules-print-specfile /usr/bin/gear-remotes-restore
Requires: gear rpm-uscan > 0.15 gear-uupdate > 0.16

%description
%summary

%prep
%setup

%build
#make_build
rm gear-cronbuild.spec

%install
#make_install install DESTDIR=%buildroot
install -D -m755 gear-cronbuild %buildroot%_bindir/gear-cronbuild
install -D -m755 gear-cronbuild-update-spec-timestamp %buildroot%_bindir/gear-cronbuild-update-spec-timestamp
install -D -m755 gear-cronbuild-apply-hooks %buildroot%_bindir/gear-cronbuild-apply-hooks
install -D -m755 gear-cronbuild-apply-hooks-in-hsh-chroot %buildroot%_bindir/gear-cronbuild-apply-hooks-in-hsh-chroot

for i in gear-cronbuild-apply-hooks gear-cronbuild-apply-hooks-in-hsh-chroot; do
    pod2man  --name $i --center 'gear-cronbuild' --section 1 --release %version $i > $i.1
done

mkdir -p %buildroot%_man1dir
install -m 644 *.1 %buildroot%_man1dir/


%files
%_bindir/*
%_mandir/man?/*

%changelog
