%define        pkgname os

Name:          gem-%pkgname
Version:       1.0.1
Release:       alt1.1
Summary:       The OS gem allows for some easy telling if you're on windows or not
License:       MIT
Group:         Development/Ruby
Url:           https://github.com/rdp/os
Vcs:           https://github.com/rdp/os.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby

%add_findreq_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-%pkgname
Provides:      ruby-%pkgname

%description
The OS gem allows for some easy telling if youre on windows or not. OS.windows?
As well as some other helper utilities.


%package       doc
Summary:       Documentation files for %gemname gem
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета %gemname
Group:         Development/Documentation
BuildArch:     noarch

%description   doc
Documentation files for %gemname gem.

%description   doc -l ru_RU.UTF8
Файлы сведений для самоцвета %gemname.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README*
%ruby_gemspec
%ruby_gemlibdir

%files         doc
%ruby_gemdocdir


%changelog
