%define        pkgname public-suffix
%define        gemname public_suffix

Name: 	       gem-%pkgname
Version:       4.0.3
Release:       alt1
Summary:       Domain name parser for Ruby based on the Public Suffix List
License:       MIT
Group:         Development/Ruby
Url:           https://simonecarletti.com/code/publicsuffix-ruby/
Vcs:           https://github.com/weppos/publicsuffix-ruby.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby

%add_findreq_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-%gemname
Provides:      ruby-%gemname

%description
PublicSuffix can parse and decompose a domain name into top level
domain, domain and subdomains.


%package       doc
Summary:       Documentation files for %gemname gem
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета %gemname
Group:         Development/Documentation
BuildArch:     noarch

%description   doc
Documentation files for %gemname gem.

%description   doc -l ru_RU.UTF8
Файлы сведений для самоцвета %gemname.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README*
%ruby_gemspec
%ruby_gemlibdir

%files         doc
%ruby_gemdocdir


%changelog
