%define _unpackaged_files_terminate_build 1

Name: gifsicle
Version: 1.93
Release: alt1
Summary: command-line program for manipulating GIF images
Group: Graphics
License: GPL-2.0
Url: http://www.lcdf.org/gifsicle

# https://github.com/kohler/gifsicle.git
Source: %name-%version.tar

# Automatically added by buildreq on Tue Mar 27 2007
BuildRequires: libSM-devel libX11-devel

%description
Gifsicle is a powerful command-line program for manipulating GIF image
files.  It has good support for transparency and colormap manipulation,
simple image transformations (cropping, flipping), and creating,
deconstructing, and editing GIF animations. It can also optimize GIF
animations for space. Also included is a GIF animation viewer and a
program that checks whether two GIFs look the same.

%prep
%setup

%build
%autoreconf
%configure
%make_build

%install
%makeinstall

%files
%doc README.md NEWS.md
%_bindir/gifdiff
%_bindir/gifsicle
%_bindir/gifview
%_man1dir/gifdiff.1*
%_man1dir/gifsicle.1*
%_man1dir/gifview.1*

%changelog
