Name:    gnucash-docs
Version: 4.13
Release: alt1

Summary: Documentation for the Gnucash

Packager: Andrey Cherepanov <cas@altlinux.org>

License: GFDL
Group:   Office
Url:     http://www.gnucash.org

BuildArch: noarch

Requires: yelp

Requires(post): scrollkeeper
Requires(postun): scrollkeeper

Source: http://prdownloads.sourceforge.net/gnucash/gnucash-docs/%version/%name-%version.tar

BuildRequires(pre): cmake
BuildRequires: scrollkeeper xsltproc

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.
This is the documentation module for GnuCash.

%prep
%setup

%build
export NPROCS=1
%cmake
%cmake_build

%install
%cmake_install
rm -f %buildroot%_datadir/gnucash-docs/COPYING*

%files
%doc AUTHORS COPYING-DOCS ChangeLog NEWS README
%_datadir/help/*

%changelog
