%define distro cliff
Name: installer-distro-%distro
Version: 10.0
Release: alt2

License: GPLv2+
Group: System/Configuration/Other
BuildRequires: alterator-officer
Summary: Installer files for Cliff distro

Source: %name-%version.tar

%description
Installer files for Cliff distro.

%package common
Summary: Cliff Installer common files
License: GPLv2+
Group: System/Configuration/Other

%description common
Cliff Installer common files.
Needed also for alterator-setup.

%package stage2
Summary: Installer stage2
License: GPLv2+
Group: System/Configuration/Other
Provides: installer-%distro-stage2 = %name-%version
Requires: installer-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-datetime
Requires: alterator-pkg
Requires: alterator-vm
Requires: alterator-notes
Requires: %name-common = %EVR
Requires: x-cursor-theme-jimmac
Requires: installer-integ-stage2
Requires: alterator-officer

%description stage2
Cliff Installer stage2.

%package stage3
Summary: Installer stage3
License: GPLv2+
Group: System/Configuration/Other
Provides: installer-%distro-stage3 = %name-%version
Requires: installer-stage3
#modules
Requires: alterator-users
Requires: alterator-officer
Requires: alterator-root
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-net-bond alterator-net-bridge
Requires: installer-feature-nfs-server-stage3
Requires: installer-feature-powerbutton-stage3
Requires: installer-integ-stage3
Requires: alterator-luks

%description stage3
Cliff Installer stage3.

%prep
%setup

%install
%define install2dir %_datadir/install2
mkdir -p %buildroot%install2dir
mkdir -p %buildroot%install2dir/steps
cp -a * %buildroot%install2dir/
cp -a steps.d/* %buildroot%install2dir/steps 

%files common
%install2dir/steps/*.desktop
%install2dir/*.d/*

%files stage2
%install2dir/alterator-menu
%install2dir/installer-steps
%install2dir/services-*
%install2dir/systemd-*

%files stage3

%changelog
