Name: inxi
Version: 3.3.04
Release: alt1

Summary: A full featured system information script
Summary(ru): Скрипт вывода полной информации об оборудовании и системе

License: GPL-3.0-or-later
Group: Monitoring
URL: https://smxi.org
# Source-url: https://github.com/smxi/inxi/archive/%version/%name-%version-1.tar.gz
Source: %name-%version.tar.gz

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildArch: noarch

Requires: net-tools
Requires: pciutils
Requires: procps
Requires: lm_sensors
Requires: usbutils
Requires: hddtemp
# Recommends: glxinfo

AutoReq: no

%description
Inxi offers a wide range of built-in options, as well as a good number
of extra features which require having the script recommends installed
on the system.

%description -l ru
Inxi позволяет выводить различную информацию об используемом
оборудовании и о работе системы.

%prep
%setup -q
chmod -x %name.changelog
#Disable update option
sed -i "s/B_ALLOW_UPDATE='true'/B_ALLOW_UPDATE='false'/" inxi

%build

%install
install -p -D -m 755 %name %buildroot/%_bindir/%name
install -p -D -m 644 %name.1 %buildroot/%_man1dir/%name.1

%files
%doc %name.changelog
%_bindir/%name
%_man1dir/%name.1*

%changelog
