%define rname akregator

%define sover 5
%define libakregatorinterfaces libakregatorinterfaces%sover
%define libakregatorprivate libakregatorprivate%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Networking/News
Summary: RSS/Atom feed reader
Url: http://www.kde.org
License: GPL-2.0-or-later

ExcludeArch: %not_qt5_qtwebengine_arches

Provides: kde5-pim-akregator = %EVR
Obsoletes: kde5-pim-akregator < %EVR

Source: %rname-%version.tar

# Automatically added by buildreq on Wed Mar 15 2017 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils fontconfig gcc-c++ grantlee5-devel gtk-update-icon-cache kde5-libkleo-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libgpg-error-devel libgpgme-devel libgst-plugins1.0 libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-opengl libqt5-positioning libqt5-printsupport libqt5-qml libqt5-quick libqt5-quickwidgets libqt5-script libqt5-sensors libqt5-sql libqt5-svg libqt5-test libqt5-webchannel libqt5-webengine libqt5-webenginecore libqt5-webenginewidgets libqt5-webkit libqt5-webkitwidgets libqt5-widgets libqt5-x11extras libqt5-xml libsasl2-3 libstdc++-devel libxcbutil-keysyms perl pkg-config python-base python-modules python3 python3-base qt5-base-devel qt5-declarative-devel qt5-location-devel qt5-webchannel-devel rpm-build-python3 ruby ruby-stdlibs xml-common xml-utils
BuildRequires(pre): rpm-build-kf5 rpm-macros-qt5-webengine
BuildRequires: extra-cmake-modules qt5-base-devel qt5-webengine-devel
BuildRequires: boost-devel libassuan-devel libsasl2-devel
BuildRequires: libqtkeychain-qt5-devel
BuildRequires: kde5-libkleo-devel
BuildRequires: kde5-akonadi-contacts-devel kde5-akonadi-devel kde5-akonadi-mime-devel kde5-grantleetheme-devel kde5-kcontacts-devel kde5-kimap-devel
BuildRequires: kde5-kmime-devel kde5-kontactinterface-devel kde5-kpimtextedit-devel kde5-libkdepim-devel kde5-messagelib-devel kde5-pimcommon-devel
BuildRequires: kf5-kcmutils-devel kf5-kcrash-devel kf5-kdelibs4support kf5-kdoctools-devel kf5-kiconthemes-devel
BuildRequires: kf5-kio-devel kf5-kitemmodels-devel kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kparts-devel kf5-ktexteditor-devel
BuildRequires: kf5-ktextwidgets-devel kf5-kwindowsystem-devel
BuildRequires: kf5-syndication-devel kf5-syntax-highlighting-devel

%description
RSS/Atom feed reader for KDE.
 
%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Conflicts: kde5-pim-common < 16.12
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libakregatorinterfaces
Group: System/Libraries
Summary: %name library
Requires: %name-common
%description -n %libakregatorinterfaces
%name library

%package -n %libakregatorprivate
Group: System/Libraries
Summary: %name library
Requires: %name-common
%description -n %libakregatorprivate
%name library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%K5install_move data akregator kconf_update kontact messageviewer
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories
#%_K5srvtyp/*akregator*.desktop

%files
%_K5bin/akregator
%_K5bin/akregatorstorageexporter
#%_K5plug/pim5/akregator*.so
%_K5plug/akregator*.so
%_K5plug/pim5/kontact/*akregator*.so
%_K5plug/pim5/kcms/akregator/*akregator*.so
%_K5xdgapp/org.kde.akregator.desktop
%_K5data/akregator/
%_K5cfg/*akregator*.kcfg
%_K5notif/akregator.notifyrc
#%_K5srv/akregator_*.desktop
%_K5icon/*/*/apps/akregator*.*

%files devel
%_K5dbus_iface/*akregator*.xml
#%_K5inc/akregator_version.h
#%_K5inc/akregator/
#%_K5link/lib*.so
#%_K5lib/cmake/akregator
#%_K5archdata/mkspecs/modules/qt_akregator.pri

%files -n %libakregatorinterfaces
%_K5lib/libakregatorinterfaces.so.%sover
%_K5lib/libakregatorinterfaces.so.*
%files -n %libakregatorprivate
%_K5lib/libakregatorprivate.so.%sover
%_K5lib/libakregatorprivate.so.*

%changelog
