%define rname filelight

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: Graphical disk usage information
Url: http://www.kde.org
License:  GPL-2.0-only OR GPL-3.0-only

Provides: filelight = %version-%release
%if "%(%__kf5_if_have_opt altplace yes no)" == "no"
Obsoletes: filelight < %EVR
%endif

Source: %rname-%version.tar

# Automatically added by buildreq on Wed Sep 30 2015 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils kf5-kdoctools-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-script libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base python3 python3-base qt5-base-devel ruby ruby-stdlibs xml-common xml-utils
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel python-module-google qt5-script-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: qt5-base-devel qt5-declarative-devel qt5-quickcontrols2-devel qt5-script-devel qt5-svg-devel
BuildRequires: extra-cmake-modules
BuildRequires: kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel
BuildRequires: kf5-kjobwidgets-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel kf5-kpackage-devel kf5-kdeclarative-devel

%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5filelight
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5filelight
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%config(noreplace) %_K5xdgconf/filelightrc
%_K5bin/filelight
#%_K5plug/filelightpart.so
%_K5xdgapp/org.kde.filelight.desktop
%_K5icon/*/*/*/*filelight.*
#%_K5srv/filelightpart.desktop
%_K5xmlgui/filelight*/
%_datadir/qlogging-categories5/*.*categories

%changelog
