%define rname kgeography

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Education
Summary: Geography learning program
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar
Source2: data.tar
Patch: alt-fix-borders.patch

# Automatically added by buildreq on Fri Apr 01 2016 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils gcc-c++ gtk-update-icon-cache kf5-kdoctools kf5-kdoctools-devel libEGL-devel libGL-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base python-modules python3 rpm-build-python3 xml-common xml-utils
#BuildRequires: extra-cmake-modules kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdelibs4support kf5-kdoctools-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel python-module-google python3-base qt5-base-devel ruby ruby-stdlibs
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-base-devel
BuildRequires: kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel
BuildRequires: kf5-kdelibs4support kf5-kdoctools-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel
BuildRequires: kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-kcrash-devel

%description
%summary.

%prep
%setup -n %rname-%version
tar -xvf %SOURCE2 data/
%patch -p2

mv data/flags/{ukraine/Crimea,russia/crimea}.png
mv data/flags/{ukraine/Donetsk,russia/donetsk}.png
mv data/flags/{ukraine/Lugansk,russia/lugansk}.png
mv data/flags/{ukraine/Zaporizhya,russia/zaporozhye}.png
mv data/flags/{ukraine/Kherson,russia/kherson}.png
mv data/flags/{ukraine/Sevastopol-city,russia/sevastopol}.png

%build
%K5build

%install
%K5install
%K5install_move data kgeography
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc COPYING*
%_datadir/locale/*/LC_SCRIPTS/kgeography/
%_K5bin/kgeography
%_K5data/kgeography/
%_K5xmlgui/kgeography/
%_K5icon/*/*/apps/kgeography.*
%_K5xdgapp/org.kde.kgeography.desktop
%_K5cfg/kgeography.kcfg


%changelog
