%define rname khelpcenter

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 help center
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Provides: kf5-khelpcenter = %EVR kf5-khelpcenter-common = %EVR
Obsoletes: kf5-khelpcenter < %EVR kf5-khelpcenter-common < %EVR

Requires: kf5-kdoctools
# libgrantlee_templates is needed for search function
Requires: libgrantlee_templates5
Requires(post,preun): alternatives >= 0.2

Source: %rname-%version.tar

Patch4: khelpcenter-alt-contents-tree-synchronization.patch
Patch5: khelpcenter-alt-hide-links-on-contents-screen.patch

# Automatically added by buildreq on Mon Apr 25 2016 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils gcc-c++ kf5-kdoctools kf5-kdoctools-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-script libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms perl pkg-config python-base python-modules python3 python3-base qt5-base-devel rpm-build-python3 ruby ruby-stdlibs xml-common xml-utils
#BuildRequires: extra-cmake-modules grantlee5-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdoctools-devel kf5-khtml-devel kf5-ki18n-devel kf5-kinit-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kjs-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libxapian-devel libxml2-devel python-module-google python3-dev rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules
BuildRequires: grantlee5-devel libxapian-devel libxml2-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdoctools-devel
BuildRequires: kf5-khtml-devel kf5-ki18n-devel kf5-kinit-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-kjs-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel

%description
KDE help center.

%prep
%setup -n %rname-%version
#%patch4 -p2
%patch5 -p2

%build
%K5build \
    -DLIBEXEC_INSTALL_DIR=%_K5exec \
    #

%install
%K5install
%K5install_move data khelpcenter

# install alternatives
install -d %buildroot/%_sysconfdir/alternatives/packages.d
cat > %buildroot/%_sysconfdir/alternatives/packages.d/%name <<__EOF__
%_bindir/khelpcenter       %_K5bin/khelpcenter      5
__EOF__

%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%config /%_sysconfdir/alternatives/packages.d/%name
%_K5bin/*
%_K5exec/*
%_K5xdgapp/*
%_K5cfg/*
%_K5data/khelpcenter/
%_K5srv/*
%_datadir/qlogging-categories5/*.*categories
%_K5dbus_srv/*.service

%changelog
