%define rname krdc

%define sover 5
%define libkrdccore libkrdccore%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Networking/Remote access
Summary: Remote Desktop Client
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Requires: xfreerdp freerdp-plugins-standard

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Mar 30 2017 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils gcc-c++ kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdoctools kf5-kdoctools-devel kf5-kwidgetsaddons-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libp11-kit libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-qml libqt5-quick libqt5-quickwidgets libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms perl python-base python-modules python3 python3-base qt5-base-devel rpm-build-python3 ruby ruby-stdlibs xml-common xml-utils zlib-devel
#BuildRequires: extra-cmake-modules kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcompletion-devel kf5-kdelibs4support kf5-kdnssd-devel kf5-kdoctools-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kservice-devel kf5-kwallet-devel kf5-kxmlgui-devel libvncserver-devel python-module-google python3-dev rpm-build-ruby xfreerdp
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-base-devel
BuildRequires: libvncserver-devel xfreerdp libssh-devel
BuildRequires: kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcompletion-devel kf5-kdelibs4support kf5-kdnssd-devel
BuildRequires: kf5-kdoctools-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-knotifications-devel kf5-knotifyconfig-devel
BuildRequires: kf5-kservice-devel kf5-kwallet-devel kf5-kxmlgui-devel
BuildRequires: kf5-kwindowsystem-devel kf5-kactivities-devel

%description
Remote Desktop Client.
is a client application that allows you to view or even control
the desktop session on another machine that is running a compatible server.
VNC and RDP is supported.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkrdccore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkrdccore
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build \
    -DKDE_INSTALL_INCLUDEDIR=%_K5inc \
    #

%install
%K5install
%K5install_move data krdc kio
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories

%files
%_K5bin/krdc
%_K5plug/krdc/
%_K5xdgapp/org.kde.krdc.desktop
%_K5cfg/krdc.kcfg
%_K5data/kio/servicemenus/*rdc*.desktop

%files devel
%_K5inc/krdccore_export.h
%_K5inc/krdc/
%_K5link/lib*.so

%files -n %libkrdccore
%_K5lib/libkrdccore.so.%sover
%_K5lib/libkrdccore.so.*

%changelog
