%define rname libkleo

%define sover 5
%define libkf5libkleo libkf5libkleo%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init

Group: Graphical desktop/KDE
Summary: KDE5 %rname library
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Apr 28 2016 (-bi)
# optimized out: cmake cmake-modules elfutils gcc-c++ libEGL-devel libGL-devel libgpg-error libgpg-error-devel libkf5gpgmepp-pthread libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms perl python-base python-modules python3 python3-base qt5-base-devel rpm-build-python3 ruby ruby-stdlibs
#BuildRequires: boost-devel-headers extra-cmake-modules kde5-gpgmepp-devel kde5-kpimtextedit-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kcoreaddons-devel kf5-ki18n-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-sonnet-devel libgpgme-devel python-module-google python3-dev rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: boost-devel extra-cmake-modules
BuildRequires: libgpgme-devel libassuan-devel
BuildRequires: kf5-kcompletion-devel kf5-kconfig-devel kf5-kcoreaddons-devel kf5-ki18n-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel kf5-sonnet-devel kf5-kcodecs-devel kf5-kitemmodels-devel kf5-kconfigwidgets-devel
BuildRequires: kde5-kpimtextedit-devel

%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkf5libkleo
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkf5libkleo
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%K5install_move data libkleopatra
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
%config(noreplace) %_K5xdgconf/*rc
%_datadir/qlogging-categories5/*.*categories
%_K5data/libkleopatra/

%files devel
%_includedir/KPim5/Libkleo/
%_K5link/lib*.so
%_K5lib/cmake/K*5Libkleo/
%_K5archdata/mkspecs/modules/qt_Libkleo.pri

%files -n %libkf5libkleo
%_K5lib/libKPim5Libkleo.so.%sover
%_K5lib/libKPim5Libkleo.so.*

%changelog
