%define rname parley
%add_findreq_skiplist %_K5data/parley/plugins/*.py

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Education
Summary: Vocabulary training application
Url: http://www.kde.org
License: GPL-2.0-or-later or GPL-3.0-only

ExcludeArch: %not_qt5_qtwebengine_arches
Requires: kde5-kdeedu-data

Source: %rname-%version.tar

# Automatically added by buildreq on Fri Mar 18 2016 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils gcc-c++ gtk-update-icon-cache kf5-attica-devel kf5-kdoctools-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libjson-c libqt5-concurrent libqt5-core libqt5-dbus libqt5-gui libqt5-multimedia libqt5-network libqt5-printsupport libqt5-qml libqt5-quick libqt5-script libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms libxml2-devel pkg-config python-base python-modules python3 python3-base qt5-base-devel rpm-build-gir rpm-build-python3 xml-common xml-utils
#BuildRequires: extra-cmake-modules kde5-libkeduvocdocument-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdelibs4support kf5-kdoctools kf5-kdoctools-devel kf5-khtml-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kjs-devel kf5-knewstuff-devel kf5-knotifications-devel kf5-kparts-devel kf5-kross-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libxslt-devel python-module-google python3.3-site-packages qt5-multimedia-devel qt5-script-devel qt5-svg-devel ruby ruby-stdlibs xsltproc
BuildRequires(pre): rpm-build-kf5 rpm-macros-qt5-webengine
BuildRequires: extra-cmake-modules qt5-multimedia-devel qt5-script-devel qt5-svg-devel qt5-webengine-devel
BuildRequires: libxslt-devel xsltproc
BuildRequires: kde5-libkeduvocdocument-devel
BuildRequires: kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdelibs4support
BuildRequires: kf5-kdoctools kf5-kdoctools-devel kf5-khtml-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel
BuildRequires: kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kjs-devel kf5-knewstuff-devel kf5-knotifications-devel
BuildRequires: kf5-kparts-devel kf5-kross-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel

%description
Parley is a program to help you memorize things.

Parley supports many language specific features but can be used for other
learning tasks just as well. It uses the spaced repetition learning method,
also known as flash cards.

%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%K5install_move data parley knsrcfiles
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5bin/parley
%_K5data/parley/
%_K5xmlgui/parley/
%_K5xdgapp/org.kde.parley.desktop
%_K5icon/*/*/apps/parley.*
%_K5icon/*/*/apps/parley-*.*
%_kf5_icon/oxygen/*/actions/*.*
%_K5cfg/documentsettings.kcfg
%_K5cfg/languagesettings.kcfg
%_K5cfg/parley.kcfg
%_K5data/knsrcfiles/*parley*.knsrc

%changelog
