%define rname kdepim-runtime

%define pim_sover 5
%define libmaildir libmaildir%pim_sover
%define libfolderarchivesettings libfolderarchivesettings%pim_sover
%define libakonadi_filestore libakonadi-filestore%pim_sover
%define libkmindexreader libkmindexreader%pim_sover
%define libakonadi_singlefileresource libakonadi-singlefileresource%pim_sover

%ifarch %not_qt5_qtwebengine_arches
%def_disable qtwebengine
%else
%def_enable qtwebengine
%endif

Name: kde5-pim-runtime
Version: 23.04.3
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: Akonadi resources
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

#Requires: kde5-akonadi-contacts kde5-akonadi-notes
Provides: kde5-pimlibs = %EVR
Obsoletes: kde5-pimlibs < %EVR

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Sep 10 2015 (-bi)
# optimized out: boost-devel-headers cmake cmake-modules elfutils kde5-akonadi-devel kf5-kdoctools-devel libEGL-devel libGL-devel libdbusmenu-qt52 libgpg-error libgst-plugins1.0 libical-devel libjson-c libkolabxml-devel libqt5-core libqt5-dbus libqt5-declarative libqt5-gui libqt5-network libqt5-opengl libqt5-printsupport libqt5-qml libqt5-quick libqt5-script libqt5-sql libqt5-svg libqt5-test libqt5-texttospeech libqt5-webkit libqt5-webkitwidgets libqt5-widgets libqt5-x11extras libqt5-xml libqt5-xmlpatterns libsasl2-3 libstdc++-devel libxcbutil-keysyms pkg-config python-base python3 python3-base qt5-base-devel qt5-script-devel ruby ruby-stdlibs shared-mime-info
#BuildRequires: extra-cmake-modules gcc-c++ kde5-akonadi-calendar-devel kde5-kalarmcal-devel kde5-kcalcore-devel kde5-kcalutils-devel kde5-kcontacts-devel kde5-kholidays-devel kde5-kidentitymanagement-devel kde5-kimap-devel kde5-kmailtransport-devel kde5-kmbox-devel kde5-kmime-devel kde5-kpimtextedit-devel kde5-pimlibs-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kparts-devel kf5-kross-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwallet-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-libkgapi-devel kf5-solid-devel kf5-sonnet-devel libkolab-devel libsasl2-devel python-module-google qt5-quick1-devel qt5-speech-devel qt5-webkit-devel qt5-xmlpatterns-devel rpm-build-python3 rpm-build-ruby xsltproc
BuildRequires(pre): rpm-build-kf5 rpm-macros-qt5-webengine
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel qt5-xmlpatterns-devel
%if_enabled qtwebengine
BuildRequires: qt5-webengine-devel
%endif
BuildRequires: qt5-speech-devel qt5-networkauth-devel
BuildRequires: libqca-qt5-devel
BuildRequires: libqtkeychain-qt5-devel
BuildRequires: xsltproc libsasl2-devel boost-devel
#BuildRequires: libkolab-devel
BuildRequires: kde5-akonadi-calendar-devel kde5-kcalcore-devel kde5-kcalutils-devel kde5-kcontacts-devel kf5-kholidays-devel
BuildRequires: kde5-kidentitymanagement-devel kde5-kimap-devel kde5-kmailtransport-devel kde5-kmbox-devel kde5-kmime-devel kde5-kpimtextedit-devel
BuildRequires: kde5-akonadi-devel kde5-akonadi-mime-devel kde5-akonadi-contacts-devel kde5-akonadi-notes-devel kde5-pimcommon-devel
BuildRequires: kde5-libkgapi-devel kde5-libkdepim-devel kde5-kldap-devel kde5-grantleetheme-devel
BuildRequires: kf5-kdav-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel
BuildRequires: kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel
BuildRequires: kf5-knotifyconfig-devel kf5-kparts-devel kf5-kross-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwallet-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel

%description
This package contains the Akonadi resources which can be used without the applications in kdepim.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kde5-pimlibs-common = %EVR
Obsoletes: kde5-pimlibs-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libmaildir
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libmaildir
KF5 library

%package -n %libfolderarchivesettings
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libfolderarchivesettings
KF5 library

%package -n %libakonadi_filestore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libakonadi_filestore
KF5 library

%package -n %libkmindexreader
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkmindexreader
KF5 library

%package -n %libakonadi_singlefileresource
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libakonadi_singlefileresource
KF5 library


%prep
%setup -n %rname-%version

%if_disabled qtwebengine
#sed -i 's|WebEngineWidgets||' CMakeLists.txt
sed -i "/add_subdirectory([[:space:]]ews[[:space:]])/d" resources/CMakeLists.txt
rm -rf resources/ews
sed -i "/add_subdirectory([[:space:]]tomboynotes[[:space:]])/d" resources/CMakeLists.txt
rm -rf resources/tomboynotes
sed -i "/add_subdirectory([[:space:]]facebook[[:space:]])/d" resources/CMakeLists.txt
rm -rf resources/facebook
%endif

%build
%K5build

%install
%K5install
# workaround against sasl plugins dir
#for sffx in 3 4 5 6 ; do
#    mkdir -p  %buildroot/%_libdir/sasl2-$sffx
#    for f in %buildroot/%_libdir/sasl2/*.so* ; do
#	fname=`basename "$f"`
#	ln -s ../sasl2/"$fname" %buildroot/%_libdir/sasl2-$sffx/"$fname"
#    done
#done

%find_lang %name --with-kde --all-name

mv %buildroot/%_K5xdgmime/kdepim{,5}-mime.xml

%files common -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories
%_K5xdgmime/kdepim5-mime.xml

%files
%_K5bin/gidmigrator
%_K5bin/akonadi_*
%_K5plug/pim5/akonadi/config/*.so
%_K5plug/pim5/kcms/kaddressbook/*.so
%_K5plug/kf5/kio/*.so
%_K5xdgapp/org.kde.akonadi*.desktop
%_datadir/akonadi5/accountwizard/*
%_datadir/akonadi5/agents/*
%_datadir/akonadi5/firstrun/*
%_K5icon/*/*/apps/*.*
%_K5srv/akonadi/davgroupware-providers/
%_K5notif/akonadi_*

%files devel
#%_K5link/lib*.so
%_K5dbus_iface/*.xml

%files -n %libmaildir
%_K5lib/libmaildir.so.%pim_sover
%_K5lib/libmaildir.so.*
%files -n %libfolderarchivesettings
%_K5lib/libfolderarchivesettings.so.%pim_sover
%_K5lib/libfolderarchivesettings.so.*
%files -n %libakonadi_filestore
%_K5lib/libakonadi-filestore.so.%pim_sover
%_K5lib/libakonadi-filestore.so.*
%files -n %libkmindexreader
%_K5lib/libkmindexreader.so.%pim_sover
%_K5lib/libkmindexreader.so.*
%files -n %libakonadi_singlefileresource
%_K5lib/libakonadi-singlefileresource.so.%pim_sover
%_K5lib/libakonadi-singlefileresource.so.*

%changelog
