Name: kernel-source-r8168
Version: 8.051.02
Release: alt1

Summary: Source for RTL8168 driver
License: GPLv2+
Group: Development/Kernel

URL: http://www.realtek.com/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: r8168-%version.tar.bz2
Source1: blacklist-r8168.conf

Patch0: kernel-6.1.patch

BuildArch: noarch

BuildPreReq: kernel-build-tools

Provides: kernel-source-rtl8168
Obsoletes: kernel-source-rtl8168

%description
RTL8168 is the Linux device driver released for RealTek RTL8168B/8111B,
RTL8168C/8111C, RTL8168CP/8111CP, RTL8168D/8111D, and RTL8168DP/8111DP
Gigabit Ethernet controllers with PCI-Express interface.

%package -n r8168-blacklist
Summary: Blacklist modules for r8168
Group: System/Kernel and hardware

%description -n r8168-blacklist
Blacklist modules for correctly working module r8168

%prep
%setup -n r8168-%version
%patch0 -p1

%install
%__mv ../r8168-%version ../%name-%version
%__mkdir_p %kernel_srcdir
tar -cjf %kernel_srcdir/%name-%version.tar.bz2 ../%name-%version
%__install -Dp -m0644 %SOURCE1 %buildroot%_sysconfdir/modprobe.d/blacklist-r8168.conf

%files
%dir %_usrsrc/kernel
%dir %kernel_src
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%files -n r8168-blacklist
%dir %_sysconfdir/modprobe.d
%config %_sysconfdir/modprobe.d/blacklist-r8168.conf

%changelog
