%define rname kcontacts

Name: kf5-%rname
Version: 5.110.0
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: Address book API for KDE
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Tue Aug 11 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libqt5-core libqt5-dbus libqt5-gui libqt5-xml libstdc++-devel python-base python3 python3-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kcodecs-devel kf5-kconfig-devel kf5-kcoreaddons-devel kf5-ki18n-devel libdb4-devel python-module-google qt5-base-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel
BuildRequires: kf5-kcodecs-devel kf5-kconfig-devel kf5-kcoreaddons-devel kf5-ki18n-devel

%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kde5-kcontacts-common = %EVR
Obsoletes: kde5-kcontacts-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kde5-kcontacts-devel = %EVR
Obsoletes: kde5-kcontacts-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5contacts
Group: System/Libraries
Summary: KF5 library
Requires: %name-common
%description -n libkf5contacts
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --with-kde --all-name
mkdir -p %buildroot/%_K5data/kcontacts/

%files common -f %name.lang
%doc LICENSES/* README.md
#%config(noreplace) %_K5xdgconf/*.*categories
%_datadir/qlogging-categories5/*.*categories
%dir %_K5data/kcontacts/

%files devel
#%_K5inc/kcontacts_version.h
%_K5inc/KContacts/
%_K5link/lib*.so
%_K5lib/cmake/KF5Contacts/
%_K5archdata/mkspecs/modules/qt_KContacts.pri

%files -n libkf5contacts
%_K5lib/libKF5Contacts.so.*

%changelog
