%define rname kholidays

Name: kf5-%rname
Version: 5.110.0
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE library for regional holiday information
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Mon May 21 2018 (-bi)
# optimized out: cmake cmake-modules elfutils fontconfig gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 libqt5-core libqt5-gui libqt5-network libqt5-qml libqt5-xml libstdc++-devel perl python-base python-modules python3 python3-base qt5-base-devel qt5-tools rpm-build-python3 rpm-build-qml ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules libssl-devel python3-dev qt5-declarative-devel qt5-tools-devel rpm-build-kf5 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-declarative-devel qt5-tools-devel

%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kde5-kholidays-common = 18
Obsoletes: kde5-kholidays-common < 18
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kde5-kholidays-devel = 18
Obsoletes: kde5-kholidays-devel < 18
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5holidays
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n libkf5holidays
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
mkdir -p %buildroot/%_K5data/libkholidays/
%find_lang %name --with-kde --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
#%doc COPYING*
%_datadir/qlogging-categories5/*.*categories
%_K5data/libkholidays/

%files devel
#%_K5inc/kholidays_version.h
%_K5inc/KHolidays/
%_K5link/lib*.so
%_K5lib/cmake/KF5Holidays/
%_K5archdata/mkspecs/modules/qt_KHolidays.pri
#%_K5plug/designer/*.so

%files -n libkf5holidays
%_K5lib/libKF5Holidays.so.*
%_K5qml/org/kde/kholidays/

%changelog
