%define rname kimageformats
%def_enable heif

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 plugins to allow QImage to support extra file formats
Url: http://www.kde.org
License: LGPL-2.1-or-later

Requires: kf5-filesystem

Source: %rname-%version.tar

# Automatically added by buildreq on Wed Feb 17 2016 (-bi)
# optimized out: cmake cmake-modules elfutils gcc-c++ ilmbase-devel libEGL-devel libGL-devel libqt5-core libqt5-gui libqt5-printsupport libqt5-widgets libstdc++-devel pkg-config python-base python-modules python3 python3-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules kf5-karchive-devel openexr-devel python-module-google qt5-base-devel rpm-build-kf5 rpm-build-ubt rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules openexr-devel qt5-base-devel
BuildRequires: zlib-devel
BuildRequires: libavif-devel
BuildRequires: libraw-devel
%if_enabled heif
BuildRequires: libheif-devel
%endif
#BuildRequires: libjxl-devel
BuildRequires: kf5-karchive-devel

%description
This framework provides additional image format plugins for QtGui.  As
such it is not required for the compilation of any other software, but
may be a runtime requirement for Qt-based software to support certain
image formats.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package


%prep
%setup -n %rname-%version

%build
%K5build \
%if_enabled heif
    -DKIMAGEFORMATS_HEIF=ON \
%endif
    -DBUILD_TESTING=ON \
    #

%install
%K5install
%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files
%doc LICENSES/* README.md
%_K5plug/imageformats/kimg_*.so
%_K5srv/qimageioplugins/


%changelog
