%define rname ktexteditor

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 full text editor component
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Wed Feb 18 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-script libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libqt5-xmlpatterns libstdc++-devel libxcbutil-keysyms pkg-config python-base qt5-base-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libgit2-devel python-module-google qt5-script-devel qt5-xmlpatterns-devel rpm-build-gir rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-script-devel qt5-xmlpatterns-devel qt5-declarative-devel
BuildRequires: libgit2-devel
BuildRequires: libeditorconfig-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel
BuildRequires: kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel
BuildRequires: kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel
BuildRequires: kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel
BuildRequires: kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-syntax-highlighting-devel kf5-ki18n-devel

%description
KTextEditor provides a powerful text editor component that you can embed in your
application.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: kf5-syntax-highlighting-devel
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5texteditor
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5texteditor
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build \
    -DKDE_INSTALL_DATADIR:PATH=%_K5data \
    #

%install
%K5install
%K5install_move data kdevappwizard
mkdir %buildroot/%_datadir/katepart5/syntax/

%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories
%_datadir/katepart5/
%_K5dbus/system.d/*ktexteditor*.conf

%files devel
%_K5inc/KTextEditor/
%_K5link/lib*.so
%_K5lib/cmake/KF5TextEditor
%_K5archdata/mkspecs/modules/qt_KTextEditor.pri
%_K5data/kdevappwizard/templates/*ktexteditor*

%files -n libkf5texteditor
%_K5dbus_sys_srv/*ktexteditor*.service
%_K5libexecdir/kauth/*ktexteditor*
%_datadir/polkit-1/actions/*ktexteditor*.policy
#
%_K5lib/libKF5TextEditor.so.*
%_K5plug/kf5/parts/katepart.so
%_K5srv/*
%_K5srvtyp/*

%changelog
