%define rname prison

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5  barcode abstraction layer
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-base-devel qt5-declarative-devel qt5-multimedia-devel
BuildRequires: libdmtx-devel libqrencode-devel libzxing-cpp-devel

%description
A barcode abstraction layer providing uniform access to generation of barcodes with data.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5prison
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5prison
KF5 library

%package -n libkf5prisonscanner
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5prisonscanner
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories

%files devel
#%_K5inc/prison_version.h
%_K5inc/?rison*/
%_K5link/lib*.so
%_K5lib/cmake/KF5Prison
%_K5archdata/mkspecs/modules/qt_Prison.pri
#%_pkgconfigdir/*.pc

%files -n libkf5prison
%_K5lib/libKF5Prison.so.*
%dir %_K5qml/org/kde/prison/
%_K5qml/org/kde/prison/libprisonquickplugin.so
%_K5qml/org/kde/prison/qmldir

%files -n libkf5prisonscanner
%_K5lib/libKF5PrisonScanner.so.*
%_K5qml/org/kde/prison/scanner/

%changelog
