%define rname syntax-highlighting

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 syntax highlighting engine
Url: http://www.kde.org
License: GPL-2.0-only and LGPL-2.0-or-later

Source: %rname-%version.tar

# Automatically added by buildreq on Fri Jul 16 2021 (-bi)
# optimized out: cmake cmake-modules debugedit elfutils gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 libctf-nobfd0 libglvnd-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-test libqt5-widgets libqt5-xmlpatterns libsasl2-3 libssl-devel libstdc++-devel perl perl-parent python-modules python2-base python3 python3-base python3-module-paste qt5-base-devel qt5-tools rpm-build-python3 sh4 tzdata
#BuildRequires: appstream extra-cmake-modules perl-Encode python3-dev qt5-svg-devel qt5-tools-devel qt5-wayland-devel qt5-webengine-devel qt5-xmlpatterns-devel rpm-build-kf5 tbb-devel
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules qt5-xmlpatterns-devel qt5-declarative-devel qt5-tools-devel
BuildRequires: perl-Encode


%description
%summary.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5syntaxhighlighting
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5syntaxhighlighting
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories

%files
%_K5bin/kate-syntax-highlighter

%files devel
#%_K5inc/ksyntaxhighlighting_version.h
%_K5inc/KSyntaxHighlighting/
%_K5link/lib*.so
%_K5lib/cmake/KF5SyntaxHighlighting/
%_K5archdata/mkspecs/modules/qt_KSyntaxHighlighting.pri

%files -n libkf5syntaxhighlighting
%_K5lib/libKF5SyntaxHighlighting.so.*
%_K5qml/org/kde/syntaxhighlighting/

%changelog
