
Name: krb5-ticket-watcher
Version: 1.0.3
Release: alt22
%K5init no_altplace

Group: System/X11
Summary: A Tray Applet for Watching, Renewing, and Reinitializing Kerberos Tickets
Url: http://sourceforge.net/projects/krb5ticketwatch
License: GPL-2.0-or-later

Source: %name-%version.tar
Source10: ru.po

Patch1: 0001-made-default-realm-the-first-one-in-list.patch
Patch2: krb5-ticket-watcher-1.0-alt-date-fix.patch
Patch3: krb5-ticket-watcher-1.0.3-alt-fix-includes.patch
Patch4: krb5-ticket-watcher-1.0.3-alt-fix-desktop-category.patch
Patch5: alt-qt5-1.patch
Patch6: alt-tray-icon.patch
Patch7: alt-wait-for-tray.patch
Patch8: alt-force-kinit.patch
Patch9: alt-password-dialog-ontop.patch
Patch10: krb5-ticket-watcher-add-pw-exp-notif.patch
Patch11: fix-deprecated-krb5-api-meth.patch
Patch12: alt-crash-1.patch
Patch13: alt-ignore-localhost-ip-as-def-realm.patch

BuildRequires(pre): rpm-build-xdg rpm-build-kf5
BuildRequires: desktop-file-utils
BuildRequires: libkrb5-devel libkeyutils-devel
BuildRequires: cmake gcc-c++ libcom_err-devel qt5-base-devel qt5-tools

%description
A tray applet for watching, renewing, and reinitializing Kerberos
tickets.

%prep
%setup
%patch1 -p2
%patch2 -p1
%patch3 -p2
%patch4 -p2
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
cat %SOURCE10 > po/ru.po

%build
%add_optflags -DDEBUG -I%_includedir/krb5
%ifarch %e2k
%add_optflags -std=c++11
%endif
%K5build

%install
%K5install
desktop-file-install --dir %buildroot%_desktopdir \
	%buildroot%_desktopdir/krb5-ticket-watcher.desktop
desktop-file-install --dir %buildroot/%_xdgconfigdir/autostart \
	%buildroot/%_desktopdir/krb5-ticket-watcher.desktop
%find_lang --all-name %name

%files -f %name.lang
%_bindir/krb5-ticket-watcher
%_pixmapsdir/krb5-ticket-watcher.png
%_desktopdir/krb5-ticket-watcher.desktop
%_xdgconfigdir/autostart/krb5-ticket-watcher.desktop
%doc COPYING Changes News TODO

%changelog
