%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

Name: libebml
Version: 1.4.4
Release: alt1
Summary: Extensible Binary Meta Language access library
License: LGPL-2.1-or-later and BSD
Group: System/Libraries
Url: http://www.matroska.org

# https://github.com/Matroska-Org/libebml.git
Source: %name-%version.tar

BuildRequires: gcc-c++ cmake

%description
A library for reading and writing files with the Extensible Binary
Meta Language, a binary pendant to XML.

%package devel
Summary: Development files for libebml
Group: Development/C++
Requires: %name = %EVR

%description devel
Files needed to build programs using libebml

%prep
%setup

%build
%add_optflags -D_FILE_OFFSET_BITS=64

%cmake -DBUILD_SHARED_LIBS=YES
%cmake_build

%install
%cmakeinstall_std

%files
%doc LICENSE*
%doc README* NEWS* CODE_OF_CONDUCT*
%_libdir/*.so.*

%files devel
%_includedir/ebml
%_libdir/*.so
%_libdir/cmake/*
%_pkgconfigdir/*.pc

%changelog
