
Name: libvirglrenderer
Version: 0.9.1
Release: alt1

Summary: Virgl Rendering library
Group: System/Libraries
License: MIT

Url: https://gitlab.freedesktop.org/virgl/virglrenderer.git
Vcs: https://gitlab.freedesktop.org/virgl/virglrenderer.git
Source: %name-%version.tar

BuildRequires(pre): meson
BuildRequires: pkgconfig(libdrm) >= 2.4.50
BuildRequires: pkgconfig(gbm) >= 18.0.0
BuildRequires: pkgconfig(epoxy) >= 1.5.4

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package devel
Summary: Virgil3D renderer development files
Group: Development/C

Requires: %name = %version-%release

%description devel
Virgil3D renderer development files, used by
qemu to build against.

%package test-server
Summary: Virgil3D renderer testing server
Group: Emulators

Requires: %name = %version-%release

%description test-server
Virgil3D renderer testing server is a server
that can be used along with the mesa virgl
driver to test virgl rendering without GL.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

%files
%doc COPYING
%_libdir/*.so.*

%files devel
%_includedir/virgl
%_libdir/*.so
%_pkgconfigdir/*.pc

%files test-server
%_bindir/virgl_test_server

%changelog
