Name: libzen
Version: 0.4.39
Release: alt1

Group: System/Libraries
Summary: %name - Shared library for libmediainfo and medianfo-related programs
License: Zlib
Url: http://mediainfo.sourceforge.net

Source: https://mediaarea.net/download/source/%name/%version/%{name}_%{version}.tar.xz

BuildRequires: gcc-c++

%package devel
Group: System/Libraries
Summary: Devel package for %name
Requires: %name = %version-%release
Provides: %name.so

%description
Base shared library for libmediainfo and medianfo-related programs

%description devel
This package contains files for development with libzen.

%prep
%setup -q -T -b 0 -n ZenLib

%build
pushd Project/GNU/Library
%add_optflags %(getconf LFS_CFLAGS)
%autoreconf
%configure --enable-shared --enable-static=no
%make
popd

%install
pushd Project/GNU/Library
%makeinstall_std
popd

%files
%doc ReadMe.txt
%_libdir/*.so.*

%files devel
%_includedir/ZenLib
%_pkgconfigdir/libzen.pc
%_libdir/*.so

%changelog
