Name: livecd-install
Version: 0.9.19
Release: alt2

Summary: Permanently install Live system
License: GPLv2
Group: System/Configuration/Other

Source: %name-%version.tar
Source1: %name.pam
Source2: %name.apps

Url: http://www.altlinux.org/Alterator

BuildArch: noarch
BuildRequires(pre): rpm-macros-alternatives
Requires: alterator-wizardface
Requires: alterator-livecd >= 0.5-alt1
Requires: alterator-vm alterator-users >= 10.2-alt1 alterator-root >= 0.9-alt1 alterator-datetime >= 2.6 alterator-notes
Requires: alterator-service-functions
Requires: installer-scripts-remount-stage2 >= 0.3-alt1
Requires: livecd-evms
#Requires: make-initrd-plymouth
Requires: consolehelper

# Alterator-vm always allow to create an encrypted partition.
# So always install alterator-luks.
Requires: alterator-luks >= 0.2.1-alt1
Requires: make-initrd-luks

Requires(post): chkconfig
Requires(preun): chkconfig

# There was 'removable' initinstall hook
Conflicts: installer-feature-simply-livecd < 0.8.4-alt1

%description
%summary

%prep
%setup

%install
%makeinstall
install -D -p -m 0644 %{S:1} %buildroot%_sysconfdir/pam.d/%name
install -D -p -m 0644 %{S:2} %buildroot%_sysconfdir/security/console.apps/%name
install -d -m 0755 %buildroot%_bindir
ln -s %_libexecdir/consolehelper/helper %buildroot%_bindir/%name
mkdir -p %buildroot%_x11sysconfdir/profile.d
install -m 0755 zdg-user-dirs-install.sh %buildroot%_x11sysconfdir/profile.d/

%files
%config(noreplace) %_sysconfdir/%name
%_altdir/livecd-install.steps
%_bindir/%name
%_sbindir/%name
%config(noreplace) %_sysconfdir/pam.d/%name
%config(noreplace) %_sysconfdir/security/console.apps/%name
%_datadir/alterator/steps/*
%_libexecdir/alterator/hooks/livecd-*.d/*
%_desktopdir/*.desktop
%_x11sysconfdir/profile.d/*

%changelog
