# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lximage-qt
Version: 1.3.0
Release: alt1

Summary: Image viewer and screenshot tool
License: LGPL
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: libXdmcp-devel libXfixes-devel libexif-devel
BuildRequires: liblxqt-devel qt5-base-devel qt5-tools-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: libfm-devel libfm-qt-devel
BuildRequires: libmenu-cache-devel >= 0.5.0
BuildRequires: glib2-devel libpcre-devel

%description
%summary

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

%files
%_bindir/*
%_iconsdir/*/*/*/*
%_desktopdir/*.desktop
%_datadir/%name
%_datadir/metainfo/%name.metainfo.xml
%doc AUTHORS CHANGELOG README.md

%changelog
