Name: lxqt
Version: 1.3
Release: alt1
Summary: Meta package for install LxQt
Group: Graphical desktop/Other
License: GPL-2.0-or-later
Url: https://lxqt-project.org
BuildArch: noarch

%description
%summary

%package mini
Summary: Meta package for install LxQt
Group: Graphical desktop/Other
BuildArch: noarch

# core componenets
Requires: lxmenu-data
Requires: lxqt-about >= %version
Requires: lxqt-themes >= %version
Requires: lxqt-globalkeys >= %version
Requires: lxqt-notificationd >= %version
Requires: lxqt-panel >= %version
Requires: lxqt-powermanagement >= %version
Requires: lxqt-qtplugin >= %version
Requires: lxqt-runner >= %version
Requires: lxqt-session >= %version
Requires: pcmanfm-qt >= %version
Requires: lxqt-config >= %version
Requires: qterminal >= %version
Requires: lxqt-policykit >= %version
# system configuration tools
Requires: lxqt-config >= %version
Requires: obconf-qt
# themes
Requires: icon-theme-oxygen
# system components
Requires: openbox-base openbox-autostart

Obsoletes: lxqt < 0.14
Obsoletes: lxqt-l10n < 0.14
Obsoletes: compton-conf-l10n < 0.14
Obsoletes: libfm-qt-l10n < 0.14
Obsoletes: lximage-qt-l10n < 0.14
Obsoletes: obconf-qt-l10n < 0.14
Obsoletes: pavucontrol-qt-l10n < 0.14
Obsoletes: pcmanfm-qt-l10n < 0.14
Obsoletes: qterminal-l10n < 0.14
Obsoletes: qtermwidget-l10n < 0.14

%description mini
%summary

%package regular
Summary: Meta package for install regular-lxqt
Group: Graphical desktop/Other
BuildArch: noarch

Requires: lxqt-mini
# sound mixer
Requires: pavucontrol-qt >= %version
# for pavucontrol-qt
Requires: pulseaudio-daemon pulseaudio-utils alsa-plugins-pulse
# optional components
Requires: lxqt-openssh-askpass >= %version
Requires: lxqt-admin >= %version
# archiver
Requires: lxqt-archiver
# task-manager
Requires: qps
# clipboard history applet
Requires: qlipper
# fonts
Requires: fonts-ttf-core
# pdf-viewer
Requires: qpdfview
# image-viewer
Requires: lximage-qt
# themes for window manager
Requires: openbox-themes
# Graphical wrapper for su
Requires: lxqt-sudo
# xdg-desktop-portal
Requires: xdg-desktop-portal-lxqt

%description regular
%summary

%files mini
%files regular

%changelog
