# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-policykit
Version: 1.3.0
Release: alt1

Summary: Policykit authentication agent
License: LGPL
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: liblxqt-devel qt5-base-devel qt5-tools-devel
BuildRequires: rpm-build-xdg libqtxdg-devel
BuildRequires: libpolkit-devel libpolkitqt5-qt5-devel
BuildRequires: kf5-kwindowsystem-devel

Provides: razorqt-polkit-agent = %version
Obsoletes: razorqt-polkit-agent < 0.7.0

Conflicts: lxqt-common <= 0.11.0

%description
%summary

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

%files
%_bindir/*
%_datadir/lxqt/translations/*
%_man1dir/*
%_xdgconfigdir/*/*
%doc AUTHORS CHANGELOG LICENSE README.md

%changelog
