%define _unpackaged_files_terminate_build 1

Name: mono-addins
Version: 1.3.3
Release: alt2
License: MIT
URL: http://www.go-mono.com
Group: Development/Other
Summary: Mono Addins

# https://github.com/mono/mono-addins.git
Source: %name-%version.tar

Patch1: mono-addins-alt-build-1.patch
Patch2: mono-addins-alt-build-2.patch
Patch3: mono-addins-opensuse-fix-delay-sign.patch
Patch4: mono-addins-alt-fix-mautil.patch

BuildRequires(pre): rpm-build-mono
BuildRequires: libgcc libgtk-sharp2-devel mono-devel
BuildRequires: /proc

%description
Mono Addin Support

%package devel
Summary: Development files for Mono Addin
Group: Development/Other
Requires: %name = %EVR

%description devel
Development files for Mono Addin

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
./autogen.sh
%configure --enable-gui
%make

%install
%make_install DESTDIR=%buildroot install

%files
%_bindir/mautil
%_monodir/%name
%_monogacdir/*
%_man1dir/*.1*

%files devel
%_pkgconfigdir/*.pc

%changelog
