# Do not require optional packages needed by restart hooks:
%add_findreq_skiplist %_sysconfdir/%name/restart.d/*

Name: needrestart
Version: 3.4
Release: alt1

Summary: Restart daemons after library updates
License: GPLv2
Group: System/Servers

URL: https://github.com/liske/needrestart
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

Packager: %packager

BuildRequires: perl-devel perl-Module-Find perl-Proc-ProcessTable perl-Sort-Naturally perl-Term-ReadKey perl-libintl perl-Module-ScanDeps

%description
needrestart checks which daemons need to be restarted after library
upgrades. It is inspired by checkrestart from the debian-goodies
package.

%package list
Summary: Automaticaly list daemons needs restart after apt run
Group: System/Servers
Requires: %name = %version-%release
BuildArch: noarch

%description list
List daemons needs to be restarted after apt run

%prep
%setup -n %name-%version
%patch0 -p1

%build

%install
%makeinstall_std
rm -f %buildroot%perl_vendor_privlib/NeedRestart/UI/Debconf.pm
install -pDm 644 man/%name.1 %buildroot%_man1dir/%name.1

%find_lang --all-name %name

# %name-list subpackage:
mkdir -p %buildroot%_sysconfdir/apt/apt.conf.d
cat > %buildroot%_sysconfdir/apt/apt.conf.d/%name.conf << EOF
RPM::Post-Invoke      { "if [ -x /usr/sbin/needrestart ]; then /usr/sbin/needrestart -q -l -r l; fi"; };
EOF

%files -f %name.lang
%_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/%name.conf
%config(noreplace) %_sysconfdir/%name/notify.conf

%_sbindir/%name
%_libexecdir/%name
%perl_vendor_privlib/NeedRestart*
%_datadir/polkit-1/actions/net.fiasko-nw.needrestart.policy
%_man1dir/%name.1.*
%doc AUTHORS README* NEWS INSTALL* ChangeLog

%files list
%config(noreplace) %_sysconfdir/apt/apt.conf.d/%name.conf

%changelog
