%define cid            langpack-uk@palemoon.org
%define cid_dir        %palemoon_noarch_extensionsdir/%cid

%define cid_dict       uk@dictionaries.addons.mozilla.org
%define cid_dict_dir   %palemoon_noarch_extensionsdir/%cid_dict

%define min_version	32.0.0
%define max_version	33.0.*

%define bname		newmoon
%define newmoon_dir 	%palemoon_datadir/browser/

Name: palemoon-uk

Version: 32.0.0
Release: alt1

Summary: Ukrainian (UA) Language Pack for Pale Moon
License: MPL-2.0

ExcludeArch: %ix86 %arm

Group: Networking/WWW
Url: http://www.palemoon.org/langpacks.shtml

Packager: Hihin Ruslan <ruslandh@altlinux.ru>

Source: uk_palemoon_%version.xpi
Source2: uk_UA_%version.tar

Requires: hunspell-uk
Requires: palemoon >= 27.7.0

#BuildArch: noarch

BuildRequires(pre):	rpm-build-palemoon

# Automatically added by buildreq on Mon Nov 28 2022
# optimized out: libgpg-error sh4
BuildRequires: unzip


%description
The Palemoon Ukrainian translation and dictionary.

%prep
%setup -c -n %name-%version/%cid

cd ..
tar -xf  %SOURCE2

%install
cd ..

mkdir -p -- \
	%buildroot/%cid_dir \
	%buildroot/%cid_dict_dir/dictionaries

install -d -m 755 %buildroot/%newmoon_dir/

# Install translation
cp -r -- %cid/* %buildroot/%cid_dir
ls uk_UA_%version/*
cp uk_UA_%version/install.rdf %buildroot/%cid_dict_dir

cd -


ln -s %_datadir/myspell/uk_UA.aff %buildroot/%cid_dict_dir/dictionaries/uk-UA.aff
ln -s %_datadir/myspell/uk_UA.dic %buildroot/%cid_dict_dir/dictionaries/uk-UA.dic

%files
%cid_dir
%cid_dict_dir

%changelog
