Name: pavucontrol
Version: 5.0
Release: alt2

Summary: PulseAudio Volume Control
Group: Sound
License: GPLv2
Url: http://pulseaudio.org

Source: %name-%version.tar

BuildRequires: gcc-c++ intltool libcanberra-gtk3-devel libgtkmm3-devel libjson-glib-devel libsigc++2-devel libpulseaudio-devel lynx

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume
control tool ("mixer") for the Polypaudio sound server. In
contrast to classic mixer tools this one allows you to control both
the volume of hardware devices and of each playback stream seperately.

%prep
%setup

%build
%add_optflags -std=c++11
%autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%_bindir/*
%dir %_datadir/pavucontrol/
%_datadir/pavucontrol/pavucontrol.glade
%_datadir/applications/pavucontrol.desktop
%doc README doc/README.html doc/style.css

%changelog
