Name: pcsc-lite-acsccid
Version: 1.1.9
Release: alt1

Summary: PCSC Driver for ACS CCID Based Smart Card Readers
License: LGPLv2.1+
Group: System/Servers

Url: http://acsccid.sourceforge.net/
Source: %name-%version.tar
Patch: %name-1.1.0-alt-ACR38U-CCID-rule.patch

BuildRequires: libusb-devel
BuildRequires: libpcsclite-devel
BuildRequires: flex
BuildRequires: autoconf-archive

Provides: pcsc-acsccid = %version-%release
Obsoletes: pcsc-acsccid < %version-%release

%description
This package contains a ACS USB CCID (Chip/Smart Card Interface
Devices) driver.

This driver is meant to be used with the PCSC-Lite daemon from the
pcsc-lite package.

%prep
%setup
%patch -p1
mkdir config
cp /usr/share/gettext/config.rpath config

%build
%autoreconf
%configure --enable-composite-as-multislot --enable-twinserial
%make

%install
%makeinstall_std
mkdir -p %buildroot/lib/udev
mkdir %buildroot/lib/udev/rules.d
sed 's:GROUP="pcscd":GROUP="scard":' <src/92_pcscd_acsccid.rules >%buildroot/lib/udev/rules.d/92_pcscd_acsccid.rules

%files
%doc AUTHORS COPYING README
/lib/udev/rules.d/*.rules
%_libdir/pcsc/drivers/*

%changelog
