%define _unpackaged_files_terminate_build 1
Name: perl-GD
Version: 2.73
Release: alt1
Epoch: 1

Summary: Perl interface to the GD graphics library
License: Perl
Group: Development/Perl

URL: %CPAN GD
Source0: http://www.cpan.org/authors/id/R/RU/RURBAN/GD-%{version}.tar.gz
Patch: GD-2.73-GD.t-fonts.patch
Patch1: %name-2.68-alt-libgd-force-pkgconfig.patch

Conflicts: perl-GD1
Provides: perl-GD2 = %version
Obsoletes: perl-GD2 < %version

# Automatically added by buildreq on Sun Oct 09 2011
BuildRequires: libgd3-devel perl-Math-Complex perl-devel perl-podlators perl(Module/Build.pm) perl(ExtUtils/PkgConfig.pm)

%description
This is a autoloadable interface module for GD, a popular library for creating
and manipulating PNG files. With this library you can create PNG images on the
fly or modify existing files.

%prep
%setup -q -n GD-%{version}
%patch -p1
%patch1 -p2

# do not override default CCFLAGS
sed -i- '/CCFLAGS/d' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

#rm %buildroot%_bindir/bdf2gdfont.PLS
#rm %buildroot%_man1dir/bdf2gdfont.PLS.*

%files
%doc README* demos bdf_scripts ChangeLog
%_bindir/bdf2gdfont.pl
%_man1dir/bdf2gdfont.*
# for older libgd - not installed by default
#%_bindir/bdftogd
#%_bindir/cvtbdf.pl
%perl_vendor_archlib/GD*
%perl_vendor_autolib/GD
#%perl_vendor_archlib/qd.pl

%changelog
