%define _unpackaged_files_terminate_build 1
%define dist Image-ExifTool

Name: perl-%dist
Version: 12.42
Release: alt1

Summary: Perl module for manipulating EXIF data
License: Perl
Group: Development/Perl

# Switched to real homepage from "%CPAN %dist" as CPAN page does not track
# every released version
URL: http://owl.phy.queensu.ca/~phil/exiftool
Source0: http://www.cpan.org/authors/id/E/EX/EXIFTOOL/%{dist}-%{version}.tar.gz
Patch0: perl-Image-ExifTool-11.85-findreq-alt.patch
Patch1: Image-ExifTool-11.85-alt-syntax.patch

BuildArch: noarch

Provides: exiftool

# Automatically added by buildreq on Sun Oct 23 2011 (-bi)
BuildRequires: perl-Digest-SHA perl-IO-Compress perl-devel perl-podlators

%description
ExifTool is a customizable set of Perl modules plus an application script for
reading and writing meta information in image, audio and video files, including
the maker note information of many digital cameras by various manufacturers such
as Canon, Casio, FujiFilm, JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta,
Nikon, Olympus/Epson, Panasonic/Leica, Pentax/Asahi, Ricoh, Sanyo, Sigma/Foveon
and Sony.

%prep
%setup -q -n %{dist}-%{version}
%patch0 -p1
%patch1 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README html/*
%_bindir/exiftool
%perl_vendor_privlib/File/
%perl_vendor_privlib/Image/
%_man1dir/exiftool*

%changelog
