#define module Source-Text-Dependency-Analyser
%define module RPM-Source-Dependency-Analyzer
# useful for testexpect updates
#define _without_test 1

Name: perl-%module
Version: 0.082
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: Perl library for finding build dependencies from software sources
Group: Development/Perl
License: GPLv2+ or Artistic-2
Source: http://www.cpan.org/modules/by-module/RPM/%module-%version.tar.gz
Url: http://search.cpan.org/dist/%module

Conflicts: perl-RPM-Source-Editor < 0.909

BuildRequires: perl-devel /usr/bin/pod2man perl-podlators perl-Source-Bundle perl-RPM-Source-Editor perl(Pod/Strip.pm)
BuildRequires: perl-DistroMap perl-Marpa-R2 perl(Source/Shared/Resource/Debug.pm)


%description
%summary

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

# TODO! distrodb!
install -Dm644 stdheaders.txt %buildroot%_datadir/%module/headers-ignore/stdheaders.txt

%files
%doc Changes
%perl_vendor_privlib/R*
%_datadir/%module
%_bindir/buildreq-*
%_man1dir/buildreq-*
%_bindir/sourcedep-resolve
%_man1dir/sourcedep-resolve*

%changelog
