# TODO:
#    --enable-redis-igbinary \
#    --enable-redis-msgpack \

%define		php_extension	redis
%define 	real_name	redis
Name:	 	php%_php_suffix-%php_extension
Version:	5.3.7
Release:	alt1.%php_version
Summary:	Client extension for Redis key-value store
License:	PHP-3.01
Group:		System/Servers
URL:		https://github.com/nicolasff/phpredis
Source:		php-%php_extension-%version.tar

Source1: redis.ini
Source2: php-redis-params.sh

BuildRequires(pre): rpm-build-php8.1-version
BuildRequires: php-devel = %php_version
BuildRequires: liblzf-devel libzstd-devel liblz4-devel

%description
The phpredis extension provides an API for communicating with the Redis key-value store.

%prep
%setup -n php-%php_extension-%version

%build
phpize

%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php_version
%configure \
    --with-libdir=%_lib \
    --enable-redis-lzf \
    --with-liblzf \
    --enable-redis-zstd \
    --with-libzstd \
    --enable-redis-lz4 \
    --with-liblz4

%php_make

%install
%php_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php_extconf/%php_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%doc CREDITS *.markdown
%php_extconf/%php_extension
%php_extdir/*

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
