%define rname kdeplasma-addons

%ifarch %not_qt5_qtwebengine_arches
%def_disable qtwebengine
%else
%def_enable qtwebengine
%endif

%define plasmacomicprovidercore_sover 0
%define libplasmacomicprovidercore libplasmacomicprovidercore%plasmacomicprovidercore_sover
%define plasmaweatherprivate_sover 0
%define libplasmaweatherprivate libplasmaweatherprivate%plasmaweatherprivate_sover
%define plasmapotdprovidercore_sover 0
%define libplasmapotdprovidercore libplasmapotdprovidercore%plasmapotdprovidercore_sover

Name: plasma5-addons
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 Plasma addons
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: %name-common = %version-%release
# plasma.quickshare
Requires: kf5-purpose
# plasma.diskquota
Requires: quota
#
Provides: kf5-kdeplasma-addons = %EVR
Obsoletes: kf5-kdeplasma-addons < %EVR

Source: %rname-%version.tar
Patch2: alt-sover.patch
Patch3: alt-weather-usability.patch
Patch4: alt-color-picker.patch
Patch5: alt-fixed-comic-widget-crash.patch
Patch6: alt-def-dict.patch

# Automatically added by buildreq on Mon Mar 30 2015 (-bi)
# optimized out: cmake cmake-modules elfutils glib2-devel kf5-attica-devel kf5-kdoctools-devel libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libcloog-isl4 libdbusmenu-qt52 libgio-devel libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-qml libqt5-quick libqt5-sql libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms libxcbutil-keysyms-devel libxkbfile-devel pkg-config python-base qt5-base-devel ruby ruby-stdlibs scim-libs xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kpackage-devel kf5-kparts-devel kf5-krunner-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-plasma-framework-devel kf5-solid-devel kf5-sonnet-devel libibus-devel python-module-google qt5-declarative-devel qt5-x11extras-devel rpm-build-ruby scim-devel
BuildRequires(pre): rpm-build-kf5 rpm-macros-qt5-webengine
BuildRequires: extra-cmake-modules gcc-c++ qt5-declarative-devel qt5-x11extras-devel qt5-script-devel
%if_enabled qtwebengine
BuildRequires: qt5-webengine-devel
%endif
BuildRequires: libxcbutil-image-devel libxcb-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel
BuildRequires: kf5-kdelibs4support kf5-kdelibs4support-devel
BuildRequires: kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-kdesignerplugin-devel kf5-kemoticons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-knotifications-devel kf5-kpackage-devel kf5-kparts-devel kf5-krunner-devel kf5-kservice-devel kf5-ktextwidgets-devel
BuildRequires: kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-plasma-framework-devel
BuildRequires: kf5-solid-devel kf5-sonnet-devel kf5-kross-devel kf5-knewstuff-devel kf5-kactivities-devel
BuildRequires: kf5-kdeclarative-devel kf5-kholidays-devel kf5-networkmanager-qt-devel
BuildRequires: plasma5-workspace-devel plasma5-libksysguard-devel

%description
Plasma addons.

%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kf5-filesystem
Provides: kf5-kdeplasma-addons-common = %EVR
Obsoletes: kf5-kdeplasma-addons-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Provides: kf5-kdeplasma-addons-devel = %EVR
Obsoletes: kf5-kdeplasma-addons-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libplasmacomicprovidercore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n %libplasmacomicprovidercore
KF5 library

%package -n %libplasmaweatherprivate
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n %libplasmaweatherprivate
KF5 library

%package -n %libplasmapotdprovidercore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n %libplasmapotdprovidercore
KF5 library

%prep
%setup -n %rname-%version
%patch2 -p1
#%patch3 -p1
#%patch4 -p2
%patch5 -p2
%patch6 -p1

# disable krunners by default
for d in runners/*/*.json ; do
    sed -i '/EnabledByDefault/s|true|false|' $d
done

%build
%K5build \
    -DKDE_INSTALL_INCLUDEDIR=%_K5inc \
    -DLIBEXEC_INSTALL_DIR=%_K5exec \
    #

%install
%K5install
%K5install_move data kwin kdevappwizard kdevfiletemplates locale knsrcfiles
%K5install_move icon all
%find_lang %name --all-name
# ensure arch-dependence
touch touch-%_arch

%files common -f %name.lang
%doc touch-%_arch LICENSES/*
%_K5icon/*/*/*/*.*
%_datadir/qlogging-categories5/*.*categories

%files
%_K5data/knsrcfiles/*.knsrc
%_K5plug/kf5/krunner/kcms/*.so
%_K5plug/plasma/applets/*.so
%_K5plug/kpackage/packagestructure/*.so
%_K5plug/plasmacalendarplugins/*
%_K5plug/potd/
%_K5plug/kf5/krunner/*.so
%_K5qml/org/kde/plasma/private/*/
%_K5qml/org/kde/plasmacalendar/*/
%_K5qml/org/kde/plasma/wallpapers/potd/
%_K5data/plasma/*
%_K5data/kwin/*
%_K5srvtyp/*

%files devel
%_K5inc/plasma/potdprovider/
%_K5link/lib*.so
%_libdir/cmake/PlasmaPotdProvider/
%_K5data/kdev*/templates/*.tar.*

#%files -n %libplasmacomicprovidercore
#%_K5lib/libplasmacomicprovidercore.so.*
#%_K5lib/libplasmacomicprovidercore.so.%plasmacomicprovidercore_sover
%files -n %libplasmapotdprovidercore
%_K5lib/libplasmapotdprovidercore.so.*
%_K5lib/libplasmapotdprovidercore.so.%plasmapotdprovidercore_sover

%changelog
