%ifndef _unitdir_user
%define _unitdir_user %prefix/lib/systemd/user
%endif

%define rname kactivitymanagerd

Name: plasma5-kactivitymanagerd
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: Core component for the KDE Activity concept
Url: http://www.kde.org
License: GPL-2.0-or-later

Source: %rname-%version.tar
Patch1: alt-def-activity-name.patch

# Automatically added by buildreq on Thu Mar 17 2016 (-bi)
# optimized out: cmake cmake-modules elfutils gcc-c++ libEGL-devel libGL-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-sql libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base python-modules python3 python3-base rpm-build-python3 ruby ruby-stdlibs
#BuildRequires: boost-devel-headers extra-cmake-modules kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel python-module-google python3.3-site-packages qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: qt5-base-devel boost-devel extra-cmake-modules
BuildRequires: kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel
BuildRequires: kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel
BuildRequires: kf5-kcrash-devel

Provides: kf5-kactivitymanagerd = %EVR
Obsoletes: kf5-kactivitymanagerd < %EVR

%description
%summary.

%prep
%setup -n %rname-%version
%patch1 -p1

%build
%K5build \
    -DKDE_INSTALL_LIBEXECDIR=%_K5exec \
    #

%install
%K5install
%K5install_move data krunner
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%_datadir/qlogging-categories5/*.*categories
%_K5exec/kactivitymanagerd
%_K5lib/libkactivitymanagerd_plugin.so
%_K5plug/kactivitymanagerd/
#%_K5plug/*.so
#%_K5data/kactivitymanagerd/
#%_K5srv/*.protocol
%_K5srv/*.desktop
#%_K5srvtyp/*.desktop
%_K5dbus_srv/*ctivity?anager*.service
%_unitdir_user/*.service
%_K5data/krunner/dbusplugins/plasma-runnners-activities.desktop

%changelog
