%define rname kde-gtk-config

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 GNOME/GTK Application Style
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: xsettingsd
Provides: kf5-kde-gtk-config = %EVR
Obsoletes: kf5-kde-gtk-config < %EVR

Source: %rname-%version.tar
Patch1: alt-defaults.patch
Patch2: alt-def-font.patch

# Automatically added by buildreq on Tue Apr 07 2015 (-bi)
# optimized out: at-spi2-atk cmake cmake-modules elfutils fontconfig fontconfig-devel glib2-devel kf5-attica-devel libEGL-devel libGL-devel libX11-devel libat-spi2-core libatk-devel libcairo-devel libcairo-gobject libcloog-isl4 libgdk-pixbuf libgdk-pixbuf-devel libgio-devel libpango-devel libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libwayland-client libwayland-cursor libwayland-egl libwayland-server libxcbutil-keysyms pkg-config python-base ruby ruby-stdlibs xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knewstuff-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libgtk+2-devel libgtk+3-devel python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-svg-devel
BuildRequires: sassc
BuildRequires: libgtk+2-devel libgtk+3-devel libXcursor-devel
BuildRequires: plasma5-kdecoration-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kglobalaccel-devel
BuildRequires: kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-knewstuff-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel
BuildRequires: kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
# workaround against pango includes
BuildRequires: libharfbuzz-devel

%description
Widget Style of GNOME/GTK Applications.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-kde-gtk-config-common = %EVR
Obsoletes: kf5-kde-gtk-config-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-kde-gtk-config-devel = %EVR
Obsoletes: kf5-kde-gtk-config-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5de-gtk-config
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5de-gtk-config
KF5 library


%prep
%setup -n %rname-%version
#%patch1 -p1
%patch2 -p1

%build
ADD_OPTFLAGS=`pkg-config --cflags harfbuzz`
%add_optflags $ADD_OPTFLAGS
%K5build \
    -DLIBEXEC_INSTALL_DIR=%_K5exec \
    -DDATA_INSTALL_DIR=%_K5data \
    #

%install
%K5install
%K5install_move data kconf_update
#K5install_move data kcm-gtk-module knsrcfiles
%find_lang %name --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5exec/*gtk*
%_K5conf_bin/*gtk*
%_K5plug/kf5/kded/*gtk*.so
%_libdir/gtk-*/modules/*.so
%_K5conf_up/*gtk*.*
%_K5data/kcm-gtk-module/
%_datadir/themes/Breeze/window_decorations.css

%changelog
