%define rname kdecoration
%define sover 5
%define sover_private 10
%define libkdecorations libkdecorations2%sover
%define libkdecorationsprivate libkdecorations2private%sover_private

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Workspace 5 Plugin based library to create window decorations
Url: http://www.kde.org
License: GPL-2.0-or-later

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Mar 05 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-gui libqt5-test libstdc++-devel python-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel
BuildRequires: kf5-ki18n-devel kf5-kcoreaddons-devel

Provides: kf5-kdecoration = %EVR
Obsoletes: kf5-kdecoration < %EVR

%description
KDecoration2 is a library to create window decorations. These window decorations can be used by
for example an X11 based window manager which re-parents a Client window to a window decoration
frame.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-kdecoration-common = %EVR
Obsoletes: kf5-kdecoration-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-kdecoration-devel = %EVR
Obsoletes: kf5-kdecoration-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkdecorations
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkdecorations
KF5 library

%package -n %libkdecorationsprivate
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libkdecorationsprivate
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md

%files devel
%_K5inc/kdecoration2_version.h
%_includedir/KDecoration2/
%_K5link/lib*.so
%_K5lib/cmake/KDecoration2
#%_K5archdata/mkspecs/modules/qt_KDecoration.pri

%files -n %libkdecorations
%_K5lib/libkdecorations2.so.%sover
%_K5lib/libkdecorations2.so.*
%files -n %libkdecorationsprivate
%_K5lib/libkdecorations2private.so.%sover_private
%_K5lib/libkdecorations2private.so.*

%changelog
