%define rname kinfocenter

%define kinfocenterinternal_sover 0
%define libkinfocenterinternal libkinfocenterinternal%kinfocenterinternal_sover

Name: plasma5-%rname
Version: 5.27.8
Release: alt2
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 Info Center
Url: http://www.kde.org
License: GPL-2.0-or-later

Provides:  kf5-kinfocenter = %EVR kf5-kinfocenter-common = %EVR plasma5-kinfocenter-common = %EVR
Obsoletes: kf5-kinfocenter < %EVR kf5-kinfocenter-common < %EVR plasma5-kinfocenter-common < %EVR
Requires: kf5-kirigami
# USB
Requires: usbids

Source: %rname-%version.tar
Source10: ansi2html.sh
Source20: add-ru.po
Patch1: alt-usbids-path.patch
Patch2: alt-mark-usb-drives.patch
Patch3: alt-no-aha-tool.patch
Patch4: alt-use-pretty-name.patch

# Automatically added by buildreq on Thu Mar 26 2015 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils glibc-devel-static kf5-attica-devel kf5-kdoctools-devel libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXau-devel libXext-devel libXfixes-devel libXi-devel libXrender-devel libXt-devel libcloog-isl4 libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libraw1394-11 libstdc++-devel libwayland-client libwayland-server libxcbutil-keysyms pkg-config python-base ruby ruby-stdlibs xml-common xml-utils xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwayland-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libGLU-devel libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libpci-devel libraw1394-devel libxkbfile-devel python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel
BuildRequires: libpci-devel libraw1394-devel libusb-devel
BuildRequires: libGLU-devel libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel
BuildRequires: libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel
BuildRequires: libxkbfile-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcmutils-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel
BuildRequires: kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel
BuildRequires: kf5-kdoctools kf5-kdoctools-devel
BuildRequires: kf5-kemoticons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel
BuildRequires: kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel
BuildRequires: kf5-kwayland-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-kdeclarative-devel kf5-kpackage-devel

%description
KDE Info Center.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-kinfocenter-common = %EVR
Obsoletes: kf5-kinfocenter-common < %EVR
%description common
%name common package

%package maxi
Summary: %name maximum package
Group: System/Configuration/Packaging
Requires: %name
# Window Manager
Requires: /usr/share/qt5/bin/qdbus
# OpenCL
Requires: /usr/bin/clinfo
# OpenGL (EGL)
Requires: /usr/bin/eglinfo
# OpenGL (GLX)
Requires: /usr/bin/glxinfo
# X-Server
Requires: /usr/bin/xdpyinfo
# Wayland
Requires: /usr/bin/wayland-info
# PCI
Requires: /usr/bin/lspci
# CPU
Requires: /usr/bin/lscpu
# Vulkan
Requires: /usr/bin/vulkaninfo
# Firmware Security
#Requires: /usr/bin/fwupdmgr
# About
Requires: /usr/sbin/dmidecode
%description maxi
%name maximum package.

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-kinfocenter-devel = %EVR
Obsoletes: kf5-kinfocenter-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libkinfocenterinternal
Group: System/Libraries
Summary: KF5 library
Requires: %name-common
%description -n %libkinfocenterinternal
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

grep -e 'add_library.*KInfoCenterInternal' src/CMakeLists.txt \
 && echo 'set_target_properties(KInfoCenterInternal PROPERTIES VERSION 0.0.0 SOVERSION 0)' >>src/CMakeLists.txt \
 ||:

for p in po/ru/*.po ; do
    mv ${p}{,.old}
    msgcat --use-first %SOURCE20 ${p}.old > ${p}
    rm -f ${p}.old
done


%build
%K5build

%install
%K5install
%K5install_move data desktop-directories kcmusb kcmview1394 kpackage kinfocenter
%K5install_move menu all
install -Dm 0755 %SOURCE10 %buildroot/%_K5bin/kinfocenter5-ansi2html.sh

%find_lang %name --with-kde --all-name

%files common  -f %name.lang
%doc LICENSES/*

%files maxi

%files
%_K5bin/*
%_K5plug/plasma/kcms/*.so
%_K5plug/plasma/kcms/kinfocenter/*.so
%_K5qml/org/kde/kinfocenter/
%_K5xdgapp/*.desktop
%_K5xdgdir/*.directory
%_K5xdgmenu/*.menu
%_K5data/kinfocenter/
%_K5data/kpackage/
# kinfocenter/dmidecode-helper
%_K5libexecdir/kauth/*dmidecode*
%_K5dbus_sys_srv/*dmidecode*
%_datadir/dbus-1/system.d/*dmidecode*
%_datadir/polkit-1/actions/*dmidecode*

%files -n %libkinfocenterinternal
%_K5lib/libKInfoCenterInternal.so.*
%_K5lib/libKInfoCenterInternal.so.%kinfocenterinternal_sover

%changelog
