%define rname kwrited

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 Write Daemon
Url: http://www.kde.org
License: GPL-2.0-or-later

Source: %rname-%version.tar
Patch1: alt-build-as-exec-with-utempter.patch

# Automatically added by buildreq on Tue Apr 07 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libdbusmenu-qt52 libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kcoreaddons-devel kf5-ki18n-devel kf5-knotifications-devel kf5-kpty-devel kf5-kwindowsystem-devel python-module-google qt5-base-devel ruby ruby-stdlibs
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel
BuildRequires: kf5-kcoreaddons-devel kf5-ki18n-devel kf5-knotifications-devel
BuildRequires: kf5-kpty-devel kf5-kwindowsystem-devel kf5-kdbusaddons-devel

Provides: kf5-kwrited = %EVR
Obsoletes: kf5-kwrited < %EVR

%description
Watch for messages from local users sent with write(1) or wall(1)

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-kwrited-common = %EVR
Obsoletes: kf5-kwrited-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-kwrited-devel = %EVR
Obsoletes: kf5-kwrited-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5writed
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5writed
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1

%build
%K5build

%install
%K5install
%find_lang %name --all-name

%files -f %name.lang
%doc LICENSES/*
%if 0
%_K5plug/kf5/kded/kwrited.so
%else
%attr(2711,root,utempter) %_K5bin/kwrited
%_K5start/kwrited-autostart.desktop
%endif
%_K5notif/*writed*

%changelog
