%define rname plasma-pa

%define sover 0
%define libqpulseaudioprivate libqpulseaudioprivate%sover

Name: plasma5-pa
Version: 5.27.8
Release: alt1
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: Audio Volume Plasma Applet
Url: http://www.kde.org
License: GPL-2.0-or-later

# requires to pipewire/pulseaudio-daemon moved to kde5-volume-control

Provides: kf5-plasma-pa = %EVR
Obsoletes: kf5-plasma-pa < %EVR
Provides: kf5-plasma-pa-common = %EVR
Obsoletes: kf5-plasma-pa-common < %EVR

Source: %rname-%version.tar
Patch1: alt-i18n.patch

# Automatically added by buildreq on Mon Aug 24 2015 (-bi)
# optimized out: cmake cmake-modules elfutils glib2-devel libEGL-devel libGL-devel libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-qml libqt5-quick libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms pkg-config python-base python3 python3-base qt5-base-devel rpm-build-gir ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdeclarative-devel kf5-kglobalaccel-devel kf5-ki18n-devel kf5-kpackage-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-plasma-framework-devel libpulseaudio-devel python-module-google qt5-declarative-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-declarative-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libGConf-devel libcanberra-devel glib2-devel libgio-devel
BuildRequires: kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdeclarative-devel
BuildRequires: kf5-kglobalaccel-devel kf5-ki18n-devel kf5-kpackage-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-plasma-framework-devel
BuildRequires: kf5-kdoctools kf5-kdoctools-devel kf5-kdoctools-devel kf5-knotifications-devel
BuildRequires: kf5-kcmutils-devel

%description
%summary

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-plasma-pa-common = %EVR
Obsoletes: kf5-plasma-pa-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-plasma-pa-devel = %EVR
Obsoletes: kf5-plasma-pa-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libqpulseaudioprivate
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libqpulseaudioprivate
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p1

%build
%K5build

%install
%K5install
%K5install_move data kpackage kconf_update
# remove kde4 kmix stuff
rm -rf %buildroot/%_datadir/kde4/ ||:
%find_lang %name --with-kde --all-name

%files  -f %name.lang
%doc LICENSES/*
%_K5plug/plasma/kcms/systemsettings/*pulse*.so
%_K5qml/org/kde/plasma/private/volume/
%_K5xdgapp/*pulse*.desktop
%_K5data/plasma/plasmoids/org.kde.plasma.volume/
%_K5data/kpackage/kcms/*pulse*/
%_K5cf_upd/*
%_K5srv/*.desktop

#%files devel
#%_K5inc/plasma-pa_version.h
#%_K5inc/plasma-pa/
#%_K5link/lib*.so
#%_K5lib/cmake/plasma-pa
#%_K5archdata/mkspecs/modules/qt_plasma-pa.pri

#%files -n %libqpulseaudioprivate
#%_K5lib/libQPulseAudioPrivate.so.%sover
#%_K5lib/libQPulseAudioPrivate.so.*

%changelog
