%define rname plasma-sdk
%filter_from_requires /inkscape/d

Name: plasma5-sdk
Version: 5.27.8
Release: alt1
%K5init altplace no_appdata

Group: Development/KDE and QT
Summary: KDE Workspace 5 Applications useful for Plasma Development
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: kf5-kirigami
Provides: kf5-plasma-sdk = %EVR
Obsoletes: kf5-plasma-sdk < %EVR

Source: %rname-%version.tar

# Automatically added by buildreq on Tue Apr 28 2015 (-bi)
# optimized out: cmake cmake-modules elfutils kf5-attica-devel libEGL-devel libGL-devel libcloog-isl4 libdbusmenu-qt52 libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-qml libqt5-quick libqt5-script libqt5-sql libqt5-svg libqt5-test libqt5-webkit libqt5-webkitwidgets libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base qt5-base-devel qt5-declarative-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdeclarative-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knewstuff-devel kf5-kpackage-devel kf5-kparts-devel kf5-kservice-devel kf5-ktexteditor-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-plasma-framework-devel kf5-solid-devel kf5-sonnet-devel libdb4-devel python-module-google qt5-svg-devel qt5-webkit-devel rpm-build-gir rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++  qt5-svg-devel qt5-webkit-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdeclarative-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kio-devel
BuildRequires: kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knewstuff-devel kf5-kpackage-devel kf5-kparts-devel kf5-kservice-devel
BuildRequires: kf5-ktexteditor-devel kf5-ktextwidgets-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel
BuildRequires: kf5-plasma-framework-devel kf5-solid-devel kf5-sonnet-devel kf5-kdbusaddons-devel kf5-kitemmodels-devel
BuildRequires: kf5-kdoctools-devel kf5-syntax-highlighting-devel

%description
Applications useful for Plasma Development.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-plasma-sdk-common = %EVR
Obsoletes: kf5-plasma-sdk-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-plasma-sdk-devel = %EVR
Obsoletes: kf5-plasma-sdk-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5plasma-sdk
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5plasma-sdk
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build \
    #
#    -DPLASMATE_BUILD_WITH_KDEVPLATFORM=ON \

%install
%K5install
%K5install_move data kpackage
%find_lang %name --with-kde --all-name

%files -f %name.lang
%doc LICENSES/*
%_K5bin/*
%_K5xdgapp/*.desktop
%_K5plug/ktexteditor/
%_K5data/plasma/shells/*/
%_K5data/kpackage/
%_K5srv/*.desktop

%changelog
