%def_with cifs
%def_with shell
%def_with splash

Name: propagator
Version: 20230701
Release: alt1

Summary: 'Early userspace' set of binaries
License: GPL
Group: System/Kernel and hardware

Url: http://altlinux.org/propagator
Source: %name-%version-%release.tar

BuildRequires: libnewt-devel-static libslang2-devel-static

%description
%name is a set of binaries useful in 'early userspace' environment,
including init and various helpers for hw probing and bootstrapping.

%prep
%setup

%build
%make_build \
	%{?_with_cifs:WITH_CIFS=t} \
	%{?_with_shell:WITH_SHELL=t} \
	%{?_with_splash:WITH_SPLASH=t} \
	version=%version-%release \
	libdir=%_libdir

%install
%makeinstall_std libdir=%_libdir

%check
%make_build \
	%{?_with_cifs:WITH_CIFS=t} \
	%{?_with_shell:WITH_SHELL=t} \
	%{?_with_splash:WITH_SPLASH=t} \
	version=%version-%release \
	libdir=%_libdir \
	test

%files
%_bindir/gencpio
%_bindir/mkmodpack
%_sbindir/propagator

%changelog
