%define _unpackaged_files_terminate_build 1
%define modname markdown
%def_enable check

Name: python-module-%modname
Version: 3.1.1
Release: alt2

Summary: Python implementation of Markdown text-to-HTML convertor.
Group: Development/Python
License: BSD-3-Clause
Url: http://pypi.python.org/pypi/Markdown/

#VCS: git://github.com/waylan/Python-Markdown.git
Source: https://pypi.io/packages/source/M/Markdown/Markdown-%{version}.tar.gz

%setup_python_module %modname

BuildArch: noarch

Conflicts: discount
%py_provides %modname

Requires: python-module-Pygments

BuildRequires(pre): rpm-build-python
BuildRequires: python-devel python-module-setuptools
BuildRequires: python-module-yaml python-modules-logging
BuildRequires: python-module-nose python-module-coverage
BuildRequires: python-modules-xml python-module-Pygments

%description
Markdown is a plain text formatting syntax designed to be as readable as
possible while being structured enough to allow conversion to other formats.

This package contains Python implementation of markdown-to-HTML convertor.

%package docs
Summary: Documentation for Markdown
Group: Development/Documentation
BuildArch: noarch

%description docs
Markdown is a plain text formatting syntax designed to be as readable as
possible while being structured enough to allow conversion to other formats.

This package contains documentation for Markdown.

%prep
%setup -n Markdown-%version

%build
%python_build

%install
%python_install
ln -s %{modname}_py %buildroot%_bindir/%modname

%check
export PYTHONPATH=%buildroot%python_sitelibdir
nosetests -v
%buildroot%_bindir/%modname README.md >README.html

%files
%_bindir/%modname
%_bindir/%{modname}_py
%python_sitelibdir/*

%changelog
