Name: python3-module-Pillow
Version: 8.1.2
Release: alt1

Summary: Python Imaging Library
License: MIT
Group: Development/Python
Url: https://pypi.python.org/pypi/Pillow/

Source0: %name-%version-%release.tar

BuildRequires: rpm-build-python3 python3-module-setuptools
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libopenjp2)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(imagequant)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(libwebpmux)

%description
Pillow is the friendly PIL fork by Alex Clark and Contributors.
PIL is the Python Imaging Library by Fredrik Lundh and Contributors.

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
PYTHONPATH=%buildroot%python3_sitelibdir python3 selftest.py

%add_python3_req_skip tkinter

%files
%doc *.rst docs/COPYING LICENSE *.md
%python3_sitelibdir/PIL
%python3_sitelibdir/Pillow-%version-*-info

%changelog
