%define oname aioamqp

Name: python3-module-%oname
Version: 0.13.0
Release: alt2

Summary: AMQP implementation using asyncio

License: BSD
Group: Development/Python3
Url: https://pypi.python.org/pypi/aioamqp/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# https://github.com/Polyconseil/aioamqp.git
# Source-url: https://pypi.io/packages/source/a/%oname/%oname-%version.tar.gz
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-pamqp
BuildRequires: pylint-py3 python3-module-coverage python3-module-nose python3-module-setuptools rpm-build-python3

%py3_provides %oname
%py3_requires asyncio

%description
aioamqp library is a pure-Python implementation of the AMQP 0.9.1
protocol.

Built on top on Python's asynchronous I/O support introduced in PEP
3156, it provides an API based on coroutines, making it easy to write
highly concurrent applications.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%check
python3 setup.py test

%files
%doc *.rst docs/*.rst examples
%python3_sitelibdir/*

%changelog
