%define oname billiard

Name: python3-module-%oname
Version: 3.6.3.0
Release: alt1

Summary: billiard is a fork of the Python 2.7 multiprocessing package

License: GPL
Group: Development/Python3
Url: https://github.com/celery/billiard/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools

BuildRequires: python3(case)
BuildRequires: python3(unittest2) python3(mock) python3(pytest) python3(psutil)

%add_findreq_skiplist %python3_sitelibdir/%oname/popen_spawn_win32.py

%description
billiard is a fork of the Python 2.7 multiprocessing package.
The multiprocessing package itself is a renamed and updated version of
R Oudkerk's pyprocessing package. This standalone variant is intended
to be compatible with Python 2.4 and 2.5, and will draw it's
fixes/improvements from python-trunk.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%if "%_libexecdir" != "%_libdir"
install -d %buildroot%_libdir
mv %buildroot%_libexecdir/* %buildroot%_libdir/
%endif

%check
%python3_check

%files
%doc LICENSE.txt CHANGES.txt README.rst
%python3_sitelibdir/*

%changelog
