%define _unpackaged_files_terminate_build 1
%define oname certifi

Name: python3-module-%oname
Version: 2021.5.30
Release: alt1
Summary: Python package for providing Mozilla's CA Bundle
License: MPL-2.0
Group: Development/Python3
Url: https://pypi.python.org/pypi/certifi/

Source0: https://files.pythonhosted.org/packages/6d/78/f8db8d57f520a54f0b8a438319c342c61c22759d8f9a1cd2e2180b5e5ea9/certifi-2021.5.30.tar.gz
BuildArch: noarch

BuildRequires(pre): rpm-build-python3

%description
This installable Python package contains a CA Bundle that you can
reference in your Python code. This is useful for verifying HTTP
requests, for example.

This is the same CA Bundle which ships with the Requests codebase, and
is derived from Mozilla Firefox's canonical set.

%prep
%setup -n %{oname}-%{version}

%build
%python3_build

%install
%python3_install

%files
%doc LICENSE *.rst
%python3_sitelibdir/*

%changelog
