%define _unpackaged_files_terminate_build 1
%define oname hacking

%def_enable check

Name: python3-module-%oname
Version: 3.2.0
Release: alt2
Summary: OpenStack Hacking Guideline Enforcement
License: Apache-2.0
Group: Development/Python3
BuildArch: noarch
Url: https://pypi.python.org/pypi/hacking/

# https://github.com/openstack-dev/hacking.git
Source: %oname-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-coverage python3-module-eventlet python3-module-html5lib python3-module-mock
BuildRequires: python3-module-setuptools python3-module-sphinx python3-module-testrepository python3-module-yieldfrom.urllib3
BuildRequires: python3(pycodestyle) python3-module-flake8 python3-module-mccabe python3-module-stestr

%py3_provides %oname
%py3_requires mccabe flake8

%description
hacking is a set of flake8 plugins that test and enforce the OpenStack
Style Guidlines.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
hacking is a set of flake8 plugins that test and enforce the OpenStack
Style Guidlines.

This package contains tests for %oname.

%prep
%setup -n %oname-%version

%build
%python3_build_debug

%install
%python3_install

%check
python3 setup.py test

%files
%doc *.rst doc/source/*.rst
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/tests

%files tests
%python3_sitelibdir/*/tests

%changelog
