%define oname httpbin

Name: python3-module-%oname
Version: 0.7.0
Release: alt2
Summary: HTTP Request and Response Service
License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/httpbin/
# https://github.com/postmanlabs/httpbin
BuildArch: noarch

Source: %oname-%version.tar

BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-module-pytest
BuildPreReq: python3-module-flask
BuildPreReq: python3-module-six
BuildPreReq: python3-module-werkzeug

%py3_provides %oname

%description
Testing an HTTP Library can become difficult sometimes. PostBin.org is
fantastic for testing POST requests, but not much else. This exists to
cover all kinds of HTTP scenarios. Additional endpoints are being
considered.

All endpoint responses are JSON-encoded.

%prep
%setup -n %oname-%version

%build
%python3_build_debug

%install
%python3_install

%files
%doc AUTHORS *.md LICENSE
%python3_sitelibdir/*

%changelog
