Name: python3-module-jinja2
Version: 3.0.1
Release: alt1

Summary: The new and improved version of a small but fast template engine
License: BSD
Group: Development/Python3
Url: https://pypi.org/project/Jinja2/

# https://github.com/mitsuhiko/jinja2.git
Source: %name-%version.tar

BuildArch: noarch
BuildRequires: rpm-build-python3 python3-module-setuptools

%description
Jinja2 is a template engine written in pure Python. It provides a Django
inspired non-XML syntax but supports inline expressions and an optional
sandboxed environment.

%prep
%setup

%build
%python3_build

%install
%python3_install

%files
%python3_sitelibdir/jinja2
%python3_sitelibdir/Jinja2-%version-*-info

%changelog
