%define oname multidict

Name: python3-module-%oname
Version: 4.5.2
Release: alt2
Summary: Multidicts are useful for working with HTTP headers, URL query args etc

License: Apache-2.0
Group: Development/Python3
Url: https://pypi.python.org/pypi/multidict
Packager: Anton Midyukov <antohami@altlinux.org>

Source: %oname-%version.tar

BuildRequires(pre): rpm-build-python3
BuildPreReq: python3-devel python3-module-setuptools python3-module-Cython

%description
HTTP Headers and URL query string require specific data structure: multidict.
It behaves mostly like a dict but it can have several values for the same key.

%prep
%setup -n %oname-%version

%build
%python3_build

%install
%python3_install
rm -vf %buildroot%python3_sitelibdir/%oname/*.{c,pyx}

%files
%doc LICENSE *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/*.egg-info

%changelog
