%define _unpackaged_files_terminate_build 1
%define modulename telebot
%define pypi_name pyTelegramBotAPI

Name: python3-module-%modulename
Version: 4.14.0
Release: alt1

Summary: Python Telegram bot api
License: GPL-2.0
Group: Development/Python3
Url: https://github.com/eternnoir/pyTelegramBotAPI
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

Provides: python3-module-pytelegrambotapi = %version-%release
%py3_provides %pypi_name

%description
A simple, but extensible Python implementation for the Telegram Bot API.

%prep
%setup

sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%modulename
%python3_sitelibdir/%pypi_name-%version.dist-info


%changelog
