%define _unpackaged_files_terminate_build 1
%define oname xmltodict

Name: python3-module-%oname
Version: 0.12.0
Release: alt1

Summary: Makes working with XML feel like you are working with JSON

License: MIT
Group: Development/Python3
Url: https://pypi.python.org/pypi/xmltodict/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

BuildArch: noarch

BuildRequires: python3-devel python3-module-setuptools
BuildRequires: python3-module-nose python3-module-coverage
BuildRequires: python3-module-pytest

%py3_provides %oname

%description
xmltodict is a Python module that makes working with XML feel like you
are working with JSON.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%check
export PYTHONPATH=$PWD
py.test3

%files
%doc *.md
%python3_sitelibdir/*

%changelog
