Summary: Ristretto is an image-viewer for the Xfce Desktop Environment
Name: ristretto
Version: 0.13.1
Release: alt1
License: GPLv2+
Url: https://docs.xfce.org/apps/ristretto/start

Vcs: https://gitlab.xfce.org/apps/ristretto.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch
Patch1: fix_for_libmagic_4.patch

Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools >= 4.16.0
BuildRequires: libxfce4ui-gtk3-devel libxfce4util-devel libxfconf-devel
BuildRequires: libexif-devel libcairo-devel libmagic-devel

%define _unpackaged_files_terminate_build 1

%description
Ristretto is a fast and lightweight image-viewer for the Xfce desktop
environment.

%prep
%setup
%patch -p1
case "$(rpm -q --qf "%%{VERSION}" libmagic-devel)" in
	4.*)
%patch1 -p1
	;;
esac

%build
%xfce4reconf
%configure \
	--enable-maintainer-mode \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md NEWS AUTHORS
%_bindir/*
%_desktopdir/*.desktop
%_datadir/metainfo/*.appdata.xml
%_iconsdir/hicolor/*/apps/*

%changelog
