%def_disable check

Name:          rpm-build-ruby
Epoch:         1
Version:       1.1.0
Release:       alt1
Summary:       RPM helper scripts to calculate Ruby dependencies
License:       GPLv2
Group:         Development/Ruby
Source:        %name-%version.tar
BuildArch:     noarch

Requires:      rpm-macros-ruby
Requires:      ruby
Requires:      libruby-devel
Requires:      /usr/bin/rdoc
Requires:      /usr/bin/rake
Requires:      /bin/sed
Conflicts:     rpm-build <= 4.0.4-alt24
AutoReq:       yes,noruby

%{!?_disable_check:BuildRequires: ruby >= 1.9 ruby-stdlibs >= 1.9}

%description
These helper scripts will look at Ruby source files in your package, and will
use this information to generate automatic Requires and Provides tags for the
package.


%prep
%setup -q

%install
install -d -m 0755 %buildroot%_rpmlibdir
install -p -m 0755 ruby.{req,prov}* %buildroot%_rpmlibdir/

%files
%lang(ru) %doc README.ru
%_rpmlibdir/ruby*


%changelog
