%define oname systemd

Name: rpm-build-%oname
Version: 5
Release: alt0.3.p10

Summary: RPM helper macros to build packages with systemd support
License: LGPL-2.1-or-later
Group: Development/Other
BuildArch: noarch
Source1: systemd.macros
Requires: rpm-macros-%oname >= %EVR
Requires: libsystemd-devel

%description
%summary.

%package -n rpm-macros-%oname
Group: Development/Other
BuildArch: noarch
Summary: Macros that define paths and scriptlets related to systemd

%description -n rpm-macros-%oname
%summary.

%prep

%build
%install
mkdir -p %buildroot%_rpmmacrosdir
install -D -m644 %SOURCE1 -p %buildroot%_rpmmacrosdir/%oname

%files
%files -n rpm-macros-%oname
%_rpmmacrosdir/*

%changelog
