Name: startup-rescue
Version: 0.45
Release: alt1

Summary: The system startup scripts for rescue disk
License: GPL
Group: System/Base

Url: http://en.altlinux.org/rescue
Source: rescue-%version.tar
Packager: Anton V. Boyarshinov <boyarsh@altlinux.ru>

Requires(post): %post_service
Requires(preun): %preun_service
Requires: sfdisk console-vt-tools libshell system-report

# Weird kludge
Provides: /sbin/find-fstab

# Optional requires
%ifarch %ix86 x86_64
Requires: dmidecode ddcprobe
%endif
Requires: altquire
Requires: agetty

# /sbin/rescue-launcher is optional too
%filter_from_requires /rescue\-launcher/d

Conflicts: startup-school-rescue startup-nanolive

%description
This package contains scripts used to boot your system from rescue disk.

%prep
%setup -n rescue-%version

%install
mkdir -p -- %buildroot{%_bindir,/sbin,%_initdir}

install -pm755 rescue-shell %buildroot%_bindir/
%ifarch %ix86 x86_64
install -pm755 fixmbr %buildroot/sbin/
%endif
install -pm755 find-fstab %buildroot/sbin/
install -pm755 mount-fstab mount-system unmount-system %buildroot/sbin/
install -pm644 inittab.rescue mdadm-ro.conf %buildroot/etc/
install -pm755 rc.sysinit.rescue %buildroot/etc/rc.d/
install -pm755 sysreport.init %buildroot%_initdir/sysreport
install -pm755 rescue-remote.init %buildroot%_initdir/rescue-remote

%post
%post_service rescue-remote

%preun
%preun_service rescue-remote

%files
/sbin/*
%_bindir/*
/etc/mdadm-ro.conf
/etc/inittab.rescue
/etc/rc.d/rc.sysinit.rescue
%_initdir/sysreport
%_initdir/rescue-remote

%changelog
