Name: thunar-archive-plugin
Version: 0.5.2
Release: alt1

Summary: Thunar archive plugin
Summary (ru_RU.UTF8): Дополнение к Thunar позволяющее работать с архивами
License: LGPLv2+ and GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/xfce/thunar/archive
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs: https://gitlab.xfce.org/thunar-plugins/thunar-archive-plugin.git
Source: %name-%version.tar

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4util-devel libthunar-devel libexo-gtk3-devel
BuildRequires: libgtk+3-devel intltool libxml2-devel

Requires: thunar

%add_findreq_skiplist %_libexecdir/%name/*.tap

%define _unpackaged_files_terminate_build 1

%description
The thunar-archive-plugin is a plugin for the Thunar File Manager, which
adds archive operations to the file context menus. Using this plugin you
will be able to extract and create archive files from within Thunar
using a single click.

%description -l ru_RU.UTF-8
Данный пакет содержит в себе дополнение к файловому менеджеру Thunar,
позволяющее работать с архивами из контекстного меню. Используя данное
дополнение, вы сможете создавать и распаковывать архивы просто щелкнув
на соотвествующих файлах правой кнопкой мыши и выбрав необходимый пункт
появившегося контекстного меню.

%prep
%setup

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%exclude %_libdir/thunarx-*/*.la
%_libdir/thunarx-*/*.so
%_libexecdir/%name/
%_miconsdir/*.png

# Seems glibc doesn't support uz@Latn
%exclude %_datadir/locale/uz@Latn/LC_MESSAGES/thunar-archive-plugin.mo

%changelog
