Name: trafshow
Version: 5.2.3
Release: alt3

Summary: A tool for real-time network traffic visualization
License: BSD
Group: Monitoring
Url: http://soft.risp.ru/trafshow/index.shtml

# real source: Source: ftp://ftp.nsk.su/pub/RinetSoftware/%name-%version.tgz
# is dead in time of 5.2.3-alt2
Source: ftp://ftp.nsk.su/pub/RinetSoftware/%name-%version.tar.gz
Source1: config.h
Source2: Makefile
Patch1: %name-5-makefile.patch
Patch2: %name-3.1-alt-without-termcap.patch
Patch3:	%name-gcc44.patch
#Patch3: %name-4-linux.patch
Packager: Fr. Br. George <george@altlinux.ru>

#BuildPreReq: autoconf_2.13

# Automatically added by buildreq on Tue Feb 17 2004
BuildRequires: libncurses-devel libpcap-devel libtinfo-devel

%description
TrafShow continuously display the information regarding packet traffic
on the configured network interface that match the boolean expression.
It periodically sorts and updates this information.

This funny program may be useful for locating suspicious network
traffic on the net or to evaluate current utilization of the network
interface.

%prep
%setup -q
cp %SOURCE1 .
cp %SOURCE2 .
#patch1 -p1
#patch2 -p1
#patch3 -p1

%build
#set_autoconf_version 2.13
#autoconf
#configure
%make_build CCOPT="%optflags"

%install
%makeinstall DESTDIR=%buildroot

%files
%doc INSTALL README
%config %_sysconfdir/%name
%_bindir/*
%_mandir/man?/*

%changelog
