# vim: set ft=spec: -*- rpm-spec -*-

%define adbusersgroup adbusers

Name: udev-android
Version: 20230614
Release: alt1.1

Summary: Udev rules for adb and fastboot

License: GPLv3
Group: System/Configuration/Hardware
URL: https://github.com/M0Rf30/android-udev-rules

BuildArch: noarch

Source: %name-%version.tar

%description
This package provides an UDEV rules enabling adb and fastboot to work
without root access to the host machine.

%prep
%setup
# ALT 43795
sed -i -e '/04da/s/^/#\ /' 51-android.rules

%install
mkdir -p %buildroot%_udevrulesdir
install -p -m644 51-android.rules %buildroot%_udevrulesdir

%pre
/usr/sbin/groupadd -r -f %adbusersgroup ||:

%files
%doc LICENSE README.md
%_udevrulesdir/51-android.rules

%changelog
