Name:		uget
Version:	2.2.3
Release:	alt1
Summary:	Download manager using GTK+ and libcurl
Packager: Ilya Mashkin <oddity@altlinux.ru>
Group:		Networking/File transfer
License:	LGPLv2+
URL:		http://ugetdm.com/
Source0:	http://downloads.sourceforge.net/urlget/%{name}-%{version}-1.tar.gz
Patch0:		uget-2.2.3-gcc10-fno-common.patch


# Automatically added by buildreq on Wed Jun 09 2010
BuildRequires: desktop-file-utils libgtk+3-devel gstreamer1.0-devel intltool libcurl-devel libnotify-devel libssl-devel rpm-build-gir

%description
uGet is a download manager with downloads queue, pause/resume, 
clipboard monitor, batch downloads, browser integration (Firefox & Chrome), 
multiple connections, speed limit controls, powerful category based control
and much more. Each Category has an independent configuration that can
be inherited by each download in that category.

Uget is the successor of urlgfe, which was called URLget before.

%prep
%setup -q
%patch0 -p1 -b .gcc10

#patch1 -p2
touch NEWS
find . | xargs touch
autoreconf -fisv

%build
%configure
%make_build

%install
%makeinstall

desktop-file-install \
	--dir $RPM_BUILD_ROOT%_desktopdir \
	--delete-original \
	$RPM_BUILD_ROOT%_desktopdir/%{name}-gtk.desktop

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README
%_bindir/*
%_desktopdir/%name-gtk.desktop
%_datadir/icons/hicolor/*/apps/%name-icon.*
%_datadir/icons/hicolor/*/apps/%name-tray-*.png
%_datadir/pixmaps/%name/logo.png
%_datadir/sounds/%name


%changelog
