# TODO: build for sources like in Fedora

%define geckodir %_datadir/wine/gecko

Name: wine-gecko
Version: 2.47.3
Release: alt1

Summary: Custom version of Mozilla's Gecko Layout Engine for Wine

License: MPL
Group: Office
Url: http://wiki.winehq.org/Gecko

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source1-url: http://dl.winehq.org/wine/wine-gecko/%version/wine-gecko-%version-x86.tar.xz
Source1: %name-x86-%version.tar
# Source2-url: http://dl.winehq.org/wine/wine-gecko/%version/wine-gecko-%version-x86_64.tar.xz
Source2: %name-x86_64-%version.tar

# TODO: it is impossible build arch packages with files in noarch
BuildArch: noarch
#ExclusiveArch: %{ix86} x86_64

AutoReq:no
AutoProv:no

%description
Wine implements its own version of Internet Explorer. The implementation
is based on a custom version of Mozilla's Gecko Layout Engine.
When your application tries to display a web page, it loads Wine's
custom Gecko from the dir /usr/share/wine/gecko/wine-gecko-%version-ARCH_STRING.

%prep
tar xfv %SOURCE1
tar xfv %SOURCE2

%install
mkdir -p %buildroot%geckodir/
cp -a $(basename %SOURCE1 .tar) %buildroot%geckodir/wine-gecko-%version-x86/
cp -a $(basename %SOURCE2 .tar) %buildroot%geckodir/wine-gecko-%version-x86_64/

%files
%dir %_datadir/wine/
%dir %geckodir/
%geckodir/wine-gecko-%version-x86/
%geckodir/wine-gecko-%version-x86_64/

%changelog
