Name: xfburn
Version: 0.7.0
Release: alt1

Summary: CD-R/CD-RW disc writing application
Url: https://docs.xfce.org/apps/xfburn/start
License: GPL-2.0+
Packager: Xfce Team <xfce@packages.altlinux.org>
Group: Archiving/Cd burning

Vcs: https://gitlab.xfce.org/apps/xfburn.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: xfce4-dev-tools rpm-build-xfce4
BuildPreReq: libxfce4ui-gtk3-devel libexo-gtk3-devel
BuildRequires: xsltproc docbook-style-xsl
BuildRequires: gstreamer1.0-devel gst-plugins1.0-devel libburn-devel libisofs-devel libgio-devel libgudev-devel

%define _unpackaged_files_terminate_build 1

%description
Xfburn is a simple CD burning tool based on libburn/libisofs.


%prep
%setup
%patch -p1

# Don't use git tag in version.
%xfce4_drop_gitvtag xfburn_version_tag configure.ac.in

%build
%xfce4reconf
%configure \
	--enable-gudev \
	--enable-gstreamer \
	--enable-maintainer-mode \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%_bindir/%name
%_datadir/%name
%_iconsdir/hicolor/*/stock/media/*
%_desktopdir/*
%_datadir/metainfo/*.xml
%_datadir/Thunar/sendto/*.desktop
%_man1dir/*

%changelog
