Name: xfce4-battery-plugin
Version: 1.1.5
Release: alt1

Summary: Battery monitor plugin for the Xfce panel
License: GPLv2+ and LGPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-battery-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-battery-plugin.git
Source: %name-%version.tar

Requires: xfce4-panel

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4util-devel libxfce4ui-gtk3-devel libxfce4panel-gtk3-devel >= 4.14

%define _unpackaged_files_terminate_build 1

%description
%name is the battery monitor plugin for the Xfce panel.

%prep
%setup

%build
%xfce4reconf
%configure \
    --disable-static \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/*/*/*/*

%exclude %_libdir/xfce4/panel/plugins/*.la
# Seems glibc doesn't support uz@Latn
%exclude %_datadir/locale/uz@Latn/LC_MESSAGES/xfce4-battery-plugin.mo

%changelog
