Name: xfce4-cpufreq-plugin
Version: 1.2.8
Release: alt1

Summary: Show CPU freqency and governours plugin for the Xfce panel
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-cpufreq-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-cpufreq-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel >= 4.16.0 libxfce4ui-gtk3-devel >= 4.16.0 libxfce4util-devel >= 4.17.2
BuildRequires: gcc-c++

BuildRequires: libX11-devel libgtk+3-devel

Requires: xfce4-panel >= 4.17

%define _unpackaged_files_terminate_build 1

%description
xfce4-cpufreq-plugin shows the current CPU frequency and governor in the
panel, and the frequencies and governors and more information for all
CPUs in a separate overview. Note that at the moment, it does not permit
to change any of these CPU settings.

%prep
%setup
%patch -p1

# Don't use git tag in version.
%xfce4_drop_gitvtag cpufreq_version_tag configure.ac.in

mkdir m4

%build
%xfce4reconf
%configure \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/hicolor/*/apps/*.png
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
