Name: xfce4-diskperf-plugin
Version: 2.7.0
Release: alt1

Summary: Disk performance plugin for the Xfce panel
License: BSD-2-Clause
Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>
Url: https://docs.xfce.org/panel-plugins/xfce4-diskperf-plugin

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-diskperf-plugin.git
Source: %name-%version.tar
#Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libxfce4util-devel

Requires: xfce4-panel >= 4.14

%define _unpackaged_files_terminate_build 1

%description
%name is the disk performance plugin for the Xfce panel.

%prep
%setup
#patch -p1
# Don't use git tag in version.
%xfce4_drop_gitvtag diskperf_version_tag configure.ac.in

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS COPYING
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
