Name: xfce4-eyes-plugin
Version: 4.6.0
Release: alt1

Summary: Eyes plugin for Xfce Desktop
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-eyes-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-eyes-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libxfce4util-devel
BuildRequires: intltool libxml2-devel

Requires: xfce4-panel >= 4.8

%define _unpackaged_files_terminate_build 1

%description
Eyes is a xfce4 panel plugin that adds eyes which watch your every step.
Scary!

%prep
%setup
%patch -p1

# Don't use git tag in version.
%xfce4_drop_gitvtag eyes_version_tag configure.ac.in

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*
%_datadir/xfce4/eyes/
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*.png

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
