Name: xfce4-mailwatch-plugin
Version: 1.3.1
Release: alt1

Summary: The Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox mail watcher
Summary(ru_RU.UTF8): Многопротокольный апплет для проверки нескольких почтовых ящиков для Xfce4
License: GPL-2.0-only
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-mailwatch-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-mailwatch-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libxfce4util-devel libexo-gtk3-devel
BuildRequires: libgnutls-devel libgcrypt-devel

%define _unpackaged_files_terminate_build 1

%description
The Xfce4 Mailwatch Plugin is a multi-protocol, multi-mailbox mail watcher.
Currently, the protocols supported are:
  * IMAP (SSL/TLS and cleartext)
  * POP3 (SSL/TLS and cleartext)
  * Mbox mail spool (local)
  * Maildir mail spool (local)
  * MH-Maildir mail spool (local)
  * Google Mail (GMail) mailbox (remote) (requires gnutls)

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --enable-ssl \
    --enable-ipv6 \
    --enable-debug=mimimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README NEWS AUTHORS
%_liconsdir/*.png
%_iconsdir/hicolor/scalable/apps/*.svg
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
