Name: xfce4-mount-plugin
Version: 1.1.6
Release: alt1

Summary: Mount plugin for Xfce Desktop
License: GPLv2+
Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>

Url: https://docs.xfce.org/panel-plugins/xfce4-mount-plugin
Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-mount-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
%name this little plugin behaves like the "kwikdisk - removable media
utility" shipped Press it and it will display a list of items
representing your various devices. The plugin displays various
information on each device.

%prep
%setup
%patch -p1

# Don't use git tag in version.
%xfce4_drop_gitvtag mount_version_tag configure.ac.in

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README AUTHORS
%_libdir/xfce4/panel/plugins/*.so
%_iconsdir/hicolor/*/apps/*
%_datadir/xfce4/panel/plugins/*.desktop

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
