Name: xfce4-netload-plugin
Version: 1.4.1
Release: alt1

Summary: Netload monitor plugin for the Xfce panel
Summary(ru_RU.UTF-8): Модуль для просмотра загрузки сети на панели Xfce
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-netload-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-netload-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-gtk3-devel >= 4.12 libxfce4ui-gtk3-devel

BuildRequires: glib2-devel libgtk+3-devel

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
%name is the netload monitor plugin for the Xfce panel.

%description -l ru_RU.UTF-8
%name -- это монитор загрузки сети для панели Xfce.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README AUTHORS
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_datadir/icons/hicolor/*/*/*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
