Name: xfce4-notes-plugin
Version: 1.10.0
Release: alt2

Summary: Sticky notes plugin for the Xfce panel
Summary(ru_RU.UTF-8): Липкие записки для Xfce.
License: GPLv2+
Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>

Url: https://docs.xfce.org/panel-plugins/xfce4-notes-plugin
Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-notes-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libcairo-gobject-devel
BuildRequires: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libxfconf-devel
BuildRequires: libxfce4util-vala libxfce4panel-gtk3-vala libxfconf-vala
BuildRequires: vala

%define _unpackaged_files_terminate_build 1

%description
%name is the sticky notes plugin for the Xfce panel.

%description -l ru_RU.UTF-8
Липкие записки для окружения рабочего стола Xfce.

%prep
%setup
%patch -p1

%build
# Don't use git tag in version.
%xfce4_drop_gitvtag xfce4_notes_plugin_version_tag configure.ac.in
%xfce4reconf
%configure \
    --disable-static \
	--enable-maintainer-mode \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md NEWS AUTHORS
%_bindir/*
%_libdir/xfce4/panel/plugins/*.so
%exclude %_libdir/xfce4/panel/plugins/*.la
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*
%_datadir/%name/
%_sysconfdir/xdg/autostart/xfce4-notes-autostart.desktop
%_desktopdir/xfce4-notes.desktop

%changelog
