Name: xfce4-taskmanager
Version: 1.5.6
Release: alt1

Summary: Taskmanager for Xfce Desktop
Summary(ru_RU.UTF-8): Системный монитор для Xfce
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/apps/xfce4-taskmanager/start
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs: https://gitlab.xfce.org/apps/xfce4-taskmanager.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4ui-gtk3-devel libxfconf-devel
BuildRequires: glib2-devel intltool libXmu-devel
BuildRequires: libgtk+3-devel libcairo-devel libwnck3-devel

%define _unpackaged_files_terminate_build 1

%description
%name is taskmanager application for Xfce desktop environment.

%description -l ru_RU.UTF-8
%name -- Менеджер задач для Xfce.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
	--enable-maintainer-mode \
	--enable-wnck3 \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_bindir/*
%_desktopdir/xfce4-taskmanager.desktop
%_iconsdir/hicolor/*/*/*.*

%changelog
