Name: xfce4-timer-plugin
Version: 1.7.2
Release: alt1

Summary: Timer plugin for Xfce
License: GPLv2+
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-timer-plugin
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-timer-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4util-devel libxfce4ui-gtk3-devel libxfce4panel-gtk3-devel
BuildRequires: intltool

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
Nothing to describe really. Use the options menu to add timers. You can
choose them to be countdown periods or alarms at certain times. Only one
of them can be run at a time.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md NEWS AUTHORS
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/apps/*.*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
