# -*- mode: RPM-SPEC; tab-width: 8; fill-column: 70; -*- 

%define _altdata_dir %_datadir/alterator

Name: alterator-datetime
Version: 4.8.1
Release: alt1

%add_findreq_skiplist %_datadir/install2/postinstall.d/*


Source:%name-%version.tar

Summary: alterator module for date/time setup
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 5.2-alt1 alterator-sh-functions >= 0.6-alt5
Requires: alterator-service-functions >= 2.0.0-alt1
Requires: alterator-l10n >= 2.9.117-alt1
Requires: ntp-server glibc-timezones
Conflicts: alterator-lookout < 2.7
Conflicts: alterator-standalone < 7.4
Conflicts: alterator-browser-qt < 2.9.93
Conflicts: alterator-fbi < 5.17-alt3
Conflicts: alterator-lookout < 1.6-alt3
Conflicts: alterator-dhcp < 0.4-alt1

Provides: alterator-openntpd = %version
Obsoletes: alterator-openntpd

Provides: alterator-tzone = %version
Obsoletes: alterator-tzone

BuildPreReq: alterator >= 4.7-alt1

BuildPreReq: alterator >= 5.0
BuildRequires: alterator-fbi

%ifarch %e2k
BuildRequires: guile20-devel libguile20-devel
%else
BuildRequires: guile-devel
%endif

%define _unpackaged_files_terminate_build 1

%description
alterator module for date/time setup

%prep
%setup

%build
%make_build

%check
%make_build check

%install
%makeinstall

%files
%_bindir/*
%_sysconfdir/alterator/*
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*
%_datadir/alterator/type/*
%_alterator_backend3dir/*
%_alterator_libdir/ui/*
%_alterator_libdir/type/*
%_datadir/install2/postinstall.d/*

%changelog
