%define _altdata_dir %_datadir/alterator

Name: alterator-grub
Version: 0.22
Release: alt1

Summary: alterator module to setup grub bootloader
License: GPL
Group: System/Configuration/Other

Url: http://www.altlinux.org/Alterator
Source: %name-%version.tar

Requires: alterator >= 4.7-alt5
Requires: alterator-l10n >= 2.9-alt10
Requires: alterator-sh-functions >= 0.6-alt1
Requires: alterator-hw-functions >= 0.7.7-alt1
Conflicts: guile-evms < 0.4-alt13

BuildPreReq: alterator >= 4.7-alt5
BuildRequires: grub >= 2.00-alt7
BuildRequires: libdevmapper-devel

%ifarch %ix86 x86_64
Requires: grub-pc > 2.00-alt20
%endif
%ifarch aarch64 x86_64
Requires: grub-efi >= 2.00-alt12
%endif
%ifarch ppc64le
Requires: grub-ieee1275
Requires: powerpc-utils
%endif

%description
alterator module to setup grub bootloader

%prep
%setup

%build
%make_build

%install
%makeinstall

%files
%_altdata_dir/applications/*
%_altdata_dir/ui/*/
%_altdata_dir/steps/*
%_alterator_backend3dir/*
%dir %_libexecdir/alterator/hooks/grub.d
%_bindir/*

%changelog
