Name: alterator-logs
Version: 0.9.2
Release: alt1

Packager: Stanislav Ievlev <inger@altlinux.ru>

Summary: alterator module for system logs
License: GPL
Group: System/Configuration/Other
Url: http://wiki.sisyphus.ru/Alterator

Source: %name-%version.tar

BuildArch: noarch

Requires: alterator >= 4.10-alt6
Requires: alterator-sh-functions >= 0.3-alt1
Requires: alterator-l10n >= 2.0-alt1

Conflicts: alterator-fbi < 5.20-alt3
Conflicts: alterator-lookout < 2.1-alt1

BuildPreReq: alterator >= 4.10-alt6

%ifarch %e2k
BuildRequires: guile20-devel libguile20-devel
%else
BuildRequires: guile22-devel
%endif
BuildRequires: alterator-fbi

%description
System logs alterator module

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%_alterator_backend3dir/*
%_datadir/alterator/applications/*
%_datadir/alterator/ui/*/*
%_sysconfdir/alterator/logs

%post
touch /var/log/journald

%changelog
