Name: alterator-net-eth
Version: 5.2.5
Release: alt1

Source:%name-%version.tar

Summary: alterator module for tcp/ip connections configuration
License: GPL
Group: System/Configuration/Other
Requires: alterator >= 5.0 libshell >= 0.1.3
Requires: alterator-l10n >= 2.1-alt9
Requires: alterator-sh-functions >= 0.12-alt1
Requires: alterator-hw-functions >= 0.7-alt2
Requires: alterator-net-functions >= 2.1.0
Requires: etcnet openresolv avahi-autoipd
# For use in netdev_is_wireless() from alterator-hw-functions.
Requires: iw

Conflicts: alterator-lookout < 1.7-alt1
Conflicts: alterator-fbi < 5.14-alt1
Conflicts: alterator-browser-qt < 2.9.76-alt1
Conflicts: filesystem < 2.3.4-alt1
Conflicts: ifrename < 29-alt8

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

BuildPreReq: alterator >= 5.0
BuildRequires: alterator-fbi
BuildRequires: guile22-devel

#old names
Provides: alterator-network = %version
Obsoletes: alterator-network

Provides: alterator-net-tcp = %version
Obsoletes: alterator-net-tcp

Provides: alterator-backend-simple_etcnet = %version
Obsoletes: alterator-backend-simple_etcnet

Provides: alterator-net-general = %version
Obsoletes: alterator-net-general

%define _unpackaged_files_terminate_build 1

%description
alterator module for tcp/ip connections configuration

%package -n hostname-hook-hosts
Summary: /etc/hooks/hostname.d hook for use with alterator-net-eth
Group: System/Configuration/Other
Requires: %name = %version-%release
BuildArch: noarch

%description -n hostname-hook-hosts
This package contains the hook for /etc/hooks/hostname.d which provides
mapping current hostname to 127.0.0.1 in /etc/hosts.

%prep
%setup

%build
%make_build

%install
%makeinstall

%files
%_alterator_datadir/applications/*
%_alterator_datadir/ui/*/
%_alterator_backend3dir/*
%_alterator_libdir/ui/*
%attr(700,root,root) %dir %_libexecdir/alterator/hooks/net-eth.d
%attr(700,root,root) %dir %_libexecdir/alterator/hooks/net-eth-precommit.d

%files -n hostname-hook-hosts
%_sysconfdir/hooks/hostname.d/*

%changelog
