%define _altdata_dir %_datadir/alterator

Name: alterator-sysconfig
Version: 1.3.13
Release: alt1

%add_findreq_skiplist %_datadir/install2/preinstall.d/*

Provides: alterator-syskbd = %version, alterator-proxy = %version
Obsoletes: alterator-syskbd, alterator-proxy

Url: http://www.altlinux.org/Alterator
Source:%name-%version.tar
Packager: Stanislav Ievlev <inger@altlinux.org>

BuildArch: noarch

Summary: alterator module for basic system settings
License: GPL-2.0-or-later
Group: System/Configuration/Other

Requires: alterator-sh-functions, setup >= 2.2.12-alt1
Requires: alterator >= 3.5-alt1 vhttpd-utils >= 0.3-alt6
Requires: alterator-sh-functions >= 0.6-alt2
Requires: alterator-l10n >= 2.2-alt3

Conflicts: alterator-lookout < 0.9-alt5
Conflicts: alterator-wizardface < 0.5-alt7

BuildPreReq: alterator >= 3.2-alt6

%description
alterator module for basic system settings
(console and X11 keyboard, console font, system locale)

%prep
%setup

%build
%make_build libdir=%_libdir

%install
%makeinstall

%files
%config(noreplace) %_sysconfdir/alterator/sysconfig
%_datadir/alterator/ui/*/
%_datadir/alterator/applications/*
%_alterator_backend3dir/*
%_datadir/install2/preinstall.d/*

%changelog
