%define base_name apt-conf
%define distro branch
%define Distro p10 branch

Name: %base_name-%distro-gostcrypto
Version: 10.0
Release: alt1

Summary: A set of apt configuration files for %distribution %Distro
License: GPL-2.0-or-later
Group: System/Configuration/Packaging
Url: http://git.altlinux.org/gears/a/apt-conf-sisyphus.git

Source: %name-%version.tar

BuildRequires: altlinux-repos

Requires: altlinux-repos >= 0.6-alt1
Provides: %base_name = %version-%release, %_sysconfdir/apt/pkgpriorities apt-conf-centaurus = %version-%release
Obsoletes: apt-conf-centaurus
Conflicts: apt <= 0:0.5.15cnc6-alt14, apt-conf-sisyphus
%{expand:%%global o_list apt-conf < 0:4.0 %(for n in Castle Compact Junior Master Spring centaurus desktop hpc junior master office-server platform5 school server terminal branch; do echo -n "apt-conf-$n "; done)}
%{?o_list:Conflicts: %o_list}

%description
This package contains default apt configuration for %distribution %Distro.

%prep
%setup

%build
%make_build REPOSITORIES=p10

%install
%makeinstall

%triggerpostun -- apt < 0.3.19cnc51-alt3 %{?o_list:%o_list}
f=%_sysconfdir/apt/sources.list
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/apt

%changelog
