Name: autorepo-altnode-repocop
Version: 0.33
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: scripts for an automated repocop node
Group: Other
License: GPLv2+
Url: http://repocop.altlinux.org
Source: %name-%version.tar

BuildRequires: perl(Pod/Text.pm) repocop-resource-html repocop > 0.79
Requires: repocop > 0.82
Requires: repocop-report-broken-metadata
Requires: pigz pzstd
Conflicts: repocop-unittest-unmet-dependency < 0.10
Conflicts: repocop-report-prometheus < 0.36

%description
scripts for an automated repocop node
in `autorepo' Automated Package Maintainance Cluster.

%package tasktest
Summary: scripts for an automated "repocop for tasks" node
Group: Other
# tasktest
Requires: perl-File-Lock-ParentLock >= 0.08
Requires: repocop-resource-html
BuildRequires: perl(HTML/Template/Pro.pm)

%description tasktest
scripts for an automated "repocop for tasks" node
in `autorepo' Automated Package Maintainance Cluster.

%prep
%setup

%build

%install

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 repocop-* $RPM_BUILD_ROOT%_bindir

%files
%doc daily.conf.*
%doc crontab.repocop
%_bindir/*
%exclude %_bindir/repocop-tasktest-*

%files tasktest
%doc crontab.tasktest*
%_bindir/repocop-tasktest-*

%changelog
