Name: basesystem
Version: sisyphus
Release: alt23
Epoch: 1

Summary: The skeleton package which defines a basic %distribution chroot
License: GPLv2+
Group: System/Base
BuildArch: noarch

Requires: altlinux-release
Requires: bash
Requires: common-licenses
Requires: etcskel
Requires: filesystem
Requires: gawk
Requires: getopt
Requires: gzip
Requires: perl-base
Requires: rootfiles
Requires: rpm
Requires: setup
Requires: shadow-utils
Requires: tar
Requires: util-linux
Requires: vitmp
Requires: xz
Requires: zstd

%package -n interactivesystem
Summary: The skeleton package which defines an interactive %distribution system
Group: System/Base
Requires: %name = %epoch:%version-%release
Requires: chkconfig
Requires: console-common-scripts
Requires: crontabs
Requires: e2fsprogs
Requires: info
Requires: losetup
Requires: man
Requires: mingetty
Requires: network-config-subsystem
Requires: passwd
Requires: sash
Requires: stmpclean
Requires: syslogd-daemon
Requires: SysVinit
Requires: time
Requires: which

%description
This package defines the components of a basic %distribution system
(for example, the package installation order to use during bootstrapping).

%description -n interactivesystem
This package defines the components of an interactive %distribution system
(for example, the package installation order to use during bootstrapping).

%files
%files -n interactivesystem

%changelog
