Name: clawsker
Version: 1.3.7
Release: alt2

Summary: Clawsker is an applet to edit Claws Mail's hidden preferences
License: GPLv3+
Group: Networking/Mail
URL: https://www.claws-mail.org/clawsker.php
BuildArch: noarch

Vcs: https://git.claws-mail.org/readonly/clawsker.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: perl-podlators perl-Locale-gettext perl-Gtk3 perl-File-Which
BuildRequires: desktop-file-utils

# For tests
%{?!_without_check:%{?!_disable_check:BuildPreReq: perl-devel perl-Test-Exception}}

Requires: claws-mail >= 3.17.3

%define _unpackaged_files_terminate_build 1

%description
Clawsker is a Perl-GTK2 applet to edit hidden preferences
for Claws Mail, and to do it in a safe and user friendly way,
preventing users from raw editing of configuration files.

%prep
%setup
%patch -p1

%build
sed -i -e 's|^all: build|all: build/clawsker|' \
       -e 's|^build:|build/clawsker:|' Makefile
%make_build PREFIX=%_prefix

%install
%makeinstall_std PREFIX=%_prefix
%find_lang %name

%check
# No Test::NeedsDisplay in the Sisyphus for now, so remove
# the test which requires it.
rm t/get_screen_height.t

make test

%files -f %name.lang
%doc AUTHORS NEWS
%_bindir/*
%_man1dir/*
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/*

%changelog
