Name: conmon
Version: 2.1.7
Release: alt1
# due to typo in version :(
Epoch: 1

Summary: OCI container runtime monitor
License: Apache-2.0
Group: System/Configuration/Other

Url: https://github.com/containers/conmon
Source: %name-%version.tar
Patch: %name-%version.patch

BuildRequires: go-md2man
BuildRequires: glibc-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(libseccomp) >= 2.5.2

%description
%summary.

%prep
%setup
%patch -p1

%build
export GIT_COMMIT=%release
%make_build CFLAGS+="%(getconf LFS_CFLAGS) -Wno-error=deprecated-declarations"

%install
%makeinstall_std PREFIX=%_usr

%files
%doc README.md
%_bindir/conmon
%_man8dir/conmon.*

%changelog
