%define _unpackaged_files_terminate_build 1

%define oname FileZilla

Name: filezilla
Version: 3.53.0
Release: alt1
Summary: FileZilla is a fast and reliable FTP client

Group: Networking/File transfer
License: GPL
Url: https://filezilla-project.org/
# Repacked https://download.filezilla-project.org/client/%{oname}_%{version}_src.tar.bz2
Source: %oname-%version.tar

Patch1: %name-%version-alt-system-pugixml.patch

BuildRequires: gcc-c++ libdbus-devel libfilezilla-devel libgtk+3-devel libnettle-devel libpugixml-devel libsqlite3-devel libwxGTK3.0-devel xdg-utils

%description
FileZilla is a fast and reliable FTP client and server with lots
of useful features and an intuitive interface

%prep
%setup -n %oname-%version
%patch1 -p2

%build
%autoreconf
%configure \
	--disable-autoupdatecheck \
	--with-pugixml=system \
	%nil

%make_build

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%doc COPYING
%doc AUTHORS ChangeLog NEWS README
%_bindir/*
%_libdir/*.so
%_datadir/%name
%_desktopdir/%name.desktop
%_datadir/appdata/filezilla.appdata.xml
%_iconsdir/hicolor/*x*/apps/%name.png
%_pixmapsdir/%name.png
%_iconsdir/hicolor/scalable/apps/filezilla.svg
%_man1dir/*
%_man5dir/*

%changelog
