%def_without bootstrap
%define destname gear-uupdate
Name: %destname
Version: 0.29.3
Release: alt1

Summary: Helper utility to be called by uscan for gear repository update
Source: %name-%version.tar

License: GPLv2+
Group: Development/Other
URL: http://www.altlinux.org/Gear/gear-uupdate

BuildArch: noarch

BuildRequires: perl-devel perl(Pod/Usage.pm) /usr/bin/pod2man perl-Gear-Rules perl-Source-Bundle perl-RPM-Source-Editor perl-String-ShellQuote
Requires: gear /usr/bin/srpmnmu perl-Gear-Rules > 0.200 perl-RPM-Source-Editor > 0.9299
# gpg1's usage of gpg-agent is broken in p10+, we use gpg2 with GPG_TTY fix
Requires: gnupg2 > 2.2.32
%if_without bootstrap
Requires: /usr/bin/gear-remotes-fetch
%endif

%description
%summary

%prep
%setup

%build

%install
mkdir -p %buildroot%_bindir
install -Dm755 gear-uupdate gear-uupdate-* %buildroot%_bindir/

for i in gear-uupdate-prepare gear-uupdate-execute; do
    pod2man  --name $i --center $i --section 1 --release %version $i > $i.1
done
ln -s gear-uupdate-prepare.1 gear-uupdate.1
mkdir -p %buildroot%_man1dir
install -m 644 gear-*.1 %buildroot%_man1dir/

%files
%_bindir/*
%_man1dir/*

%changelog
