%define        pkgname gem-plugin
%define        gemname gem_plugin

Name:          gem-%pkgname
Version:       0.2.3
Release:       alt3
Summary:       Gem Based Plugin System
Group:         Development/Ruby
License:       GPLv2
Url:           https://github.com/genki/gem_plugin
Vcs:           https://github.com/genki/gem_plugin.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-ruby
Provides:      ruby-%gemname
Obsoletes:     ruby-%gemname

%description
GemPlugin is a system that lets your users install gems and
lets you load them as additional features to use in your
software.  It originated from the Mongrel project but proved
useful enough to break out into a separate project.


%package       -n gpgen
Summary:       Gem Based Plugin System executable file
Group:         Development/Ruby
BuildArch:     noarch

%description   -n gpgen
Executable file for %gemname gem.

%description   -n gpgen -l ru_RU.UTF8
Исполнямка для %gemname самоцвета.


%package       doc
Summary:       Documentation files for %gemname gem
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета %gemname
Group:         Development/Documentation
BuildArch:     noarch

%description   doc
Documentation files for %gemname gem.

%description   doc -l ru_RU.UTF8
Файлы сведений для самоцвета %gemname.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%ruby_gemspec
%ruby_gemlibdir

%files         doc
%ruby_gemdocdir

%files         -n gpgen
%_bindir/gpgen


%changelog
