Name:           gigolo
Version:        0.5.3
Release:        alt1
Summary:        frontend to manage connections to remote filesystems using GIO/GVfs
Group:          File tools
License:        GPL-2.0-only
URL:            https://www.uvena.de/gigolo/
Packager: Xfce Team <xfce@packages.altlinux.org>
Vcs:        https://gitlab.xfce.org/apps/gigolo.git
Source:     %name-%version.tar
Patch:		%name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools >= 4.15.0
BuildRequires: libgtk+3-devel libgio-devel libX11-devel

%define _unpackaged_files_terminate_build 1

%description
Gigolo is a frontend to easily manage connections to remote filesystems
using GIO/GVfs. It allows you to quickly connect/mount a remote
filesystem and manage bookmarks of such.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
	--enable-maintainer-mode \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%doc %_defaultdocdir/%name
%_bindir/%name
%_datadir/applications/gigolo.desktop
%_iconsdir/hicolor/*/apps/*
%_man1dir/%name.*

%changelog
