Name: gnugo
Version: 3.8
Release: alt2

Packager: Victor Forsyuk <force@altlinux.org>

Summary: GNU Go is a free program that plays the game of Go
License: GPLv3+
Group: Games/Boards

URL: http://www.gnu.org/software/gnugo/
Source0: http://ftp.gnu.org/gnu/gnugo/gnugo-%version.tar.gz
Source1: gnugo.desktop

# Automatically added by buildreq on Tue Jun 30 2009
BuildRequires: libncurses-devel
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
GNU Go is a free program that plays the game of Go. GNU Go has played thousands
of games on the NNGS Go server. GNU Go is now also playing regularly on the
Legend Go Server in Taiwan and the WING server in Japan.

%prep
%setup

%build
%add_optflags -fcommon
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
install -pD -m644 %SOURCE1 %buildroot%_desktopdir/gnugo.desktop

%files
%_bindir/*
%_desktopdir/*
%_man6dir/*
%_infodir/gnugo.*

%changelog
