%set_verify_elf_method unresolved=strict

Name: gnustep-IMImage
Version: 2004
Release: alt9
Summary: IMImage image Inspector for GWorkspace.app to preview many types of graphics formats
License: GPLv2+
Group: Graphical desktop/GNUstep
Url: http://wiki.gnustep.org/index.php/GWorkspace.app
Packager: Andrey Cherepanov <cas@altlinux.org>

Source: %name-%version.tar

BuildPreReq: gnustep-make-devel /proc
BuildPreReq: gnustep-gui-devel libImageMagick-devel
BuildPreReq: libgmp-devel libgnutls-devel libgcrypt-devel
BuildPreReq: libxslt-devel libffi-devel libicu-devel zlib-devel

Requires: gnustep-gworkspace ghostscript
Requires: gnustep-back

%description
IMImage image Inspector for GWorkspace.app to preview many types of
graphics formats not supported by NSImage utilizing Image Magick. The
following graphics formats are currently supported: art, bmp, cgm, eps,
fig, fpx, hpgl, ico, miff, mng, mvg, pbm, pcd, pcl, pcx, pgm, pict, pix,
pnm, ppm, psd, rla, rle, svg, tga, wmf, wpg, xbm, xcf, xpm, and xwd. It
can also be used to preview Type 1 and TrueType fonts.

%prep
%setup

%build
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%make_build \
	messages=yes \
	debug=yes \
	strip=no \
	shared=yes \
	AUXILIARY_CPPFLAGS='-I%_includedir/ImageMagick-6 -DMAGICKCORE_QUANTUM_DEPTH=16'
 
%install
. %_datadir/GNUstep/Makefiles/GNUstep.sh

%makeinstall_std GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
	GNUSTEP_SYSTEM_ROOT=%buildroot

%files
%doc README
%_libdir/GNUstep

%changelog
