Name: installer-alterator-pkg
Version: 3.1.2
Release: alt1

%add_findreq_skiplist %_libexecdir/alterator/backend3/pkg-init
%add_findreq_skiplist %_datadir/install2/initinstall.d/*
%add_findreq_skiplist %_datadir/install2/postinstall.d/*

BuildArch: noarch

Source: alterator-pkg-%version.tar

Summary: additional package installation
License: GPL
Group: System/Configuration/Other

Requires: alterator >= 4.6-alt3 alterator-sh-functions libshell alterator-l10n >= 2.4-alt11
Requires: alterator-browser-qt >= 2.17.0
Requires: apt >= 0.5.15lorg2-alt23
Requires: alterator-lookout => 2.4-alt1
Requires: altlinux-repos
Requires: installer-scripts-remount-stage2 >= 0.6.0
Conflicts: alterator-fbi < 5.10-alt1

Provides: alterator-apt = %EVR
Obsoletes: alterator-apt

BuildPreReq: alterator >= 4.6-alt3

Conflicts: apt-conf-branch < 5.0-alt3
Conflicts: apt-conf-sisyphus < 5.0-alt4
Conflicts: apt-conf-desktop < 5.0-alt3

Provides: alterator-pkg-tools = %EVR
Obsoletes: alterator-pkg-tools < 1.1-alt1

Provides: alterator-pkg = %EVR

%description
additional package installation

%prep
%setup -n alterator-pkg-%version

%build
%make_build

%install
%makeinstall

%files
%_datadir/alterator/ui/*
%_libexecdir/alterator/hooks/pkg-preinstall.d
%_datadir/install2/initinstall.d/*
%_datadir/install2/postinstall.d/*
%_datadir/install2/prepkg.d
%_alterator_backend3dir/*

%changelog
