Name: installer-distro-alt-workstation
Version: 10.2.0
Release: alt1

Summary: Installer configuration (ALT Workstation)
License: GPL-2.0+
Group: System/Configuration/Other

Url: http://www.altlinux.org/Installer
Source: %name-%version.tar
BuildArch: noarch

%description
This package contains installer configuration for
ALT Workstation.

It is derived from installer-distro-altlinux-desktop.

%package stage2
Summary: Installer configuration and scripts (stage2 part)
License: GPL-2.0+
Group: System/Configuration/Other
Requires: installer-stage2
# modules
Requires: alterator-sysconfig
Requires: alterator-datetime
Requires: installer-alterator-pkg
Requires: alterator-vm
Requires: alterator-notes
Requires: x-cursor-theme-jimmac

%description stage2
This package contains installer configuration for
ALT Workstation.

The stage2 part is included into live installer system.

%package stage3
Summary: Installer configuration and scripts (stage3 part)
License: GPL-2.0+
Group: System/Configuration/Other
#Requires: installer-stage3
# modules
# Only require alterator-grub for arches that have grub.
%ifarch  %ix86 x86_64 aarch64 ppc64le
Requires: alterator-grub
%endif
Requires: alterator-users >= 10.14-alt1
Requires: alterator-root
Requires: alterator-luks
Requires: alterator-net-eth

%description stage3
This package contains installer configuration for
ALT Workstation.

The stage3 part is installed onto the new system's root
and executed off there during installation process.

%prep
%setup

%install
%define install2dir %_datadir/install2
mkdir -p %buildroot%install2dir
cp -a * %buildroot%install2dir/

%files stage2
%install2dir/alterator-menu
%install2dir/installer-steps
%install2dir/*.d/*

%files stage3

%changelog
