Name: jhead
Version: 3.06.0.1
Release: alt1

Summary: Tool for handling EXIF data in JPEG image files
License: Public Domain
Group: Graphics

URL: http://www.sentex.net/~mwandel/jhead
Source: %name-%version.tar.gz

# Without jpegtran from libjpeg-utils rotation feature will not work.
# Exif thumbnail regeneration relies on 'mogrify' program from ImageMagick.
Requires: libjpeg-utils ImageMagick-tools

%description
Jhead is a command line driven utility for extracting digital camera settings
from the Exif format files used by many digital cameras. It is also able to
reduce the size of digital camera JPEGs without loss of information, by
deleting integral thumbnails that digital cameras put into the Exif header.

%prep
%setup

%build
subst 's/-O./%optflags/' makefile
%make_build

%install
install -pD -m755 jhead %buildroot%_bindir/jhead
install -pD -m644 jhead.1 %buildroot%_man1dir/jhead.1

%files
%_bindir/*
%doc changes.txt readme.txt usage.html
%_man1dir/*

%changelog
