%define rname gwenview

%define sover 5
%define libgwenview libgwenviewlib%sover

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init

Group: Graphical desktop/KDE
Summary: Image viewer for KDE
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar
Source1: add-ru-gwenview.po

# Automatically added by buildreq on Tue Apr 28 2015 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils kf5-kdoctools-devel libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libcloog-isl4 libdbusmenu-qt52 libgpg-error libjson-c libqt5-concurrent libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-opengl libqt5-printsupport libqt5-script libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms libxkbfile-devel pkg-config python-base qt5-base-devel ruby ruby-stdlibs xml-common xml-utils xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel zlib-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kactivities-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel libdb4-devel libexiv2-devel libjpeg-devel liblcms2-devel libpng-devel python-module-google qt5-phonon-devel qt5-script-devel qt5-svg-devel qt5-x11extras-devel rpm-build-ruby zlib-devel-static
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-phonon-devel qt5-script-devel qt5-svg-devel qt5-x11extras-devel
BuildRequires: libexiv2-devel libjpeg-devel liblcms2-devel libpng-devel zlib-devel libtiff-devel
#BuildRequires: libcfitsio-devel
BuildRequires: wayland-protocols qt5-wayland-devel
BuildRequires: kde5-libkdcraw-devel
BuildRequires: kde5-kcolorpicker-devel kde5-kimageannotator-devel
BuildRequires: kf5-kactivities-devel kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel
BuildRequires: kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel
BuildRequires: kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel
BuildRequires: kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel
BuildRequires: kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kinit-devel kf5-kio-devel
BuildRequires: kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-kparts-devel
BuildRequires: kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-baloo-devel kf5-kfilemetadata-devel
BuildRequires: kf5-purpose-devel


%description
Fast and easy to use image and video viewer for KDE.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libgwenview
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libgwenview
KF5 library


%prep
%setup -n %rname-%version

for f in lib/resize/resizeimagewidget.ui ; do
    sed -i 's|notr=\"true\"||' $f
done

msgcat --use-first po/ru/gwenview.po %SOURCE1 > po/ru/gwenview.po.tmp
cat po/ru/gwenview.po.tmp >po/ru/gwenview.po
rm -f po/ru/gwenview.po.tmp

%build
%K5build

%install
%K5install
%K5install_move data gwenview gvpart solid kconf_update
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc COPYING*
%_K5icon/*/*/actions/document-share.*
%_datadir/qlogging-categories5/*.*categories

%files
%_K5bin/*
%_K5plug/kf5/parts/gvpart.so
%_K5plug/kf5/kfileitemaction/*.so
%_K5xdgapp/*.desktop
%_K5data/gwenview/
%_K5data/solid/actions/gwenview*.desktop
%_K5icon/*/*/apps/gwenview.*
#%_K5srv/ServiceMenus/*.desktop
%_K5srv/*.desktop
#%_K5xmlgui/*
%_K5conf_up/*gwenview*

%files devel
#%_K5inc/gwenview_version.h
#%_K5inc/Gwenview/
#%_K5link/lib*.so
#%_K5lib/cmake/Gwenview
#%_K5archdata/mkspecs/modules/qt_Gwenview.pri

%files -n %libgwenview
%_K5lib/libgwenviewlib.so.%sover
%_K5lib/libgwenviewlib.so.*

%changelog
