%define rname kio-zeroconf

Name: kde5-%rname
Version: 23.04.3
Release: alt1
%K5init no_appdata

Group: Graphical desktop/KDE
Summary: DNS-SD Service Discovery for KDE
Url: http://www.kde.org
License: GPL-2.0-or-later or LGPL-2.0-only

Source: %rname-%version.tar
Patch1: alt-zeroconf-autonet.patch

BuildRequires(pre): rpm-build-kf5
# Automatically added by buildreq on Wed Dec 20 2017 (-bi)
# optimized out: cmake cmake-modules elfutils gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel libEGL-devel libGL-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel perl python-base python-modules qt5-base-common qt5-base-devel
#BuildRequires: extra-cmake-modules kf5-kdbusaddons-devel kf5-kdnssd-devel kf5-ki18n-devel kf5-kio-devel libssl-devel
BuildRequires: extra-cmake-modules
BuildRequires: libssl-devel
BuildRequires: kf5-kdbusaddons-devel kf5-kdnssd-devel kf5-ki18n-devel kf5-kio-devel

%description
DNS-SD Service Discovery for KDE

#%package -n kde5-kio-zeroconf
#Summary: DNS-SD Service Discovery for KDE
#Group: Graphical desktop/KDE
#Requires: avahi-daemon libnss-mdns
#%description -n kde5-kio-zeroconf
#DNS-SD Service Discovery for KDE

%prep
%setup -n %rname-%version
%patch1 -p1

%build
%K5build

%install
%K5install
%K5install_move data remoteview
%find_lang %name --with-kde --all-name

#files -n kde5-kio-zeroconf -f %name.lang
%files -f %name.lang
%doc LICENSES/*
%_K5plug/kf5/kded/dnssdwatcher.so
%_K5plug/kf5/kio/zeroconf.so
%_K5data/remoteview/*

%changelog
