%ifarch %not_qt5_qtwebengine_arches
%def_disable qtwebengine
%else
%def_enable qtwebengine
%endif

Name: kde5-set
Version: 23.04.1
Release: alt1

Group: Graphical desktop/KDE
Summary: Set of KDE 5 applications
License: Public Domain

BuildRequires(pre): rpm-macros-qt5-webengine

%description
%summary

%package -n kde5-runtime
Summary: %summary
Group: Graphical desktop/KDE
Requires: qt5-phonon-backend qt5-quickcontrols qt5-quickcontrols2 qt5-graphicaleffects qt5-imageformats qt5-translations
Requires: kf5-kio kf5-kded kf5-kinit plasma5-kwayland-integration
%description -n kde5-runtime
%summary

%package -n kde5-mini
Summary: %summary
Group: Graphical desktop/KDE
Requires: kde5-runtime
Requires: qt5-dbus plasma5-kde-cli-tools plasma5-kwin plasma5-desktop kf5-kinit kf5-kdeclarative
Requires: kde5-dolphin kde5-kdialog
%description -n kde5-mini
%summary

%package -n kde5-small
Summary: %summary
Group: Graphical desktop/KDE
Requires: kde5-mini
Requires: kde5-volume-control
%ifarch ppc64le
Requires: webclient
%else
Requires: /usr/bin/x-www-browser
%endif
#
Requires: icon-theme-breeze
Requires: kf5-kwallet kf5-kconfig kf5-kglobalaccel kf5-kimageformats kde5-svgpart
Requires: kf5-baloo
Requires: kde5-display-manager
Requires: plasma5-polkit-kde-agent kf5-kio-extras plasma5-breeze plasma5-powerdevil plasma5-systemmonitor
Requires: plasma5-drkonqi plasma5-milou plasma5-systemsettings plasma5-integration
Requires: kde5-ark kde5-konsole kde5-gwenview kde5-okular kde5-kwrite kde5-kwalletmanager
Requires: kde5-kcalc kde5-kross-python
%description -n kde5-small
%summary

%package -n kde5
Summary: %summary
Group: Graphical desktop/KDE
Provides: kde5-normal = %EVR kde5-default = %EVR
Obsoletes: kde5-normal < %EVR kde5-default < %EVR
Requires: kde5-small
Requires: kde5-video-player
Requires: kde5-audio-player
Requires: kde5-network-manager
#
##Requires: pam0_kwallet5
Requires: gtk3-theme-breeze
Requires: gtk2-theme-breeze
Requires: kf5-qqc2-desktop-style
Requires: kde5-plasma-applet-places-widget
Requires: plasma5-oxygen-sounds
Requires: plasma5-kde-gtk-config plasma5-bluedevil plasma5-kscreen plasma5-ksshaskpass
Requires: plasma5-khotkeys plasma5-kinfocenter plasma5-addons plasma5-browser-integration
Requires: plasma5-disks
Requires: kde5-khelpcenter kde5-kolourpaint kde5-kio-audiocd kde5-kgpg
Requires: plasma5-kmenuedit plasma5-kgamma plasma5-thunderbolt
Requires: kde5-kfind kde5-filelight kde5-kcharselect kde5-kteatime kde5-spectacle
Requires: kde5-kamera kde5-network-filesharing kde5-ktorrent
##Requires: kde5-kget
Requires: kde5-kio-zeroconf kde5-sweeper
%description -n kde5
%summary

%package -n kde5-big
Summary: %summary
Group: Graphical desktop/KDE
Requires: kde5
Requires: kde5-email-client
Requires: kde5-messenger-client
#
Requires: plasma5-oxygen
Requires: icon-theme-oxygen
Requires: plasma5-workspace-wallpapers
Requires: plasma5-kwrited
Requires: plasma5-user-manager kde5-ksystemlog
Requires: kde5-krdc
Requires: kde5-pim kde5-kcron kde5-kruler kde5-ffmpegthumbs
Requires: kde5-connect
Requires: kde5-krfb
Requires: kde5-kdf
Requires: kid3-ui-kde5
Requires: kde5-graphics-thumbnailers
%description -n kde5-big
%summary

%package -n kde5-maxi
Summary: %summary
Group: Graphical desktop/KDE
Requires: kde5-big
Requires: kde5-edu
Requires: kde5-games
Requires: kde5-printing
Requires: kde5-scanning
#
Requires: plasma5-discover-maxi
Requires: plasma5-desktop-maxi
Requires: kde5-keditbookmarks
Requires: kde5-kfloppy kde5-ktimer
Requires: kde5-dragon
Requires: kde5-kmousetool kde5-kmag
Requires: kde5-juk kde5-kmouth
Requires: kdenlive
Requires: kde5-k3b kde5-kwave kde5-konversation
Requires: kde5-digikam
Requires: kde5-kdebugsettings
%description -n kde5-maxi
%summary

%package -n kde5-somedevel
Summary: %summary
Group: Graphical desktop/KDE
Requires: kde5-runtime
Requires: kde5-kate
Requires: kde5-dolphin-plugins
Requires: kde5-lokalize kde5-okteta kde5-kapptemplate kde5-dev-scripts kde5-kompare
Requires: kde5-sdk-thumbnailers kde5-poxml kde5-umbrello
Requires: kde5-kcachegrind
%if_enabled qtwebengine
Requires: kde5-kimagemapeditor
%endif
%description -n kde5-somedevel
%summary

%package -n kde5-edu
Summary: Educational software based on the KDE technologies
Group: Graphical desktop/KDE
Requires: kde5-runtime
%if_enabled qtwebengine
Requires: kde5-parley
%endif
Requires: kde5-kanagram kde5-khangman
Requires: kde5-kwordquiz kde5-kturtle kde5-marble
Requires: kde5-step
%ifnarch armh
Requires: kde5-kstars
%endif
Requires: kde5-kig kde5-kmplot kde5-kalgebra kde5-cantor kde5-rocs
Requires: kde5-kbruch kde5-kgeography kde5-ktouch
# openbabel Requires: kde5-kalzium
Requires: kde5-minuet
%description -n kde5-edu
Educational software based on the KDE technologies

%package -n kde5-games
Summary: Set of KDE-based games
Group: Graphical desktop/KDE
Requires: kde5-runtime
Requires: kde5-lskat kde5-kmines kde5-kshisen kde5-ktuberling kde5-bovo kde5-knetwalk
Requires: kde5-katomic kde5-knavalbattle kde5-kpat kde5-kmahjongg
Requires: kde5-ksudoku kde5-kigo kde5-knights kde5-kreversi kde5-granatier
Requires: kde5-kolf kde5-ksirk kde5-palapeli
%description -n kde5-games
High quality gaming and entertainment software.

%package -n kde5-printing
Summary: Set of printing support applications
Group: Graphics
Requires: kde5-runtime
Requires: kde5-print-manager cups printer-drivers-X11
#system-config-printer-udev
%description -n kde5-printing
KDE printing support applications.

%package -n kde5-scanning
Summary: Set of image scanning support applications
Group: Graphics
Requires: kde5-runtime
#Requires: kde5-skanlite
Requires: xsane
Requires: hplip-sane libsane-gphoto2 sane
%description -n kde5-scanning
KDE image scanning support applications.

%package -n kde5-pim
Summary: %summary
Group: Graphical desktop/KDE
##Requires: kde5-akonadiconsole
Requires: kde5-email-client
%if_enabled qtwebengine
Requires: kde5-pim-data-exporter kde5-pim-addons
Requires: kde5-akregator kde5-kontact
%endif
Requires: kde5-kalarm kde5-knotes kde5-zanshin
Requires: kde5-korganizer kde5-akonadi-calendar-tools
Requires: kde5-kaddressbook
##Requires:  kde5-blogilo
# akonadi based email client
#Requires: kde5-akonadi-import-wizard kde5-mbox-importer kde5-pim-sieve-editor kde5-mbox-importer kde5-pim-sieve-editor kde5-grantlee-editor
%description -n kde5-pim
%summary


%files -n kde5-runtime
%files -n kde5-mini
%files -n kde5-small
%files -n kde5
%files -n kde5-big
%files -n kde5-maxi
%files -n kde5-somedevel
#
%files -n kde5-edu
%files -n kde5-games
%files -n kde5-printing
%files -n kde5-scanning
%files -n kde5-pim

%changelog
