%define rname kdav

%define sover 5
%define libkpimkdav libkpimkdav%sover

Name: kf5-%rname
Version: 5.110.0
Release: alt1
Epoch: 1
%K5init

Group: Graphical desktop/KDE
Summary: DAV protocol implemention
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Tue Apr 25 2017 (-bi)
# optimized out: cmake cmake-modules elfutils gcc-c++ kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel libEGL-devel libGL-devel libgpg-error libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libqt5-xmlpatterns libstdc++-devel perl python-base python-modules python3 python3-base qt5-base-devel rpm-build-python3 ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules kf5-kio-devel python-module-google python3-dev qt5-xmlpatterns-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules qt5-xmlpatterns-devel
BuildRequires: kf5-kio-devel kf5-ki18n-devel

%description
DAV protocol implemention with KJobs.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kde5-kdav-common = %EVR
Obsoletes: kde5-kdav-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kde5-kdav-devel = %EVR
Obsoletes: kde5-kdav-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5dav
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n libkf5dav
%name library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories

%files devel
#%_K5inc/kdav_version.h
%_K5inc/KDAV/
%_K5link/lib*.so
%_K5lib/cmake/KF5DAV/
%_K5archdata/mkspecs/modules/qt_KDAV.pri

%files -n libkf5dav
%_K5lib/libKF5DAV.so.%sover
%_K5lib/libKF5DAV.so.*

%changelog
