%define rname kiconthemes

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 icon GUI utilities
Url: http://www.kde.org
License: GPL-2.0-or-later or LGPL-2.0-or-later

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Feb 12 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-dbus libqt5-gui libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel python-base qt5-base-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kitemviews-devel kf5-kwidgetsaddons-devel python-module-google qt5-svg-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules qt5-svg-devel qt5-tools-devel
BuildRequires: kf5-kauth-devel kf5-kcodecs-devel kf5-kconfig-devel kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kitemviews-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-karchive-devel

%description
This library contains classes to improve the handling of icons
in applications using the KDE Frameworks.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: qt5-svg-devel kf5-karchive-devel kf5-kitemviews-devel
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5iconthemes
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5iconthemes
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install
%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories

%files devel
%_K5plug/designer/*.so
%_bindir/kiconfinder5
%_K5bin/kiconfinder5
#%_K5inc/kiconthemes_version.h
%_K5inc/KIconThemes/
%_K5link/lib*.so
%_K5lib/cmake/KF5IconThemes
%_K5archdata/mkspecs/modules/qt_KIconThemes.pri

%files -n libkf5iconthemes
%_K5lib/libKF5IconThemes.so.*
%_K5plug/iconengines/KIconEnginePlugin.so

%changelog
