%define rname kplotting

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 Data Plotting
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Dec 25 2014 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-gui libqt5-test libqt5-widgets libstdc++-devel python-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-tools-devel

%description
Lightweight plotting framework.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: kf5-filesystem
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5plotting
Group: System/Libraries
Summary: KF5 library
#Requires: %name-common = %version-%release
%description -n libkf5plotting
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install

#%files common

%files devel
#%_K5inc/kplotting_version.h
%_K5inc/KPlotting/
%_K5link/lib*.so
%_K5lib/cmake/KF5Plotting
%_K5archdata/mkspecs/modules/qt_KPlotting.pri
%_K5plug/designer/*.so

%files -n libkf5plotting
%doc LICENSES/* README.md
%_K5lib/libKF5Plotting.so.*

%changelog
