%{expand: %(sed 's,^%%,%%global ,' /usr/lib/rpm/macros.d/ubt)}
%define ubt_id %__ubt_branch_id

%define __if_ver_gt() %if "%(rpmvercmp '%1' '%2')" > "0"
%define __if_ver_gteq() %if "%(rpmvercmp '%1' '%2')" >= "0"
%define __if_ver_lt() %if "%(rpmvercmp '%2' '%1')" > "0"
%define __if_ver_lteq() %if "%(rpmvercmp '%2' '%1')" >= "0"
%define __if_ver_eq() %if "%(rpmvercmp '%1' '%2')" == "0"
%define __if_ver_not_gt() %if "%(rpmvercmp '%1' '%2')" <= "0"
%define __if_ver_not_gteq() %if "%(rpmvercmp '%1' '%2')" < "0"
%define __if_ver_not_lt() %if "%(rpmvercmp '%2' '%1')" <= "0"
%define __if_ver_not_lteq() %if "%(rpmvercmp '%2' '%1')" < "0"
%define __if_ver_not_eq() %if "%(rpmvercmp '%1' '%2')" != "0"

Name: kf5-rpm-build
Version: 5.100.1
Release: alt1

Group: Development/KDE and QT
Summary: Development utils for KDE
Url: http://altlinux.org/KDE
License: GPL-2.0-or-later

BuildArch: noarch

Source1: macrosd
Source2: rpm-build-kf5-find-qtlang

BuildRequires: rpm-build-ubt

%description
Set of KF5 RPM macros.

%package -n rpm-build-kf5
Summary: Set of RPM macros for packaging KF5-based applications
Group: Development/Other
Requires: rpm-build-xdg rpm-macros-qt5 rpm-build-qml /usr/bin/rpmvercmp
%description -n rpm-build-kf5
Set of RPM macros for packaging KF5-based applications for ALT Linux.
Install this package if you want to create RPM packages that use KF5.

%prep
%setup -cT

%install
install -D -m 0644 %SOURCE1 %buildroot/%_rpmmacrosdir/kf5
%__if_ver_lt %ubt_id M110
sed -i 's|^%%__kf5_altplace_default[[:space:]].*|%%__kf5_altplace_default true|' %buildroot/%_rpmmacrosdir/kf5
sed -i 's|^%%__kf5_desktop_subdir[[:space:]].*|%%__kf5_desktop_subdir /kf5|' %buildroot/%_rpmmacrosdir/kf5
%endif
install -D -m 0755 %SOURCE2 %buildroot/%_bindir/rpm-build-kf5-find-qtlang

%files -n rpm-build-kf5
%_rpmmacrosdir/kf5
%_bindir/rpm-build-kf5-*

%changelog
