%define rname sonnet

Name: kf5-%rname
Version: 5.110.0
Release: alt1
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 multi-language spell checker
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Source: %rname-%version.tar

# Automatically added by buildreq on Fri Dec 26 2014 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-gui libqt5-test libqt5-widgets libqt5-xml libstdc++-devel python-base qt5-base-devel qt5-tools ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ libhunspell-devel python-module-google qt5-tools-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-tools-devel qt5-declarative-devel
BuildRequires: libhunspell-devel

%description
Sonnet is a plugin-based spell checking library for Qt-based
applications. It supports several different plugins.

%package common
Summary: %name common package
Group: System/Configuration/Other
#BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5sonnetcore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5sonnetcore
KF5 library

%package -n libkf5sonnetui
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5sonnetui
KF5 library


%prep
%setup -n %rname-%version
#sed -i -E 's|^FIND_LIBRARY\(HUNSPELL_LIBRARIES[[:space:]]+NAMES[[:space:]]+hunspell-|FIND_LIBRARY(HUNSPELL_LIBRARIES NAMES hunspell hunspell-|' cmake/FindHUNSPELL.cmake

%build
%K5build

%install
%K5install
%find_lang %name --all-name
%K5find_qtlang %name --all-name

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories
%dir %_K5plug/kf5/sonnet/
#%_K5data/sonnet/

%files devel
%_K5bin/gentrigrams
%_K5bin/parsetrigrams
#%_K5inc/sonnet_version.h
%_K5inc/Sonnet*/
%_K5link/lib*.so
%_K5lib/cmake/KF5Sonnet
%_K5archdata/mkspecs/modules/qt_Sonnet*.pri

%files -n libkf5sonnetcore
%_K5plug/designer/*.so
%_K5lib/libKF5SonnetCore.so.*
%_K5plug/kf5/sonnet/sonnet_hunspell.so
%files -n libkf5sonnetui
%_K5lib/libKF5SonnetUi.so.*
%_K5qml/org/kde/sonnet/

%changelog
