%define oname duktape
Name: libduktape
Version: 2.6.0
Release: alt1

Summary: Embeddable Javascript engine library

License: MIT
Group: System/Libraries
Url: http://duktape.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Source-url: http://duktape.org/%oname-%version.tar.xz
Source: %name-%version.tar
Patch: duktape-2.3.0-makefile.patch

%description
Duktape is an embeddable Javascript engine, with a focus on portability
and compact footprint.

#----------------------------------------------------------------------------

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %EVR

%description devel
Libraries and header files for developing programs based on %name.


#----------------------------------------------------------------------------

%package -n %oname
Summary: Embeddable Javascript engine commandline duk interpreter
Group: File tools

%description -n %oname
Duktape is an embeddable Javascript engine, with a focus on portability
and compact footprint.

This package contains a commandline duk interpreter.

#----------------------------------------------------------------------------

%prep
%setup
%patch -p2

%build
%make -f Makefile.sharedlibrary
%make -f Makefile.sharedlibrary duk
#make -f Makefile.cmdline

%install
%makeinstall_std \
	INSTALL_PREFIX="%prefix" \
	LIBDIR="%_libdir" \
	-f Makefile.sharedlibrary

mkdir -p %buildroot%_bindir
install -m 755 duk %buildroot%_bindir/duk

%files
%_libdir/libduktape.so.*

%files devel
%_includedir/duk_config.h
%_includedir/duktape.h
%_libdir/libduktape.so

%files -n %oname
%doc AUTHORS.rst LICENSE.txt README.rst
%_bindir/duk

%changelog
