# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: libqtxdg
Version: 3.11.0
Release: alt2

Summary: Qt implementation of freedesktop.org xdg specs
License: LGPL
Group: System/Libraries

Url: https://lxqt.org
Source: %name-%version.tar

BuildRequires(pre): rpm-macros-qt5
BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: qt5-base-devel qt5-svg-devel libmagic-devel
BuildRequires: lxqt-build-tools
BuildRequires: libgio-devel
Requires: libqt5-core = %_qt5_version

%description
%summary

%package devel
Summary: Development headers for QtXdg library
Group: Development/C++
Requires: %name = %EVR
Requires: libgio-devel

%description devel
This package provides the development files for qtxdg library
which implements functions of the XDG Specifications in Qt.

%prep
%setup
%ifarch %e2k
sed -i 's,-flto -fuse-linker-plugin,,' cmake/compiler_settings.cmake
%endif

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

%files
%_libdir/*.so.*
%_qt5_plugindir/*/*.so
%config %_sysconfdir/xdg/lxqt-qtxdg.conf
%config %_sysconfdir/xdg/qtxdg.conf

%files devel
%_libdir/*.so
%_includedir/*/
%_pkgconfigdir/*.pc
%_datadir/cmake/*/

%changelog
