# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-build-tools
Version: 0.13.0
Release: alt1

Summary: Various packaging tools and scripts for LXQt applications
License: BSD 3-clause
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: qt5-base-devel qt5-tools-devel glib2-devel

BuildArch: noarch

%description
%summary
that used to lurk in liblxqt or got spread over other subprojects.

%prep
%setup
%autopatch -p1

%ifarch %e2k
# lcc has -fwhole, to be tested though
sed -i '/-flto/d' cmake/modules/LXQtCompilerSettings.cmake
%endif

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

%files
%doc BSD-3-Clause
%_datadir/cmake/%name
%_bindir/*

%changelog
