# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-powermanagement
Version: 1.3.0
Release: alt1

Summary: Powermanagement module for LXQt
License: LGPL
Group: Graphical desktop/Other

Url: https://lxqt.org
Source: %name-%version.tar

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: liblxqt-devel qt5-base-devel qt5-tools-devel qt5-svg-devel
BuildRequires: kf5-kwindowsystem-devel kf5-solid-devel kf5-kidletime-devel
BuildRequires: rpm-build-xdg libqtxdg-devel
BuildRequires: lxqt-globalkeys-devel

Requires: upower

Provides: razorqt-autosuspend = %version
Obsoletes: razorqt-autosuspend < 0.7.0

Provides: razorqt-power = %version
Obsoletes: razorqt-power < 0.7.0

%description
%summary

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

%files
%_bindir/*
%_datadir/lxqt/translations/*
%_desktopdir/*.desktop
%doc AUTHORS CHANGELOG LICENSE README.md
%_iconsdir/*/*/*/*.svg
%_xdgconfigdir/*/*

%changelog
