Name: make-initrd-propagator
Version: 0.50
Release: alt1

Summary: Put propagator into make-initrd generated image
License: GPLv2+
Group: System/Base

Url: https://www.altlinux.org/Make-initrd-propagator
Source: %name-%version.tar

Requires: console-vt-tools fdisk /sbin/addpart grep
Requires: sysvinit-utils net-tools
Requires: sed procps psmisc findutils nfs-utils
Requires: make-initrd
Requires: e2fsprogs time
Requires: udev-rules udev-extras

# For new put-file utility
Requires: make-initrd >= 2.0.3-alt1

BuildArch: noarch
AutoReq: noshell, noshebang


%description
make-initrd feature to make hybrid propagator/make-initrd image

%prep
%setup

%install
mkdir -p %buildroot%_datadir/make-initrd/features/
cp -a propagator %buildroot%_datadir/make-initrd/features/
mkdir -p %buildroot%_datadir/make-initrd/features/propagator/data/image

%files
%_datadir/make-initrd/features/propagator

%changelog
