Name: mate
Version: 1.26.0
Release: alt1

Summary: MATE Desktop installers
License: %gpl2plus
Group: Graphical desktop/MATE

BuildArch: noarch

BuildPreReq: rpm-build-licenses

%description
A set of virtual packages for MATE Desktop installation.

%package minimal
Summary: MATE Desktop minimal installer
Group: Graphical desktop/MATE

Requires: mate-desktop mate-session mate-panel mate-menus mate-window-manager mate-settings-daemon
Requires: mate-polkit mate-control-center mate-media mate-screensaver mate-power-manager mate-notification-daemon
Requires: mate-system-monitor mate-file-manager mate-file-archiver mate-terminal mate-text-editor
Requires: mate-themes mate-icon-theme mate-backgrounds mate-user-guide

%description minimal
This virtual package installs MATE Desktop with minimum components.

%package default
Summary: MATE Desktop installer for optimal user's requirements
Group: Graphical desktop/MATE

Requires: mate-minimal
Requires: mate-calc mate-dictionary mate-disk-usage-analyzer
Requires: mate-document-viewer mate-document-viewer-caja mate-document-viewer-thumbnailer
Requires: mate-file-manager-extensions mate-file-manager-archiver
Requires: mate-image-viewer mate-menu-editor mate-screenshot mate-search-tool mate-sensors-applet

%description default
This virtual package installs MATE Desktop for an average user's
requirements.

%package maxi
Summary: MATE Desktop full installer
Group: Graphical desktop/MATE

Requires: mate-default
Requires: mate-disk-image-mounter
Requires: mate-document-viewer-djvu mate-document-viewer-dvi mate-document-viewer-pixbuf mate-document-viewer-xps
Requires: mate-file-manager-beesu mate-file-manager-image-converter mate-file-manager-open-terminal
Requires: mate-file-manager-sendto mate-file-manager-share mate-file-manager-wallpaper mate-system-log
Requires: python3-module-caja

%description maxi
This virtual package installs full MATE Desktop.

%files minimal
%files default
%files maxi

%changelog
