Name: mokutil
Version: 0.5.0
Release: alt1
Epoch: 1

Summary: Tool to manage UEFI Secure Boot MoK Keys
License: GPLv3+
Group: System/Kernel and hardware
Url: https://github.com/lcp/mokutil
#Git: https://github.com/lcp/mokutil.git
Source: %name-%version.tar

BuildRequires: gnu-efi
BuildRequires: efivar-devel
BuildRequires: efivar
BuildRequires: openssl-devel
BuildRequires: openssl
BuildRequires: libkeyutils-devel
Conflicts: shim0.4-unsigned

ExclusiveArch: x86_64

%description
mokutil provides a tool to manage keys for Secure Boot through the MoK
("Machine's Own Keys") mechanism.

%prep
%setup

%build
./autogen.sh
%configure
%make_build

%install
make PREFIX=%prefix LIBDIR=%_libdir DESTDIR=%buildroot install

%files
%doc README COPYING
%_bindir/mokutil
%_mandir/man1/*
%_datadir/bash-completion/completions/mokutil

%changelog
