Name: nautilus-dropbox
Version: 2020.03.04
Release: alt1

Summary: Dropbox integration for Nautilus
Summary(ru_RU.UTF-8): Интеграция Dropbox с Nautilus

License: GPL-3.0 and CC-BY-ND-3.0
Group: Graphical desktop/GNOME
Url: http://www.dropbox.com/

Source: https://www.dropbox.com/download?dl=packages/%name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: glib2-devel >= 2.14.0
BuildRequires: gtk+2-devel >= 2.12.0
BuildRequires: libnautilus-devel >= 2.20.0
BuildRequires: pkg-config
BuildRequires: python3-module-docutils
BuildRequires: python3-module-pygobject3

Requires:nautilus >= 2.16.0
Requires: dropbox = %EVR
Requires: python3-module-gpg

%define _unpackaged_files_terminate_build 1

%description
Nautilus Dropbox is an extension that integrates the Dropbox web service with
your GNOME Desktop.

Check us out at http://www.dropbox.com/

%description -l ru_RU.UTF-8
Nautilus Dropbox - это расширения интегрирующее веб-сервис Dropbox с Вашим
рабочим столом GNOME.

Ищите нас на http://www.dropbox.com/

%package -n dropbox
Summary: Dropbox command-line utility
Group: Networking/Other
License: GPL-3.0
Requires: wget >= 1.10.0

%description -n dropbox
The *dropbox* command provides a command line interface to the Dropbox.

%prep
%setup

%build
%configure \
    --disable-dependency-tracking \
    --enable-static=no \

%make_build

%install
%makeinstall_std

%files
%doc AUTHORS COPYING ChangeLog
%_libdir/nautilus/extensions-*/libnautilus-dropbox.so
%_datadir/%name/

%exclude %_libdir/nautilus/extensions-*/*.la

%files -n dropbox
%_bindir/dropbox*
%_iconsdir/hicolor/*/*/*
%_desktopdir/dropbox.desktop
%_man1dir/*.1*

%changelog
