Name: nvidia-xconfig
Version: 510.60.02
Release: alt1

Group: System/Configuration/Hardware
Summary: Command line tool for setup X11 for the NVIDIA driver
Url: ftp://download.nvidia.com/XFree86/nvidia-xconfig/
License: GPLv2

Source: %name-%version.tar.gz
Patch1: alt-cflags.patch

BuildRequires: glibc-devel
BuildRequires: libpciaccess-devel

%description
Command line tool for setup X11 for the NVIDIA driver

%prep
%setup -q
%patch1 -p1

%build
%make_build NV_VERBOSE=1 OUTPUTDIR=BUILD PREFIX=%prefix CC=gcc LOCAL_CFLAGS="%optflags"

%install
make install NV_VERBOSE=1 OUTPUTDIR=BUILD PREFIX=%buildroot/%prefix bindir=%buildroot/%_bindir mandir=%buildroot/%_man1dir
#install -m 0755 nvidia-xconfig %buildroot/%_bindir

%files
%_bindir/%name
%_man1dir/%name.*


%changelog
