# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name:    pcmanfm-qt
Version: 1.3.0
Release: alt3
Epoch: 1

Summary: PCManFM-Qt is the Qt port of the LXDE file manager PCManFM
License: GPLv2+
Group:   File tools

Url:     https://lxqt.org
Source0: %name-%version.tar
Source1: %name.desktop

# fix initial settigs
Patch: alt-settings.patch

BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: qt5-base-devel qt5-tools-devel
BuildRequires: libfm-qt-devel >= 0.14.0
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: liblxqt-devel
BuildRequires: libmenu-cache-devel
BuildRequires: rpm-build-xdg

Requires: menu-cache

%description
PCManFM-Qt is the Qt port of the LXDE file manager PCManFM.

%prep
%setup
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmakeinstall_std
install -pDm644 %SOURCE1 %buildroot%_desktopdir/%name.desktop

%files
%_bindir/*
%_desktopdir/*.desktop
%_xdgconfigdir/*/*
%_datadir/%name
%_man1dir/*
%doc AUTHORS CHANGELOG LICENSE README.md

%changelog
