%define module ALTLinux-ACL

Name: perl-%module
Version: 0.221
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: %module - Perl extension for quering ALTLinux ACL files
Group: Development/Perl
License: LGPLv2+ or Artistic-2.0
Source: %module-%version.tar.gz
# TODO: upload
#Url: http://search.cpan.org/dist/%module
Url: http://git.altlinux.org/people/viy/packages/%name

BuildRequires: perl-devel perl(Pod/Usage.pm) perl-IPC-Run3 perl(Data/Array2ArrayMap/Hash/XSTree.pm) perl(Pod/Text.pm)

%description
%summary

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
#doc Changes
#doc README
%perl_vendor_privlib/ALT*
%_bindir/*
%_man1dir/*

%changelog
