%define module Source-Repository-Mass

Name: perl-%module
Version: 0.449
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: %module - Perl extension for converting SRPM and spec files
Group: Development/Perl
License: GPLv2+ or Artistic-2.0
Source: http://www.cpan.org/modules/by-module/RPM/%module-%version.tar
#Url: http://search.cpan.org/dist/%module
Url: https://www.altlinux.org/Packaging_Automation/MassProcessing

BuildRequires: perl-devel perl-RPM-Source-Editor perl(RPM/Header.pm) perl(RPM/Vercmp.pm) perl-String-ShellQuote perl-RPM-Source-Convert perl-Source-Package perl-RPM-Source-BundleImport perl-Source-Repository perl-Source-Shared-Resource perl(Source/Shared/Utils/GlobList.pm) perl(Source/Shared/FindLocalMirror.pm)
Requires: perl-RPM-Source-Editor > 0.9243
Conflicts: perl-Source-Repository < 0.391

%description
%summary

%prep
%setup -q -n %module-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
#doc README
%_bindir/*mass
%_bindir/sourcerepo-mass-compare-*
%perl_vendor_privlib/Source*

%changelog
