%define		php_extension	imagick
%define 	real_name	imagick

Name:	 	php%_php_suffix-%{php_extension}
Version:	3.7.0
Epoch:		1
Release:	alt1.%_php_release_version
Summary:	PHP wrapper to the ImageMagick library
License:	PHP-3.01
Group:		System/Servers
URL:		http://pecl.php.net/package/imagick
VCS: 		https://github.com/Imagick/imagick
Source0:	php-%php_extension-%version.tar
Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

BuildRequires(pre): rpm-build-php8.1-version
BuildRequires: php-devel = %php_version
BuildRequires: libImageMagick-devel

%description
Imagick is a native PHP extension to create and modify images
using the ImageMagick API.

%prep
%setup -n php-%php_extension-%version

%build
phpize
%configure \
	--with-%php_extension \
	--with-libdir=%_lib \
	#

%php_make

%install
%php_make_install
install -D -m 644 -- %SOURCE1 %buildroot/%php_extconf/%php_extension/config
install -D -m 644 -- %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%doc CREDITS
%doc examples*

%php_extconf/%php_extension
%php_extdir/*

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
