%define rname kwayland-integration

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 Wayland integration plugins
Url: http://www.kde.org
License: GPL-2.0-or-later

Provides: kf5-kwayland-integration = %EVR
Obsoletes: kf5-kwayland-integration < %EVR
Requires: xorg-xwayland qt5-wayland

Source: %rname-%version.tar

# Automatically added by buildreq on Thu Aug 27 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libqt5-core libqt5-gui libqt5-widgets libqt5-x11extras libstdc++-devel libwayland-client libxcbutil-keysyms python-base python3 python3-base ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kidletime-devel kf5-kwayland-devel kf5-kwindowsystem-devel python-module-google qt5-base-devel rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel qt5-base-devel-static qt5-wayland-devel
BuildRequires: pkgconfig(wayland-protocols)
BuildRequires: kf5-kidletime-devel kf5-kwayland-devel kf5-kwindowsystem-devel kf5-kguiaddons-devel


%description
Provides integration plugins for various KDE frameworks for the wayland windowing system.

%prep
%setup -n %rname-%version

%build
%K5build

%install
%K5install

%find_lang %name --with-kde --all-name

%files  -f %name.lang
%doc LICENSES/*
%_K5plug/kf5/*/*Wayland*.so
#%_K5plug/kf5/kguiaddons/kmodifierkey/kmodifierkey_wayland.so
%_datadir/qlogging-categories5/*.*categories

%changelog
