%define rname libksysguard

%def_disable qtwebengine

%define sover 9
%define libksgrd libksgrd%sover
%define libksignalplotter libksignalplotter%sover
%define liblsofui liblsofui%sover
%define libprocesscore libprocesscore%sover
%define libprocessui libprocessui%sover
%define sover2 1
%define libksysguardformatter libksysguardformatter%sover2
%define libksysguardfaces libksysguardfaces%sover2
%define libksysguardsensors libksysguardsensors%sover2
%define libksysguardsystemstats libksysguardsystemstats%sover2

Name: plasma5-%rname
Version: 5.27.8
Release: alt2
Epoch: 1
%K5init altplace

Group: System/Libraries
Summary: KDE Workspace 5 performance monitor library
Url: http://www.kde.org
License: GPL-2.0-or-later

Provides: kf5-libksysguard = %EVR
Obsoletes: kf5-libksysguard < %EVR
Conflicts: plasma5-ksysguard < 5.22
Requires(post): /sbin/setcap

Source: %rname-%version.tar
Patch: alt-killbtn.patch

# Automatically added by buildreq on Wed Feb 25 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libcloog-isl4 libgst-plugins1.0 libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-opengl libqt5-positioning libqt5-printsupport libqt5-qml libqt5-quick libqt5-script libqt5-sensors libqt5-sql libqt5-webkit libqt5-webkitwidgets libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms libxkbfile-devel python-base qt5-base-devel ruby ruby-stdlibs xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel zlib-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kauth-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kpackage-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-plasma-framework-devel python-module-google qt5-script-devel qt5-webkit-devel qt5-x11extras-devel rpm-build-gir rpm-build-ruby zlib-devel-static
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++
BuildRequires: libsensors3-devel
BuildRequires: zlib-devel libnl-devel libcap-devel libpcap-devel
BuildRequires: qt5-script-devel qt5-x11extras-devel qt5-tools-devel
%if_enabled qtwebengine
BuildRequires: qt5-webengine-devel qt5-webchannel-devel
%endif
BuildRequires: kf5-kauth-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kguiaddons-devel
BuildRequires: kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kpackage-devel kf5-kservice-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-plasma-framework-devel
BuildRequires: kf5-kglobalaccel-devel kf5-kio-devel kf5-kdeclarative-devel kf5-knewstuff-devel

%description
Performance monitor library

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-libksysguard-common = %EVR
Obsoletes: kf5-libksysguard-common < %EVR
Conflicts: plasma5-ksysguard-common < 5.22
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-libksysguard-devel = %EVR
Obsoletes: kf5-libksysguard-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n polkit-kde-ksysguard
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: %name-common
%description -n polkit-kde-ksysguard
Common polkit files for %name

%package -n %libksgrd
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libksgrd
%name library

%package -n %libksignalplotter
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libksignalplotter
%name library

%package -n %libprocesscore
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
Requires: polkit-kde-ksysguard
%description -n %libprocesscore
%name library

%package -n %liblsofui
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
Requires: lsof
%description -n %liblsofui
%name library

%package -n %libprocessui
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libprocessui
%name library

%package -n %libksysguardformatter
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libksysguardformatter
%name library

%package -n %libksysguardfaces
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libksysguardfaces
%name library

%package -n %libksysguardsensors
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libksysguardsensors
%name library

%package -n %libksysguardsystemstats
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %libksysguardsystemstats
%name library

%prep
%setup -n %rname-%version
#%patch -p2

%build
%K5build \
    -DKDE_INSTALL_INCLUDEDIR=%_K5inc \
    #

%install
%K5install
%K5install_move data ksysguard knsrcfiles
%find_lang %name --all-name

%post
/sbin/setcap CAP_NET_RAW=+ep %_K5libexecdir/ksysguard/ksgrd_network_helper ||:

%files common -f %name.lang
%doc LICENSES/*
%dir %_K5data/ksysguard/
%_datadir/qlogging-categories5/*.*categories

%files
%dir %_K5plug/ksysguard/
%dir %_K5plug/ksysguard/process/
%_K5libexecdir/kauth/*ksysguard*
%_K5libexecdir/ksysguard/ksgrd_network_helper
%_K5dbus/system.d/org.kde.ksysguard.processlisthelper.conf
%_K5dbus_sys_srv/org.kde.ksysguard.processlisthelper.service
%_K5plug/kpackage/packagestructure/sensor*.so
%_K5plug/ksysguard/process/ksysguard_*.so
%_K5qml/org/kde/ksysguard/
%_K5data/ksysguard/
%_K5data/knsrcfiles/*

%files devel
%_K5plug/designer/*.so
#%_K5inc/libksysguard_version.h
%_K5inc/ksysguard/
%_K5link/lib*.so
%_K5lib/cmake/K*SysGuard/
#%_K5archdata/mkspecs/modules/qt_libKSysGuard.pri
%_K5dbus_iface/*.xml

%files -n polkit-kde-ksysguard
%_datadir/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy

%files -n %libprocesscore
%_K5lib/libprocesscore.so.%sover
%_K5lib/libprocesscore.so.*
%files -n %libprocessui
%_K5lib/libprocessui.so.%sover
%_K5lib/libprocessui.so.*
%files -n %libksgrd
%_K5lib/libksgrd.so.%sover
%_K5lib/libksgrd.so.*
%files -n %libksignalplotter
%_K5lib/libksignalplotter.so.%sover
%_K5lib/libksignalplotter.so.*
%files -n %liblsofui
%_K5lib/liblsofui.so.%sover
%_K5lib/liblsofui.so.*
%files -n %libksysguardformatter
%_K5lib/libKSysGuardFormatter.so.%sover2
%_K5lib/libKSysGuardFormatter.so.*
%files -n %libksysguardfaces
%_K5lib/libKSysGuardSensorFaces.so.%sover2
%_K5lib/libKSysGuardSensorFaces.so.*
%files -n %libksysguardsensors
%_K5lib/libKSysGuardSensors.so.%sover2
%_K5lib/libKSysGuardSensors.so.*
%files -n %libksysguardsystemstats
%_K5lib/libKSysGuardSystemStats.so.%sover2
%_K5lib/libKSysGuardSystemStats.so.*

%changelog
