%define rname milou

%define milou_sover 5
%define libmilou libmilou%milou_sover

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace no_appdata

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 Search and Launch
Url: http://www.kde.org
License: GPL-2.0-or-later

Source: %rname-%version.tar
Patch: %rname-alt-timer.patch
Patch2: %rname-alt-tooltip.patch

# Automatically added by buildreq on Tue Apr 07 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libdbusmenu-qt52 libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-qml libqt5-quick libqt5-script libqt5-sql libqt5-svg libqt5-test libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcbutil-keysyms python-base qt5-base-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kconfig-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kdeclarative-devel kf5-ki18n-devel kf5-kpackage-devel kf5-krunner-devel kf5-kservice-devel kf5-plasma-framework-devel python-module-google qt5-declarative-devel qt5-script-devel rpm-build-gir rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-declarative-devel qt5-script-devel
BuildRequires: kf5-kconfig-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kdeclarative-devel kf5-ki18n-devel kf5-kpackage-devel
BuildRequires: kf5-krunner-devel kf5-kservice-devel kf5-plasma-framework-devel kf5-kitemmodels-devel

Provides: kf5-milou = %EVR
Obsoletes: kf5-milou < %EVR

%description
Search and Launch.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-milou-common = %EVR
Obsoletes: kf5-milou-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-milou-devel = %EVR
Obsoletes: kf5-milou-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libmilou
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n %libmilou
KF5 library


%prep
%setup -n %rname-%version
%patch -p2
%patch2 -p2

%build
%K5build

%install
%K5install
%find_lang %name --all-name

%files common -f %name.lang
%doc LICENSES/*

%files
#%_K5plug/*.so
%_K5qml/org/kde/milou/
%_K5data/plasma/plasmoids/org.kde.milou/
%_K5srv/*.desktop
#%_K5srvtyp/*.desktop

#%files devel
#%_K5inc/milou_version.h
#%_K5inc/milou/
#%_K5link/lib*.so
#%_K5lib/cmake/milou
#%_K5archdata/mkspecs/modules/qt_milou.pri

%files -n %libmilou
%_K5lib/libmilou.so.*
%_K5lib/libmilou.so.%milou_sover

%changelog
