%define rname oxygen

Name: plasma5-%rname
Version: 5.27.8
Release: alt1
Epoch: 1
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 visual style
Url: http://www.kde.org
License: GPL-2.0-or-later

#Requires: icon-theme-oxygen

Source: %rname-%version.tar

# Automatically added by buildreq on Sat Mar 21 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libEGL-devel libGL-devel libcloog-isl4 libqt5-core libqt5-dbus libqt5-gui libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms pkg-config python-base qt5-base-devel ruby ruby-stdlibs
#BuildRequires: extra-cmake-modules gcc-c++ kf5-frameworkintegration-devel kf5-kauth-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel python-module-google qt5-x11extras-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-declarative-devel qt5-x11extras-devel
BuildRequires: kf5-frameworkintegration-devel kf5-kauth-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-kguiaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel kf5-kitemviews-devel kf5-kservice-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel
BuildRequires: plasma5-kdecoration-devel kf5-kcmutils-devel kf5-kwayland-devel

Provides: kf5-oxygen = %EVR
Obsoletes: kf5-oxygen < %EVR

%description
Artwork, styles and assets for the Breeze visual style for the Plasma Desktop.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-oxygen-common = %EVR
Obsoletes: kf5-oxygen-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-oxygen-devel = %EVR
Obsoletes: kf5-oxygen-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n liboxygenstyle5
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n liboxygenstyle5
KF5 library

%package -n liboxygenstyleconfig5
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %EVR
%description -n liboxygenstyleconfig5
KF5 library


%prep
%setup -n %rname-%version

%build
%K5build \
    -DICON_INSTALL_DIR=%_iconsdir \
    #

%install
%K5install
%K5install_move data kstyle sounds plasma color-schemes
%find_lang %name --all-name

%files common -f %name.lang
%doc LICENSES/*

%files
%_bindir/*5
%_K5bin/*
%_K5plug/org.kde.kdecoration2/*.so
#%_K5snd/Oxygen*
%_iconsdir/Oxygen_*/
%_iconsdir/*/*/apps/oxygen-settings.*
%_iconsdir/KDE_Classic/
%_K5data/color-schemes/*
%_K5data/plasma/look-and-feel/org.kde.oxygen/
%_K5plug/*oxygen*.so
%_K5plug/styles/oxygen.so
%_K5data/kstyle/themes/oxygen.themerc
%_K5srv/*.desktop

%files -n liboxygenstyle5
%_K5lib/liboxygenstyle5.so.*
%files -n liboxygenstyleconfig5
%_K5lib/liboxygenstyleconfig5.so.*

%changelog
