%ifndef _unitdir_user
%define _unitdir_user %prefix/lib/systemd/user
%endif

%define rname powerdevil

%define powerdevilconfigcommonprivate_sover 5
%define libpowerdevilconfigcommonprivate libpowerdevilconfigcommonprivate%powerdevilconfigcommonprivate_sover
%define powerdevilui_sover 5
%define libpowerdevilui libpowerdevilui%powerdevilui_sover
%define powerdevilcore_sover 2
%define libpowerdevilcore libpowerdevilcore%powerdevilcore_sover

Name: plasma5-%rname
Version: 5.27.8
Release: alt2
%K5init altplace

Group: Graphical desktop/KDE
Summary: KDE Workspace 5 advanced power management settings
Url: http://www.kde.org
License: GPL-2.0-or-later

Requires: upower
Requires(pre): /sbin/setcap

Source: %rname-%version.tar

Patch1: %rname-alt-kidletime-crash.patch
Patch2: alt-dont-suspend-on-ac.patch

# Automatically added by buildreq on Sat Mar 21 2015 (-bi)
# optimized out: cmake cmake-modules docbook-dtds docbook-style-xsl elfutils kf5-attica-devel kf5-kdoctools-devel libEGL-devel libGL-devel libICE-devel libSM-devel libX11-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel libXft-devel libXi-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libcloog-isl4 libdbusmenu-qt52 libgpg-error libjson-c libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-svg libqt5-widgets libqt5-x11extras libqt5-xml libstdc++-devel libxcb-devel libxcbutil-keysyms libxkbfile-devel pkg-config python-base qt5-base-devel ruby ruby-stdlibs xml-common xml-utils xorg-kbproto-devel xorg-randrproto-devel xorg-renderproto-devel xorg-xextproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kglobalaccel-devel kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kidletime-devel kf5-kinit-devel kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kparts-devel kf5-kservice-devel kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel kf5-kxmlgui-devel kf5-plasma-workspace-devel kf5-solid-devel kf5-sonnet-devel libudev-devel python-module-google qt5-x11extras-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5
BuildRequires: extra-cmake-modules gcc-c++ qt5-x11extras-devel
BuildRequires: libudev-devel libddcutil-devel
BuildRequires: plasma5-libkscreen-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel
BuildRequires: kf5-kdbusaddons-devel kf5-kdelibs4support kf5-kdelibs4support-devel kf5-kdesignerplugin-devel
BuildRequires: kf5-kdoctools kf5-kdoctools-devel kf5-kemoticons-devel kf5-kglobalaccel-devel
BuildRequires: kf5-kguiaddons-devel kf5-ki18n-devel kf5-kiconthemes-devel kf5-kidletime-devel kf5-kinit-devel
BuildRequires: kf5-kio-devel kf5-kitemmodels-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-knotifications-devel kf5-knotifyconfig-devel kf5-kparts-devel kf5-kservice-devel
BuildRequires: kf5-ktextwidgets-devel kf5-kunitconversion-devel kf5-kwidgetsaddons-devel kf5-kwindowsystem-devel
BuildRequires: kf5-kxmlgui-devel plasma5-workspace-devel kf5-solid-devel kf5-sonnet-devel
BuildRequires: kf5-kactivities-devel kf5-kwayland-devel kf5-kirigami-devel
BuildRequires: kf5-networkmanager-qt-devel kf5-bluez-qt-devel kf5-kcmutils-devel
# tmp
BuildRequires: libnm-devel

Provides: kf5-powerdevil = %EVR
Obsoletes: kf5-powerdevil < %EVR

%description
Advanced power management settings.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides: kf5-powerdevil-common = %EVR
Obsoletes: kf5-powerdevil-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Provides: kf5-powerdevil-devel = %EVR
Obsoletes: kf5-powerdevil-devel < %EVR
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libpowerdevilconfigcommonprivate
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libpowerdevilconfigcommonprivate
KF5 library

%package -n %libpowerdevilui
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libpowerdevilui
KF5 library

%package -n %libpowerdevilcore
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n %libpowerdevilcore
KF5 library


%prep
%setup -n %rname-%version
%patch1 -p2
%patch2 -p1

sed -i 's|Libcap|setcap_EXEC_ALREADY_IN_RPM_POST_SCRIPT|' CMakeLists.txt

find ./ -type f | \
while read f ; do
    sed -i 's|org.kde.powerdevil.backlighthelper|org.kde5.powerdevil.backlighthelper|g' $f
done

%build
%K5build \
    -DKDE_INSTALL_LIBEXECDIR=%_K5exec \
    -DHAVE_DDCUTIL=ON \
    #

%install
%K5install
%K5install_move exec org_kde_powerdevil
%find_lang %name --with-kde --all-name

%post
/sbin/setcap CAP_WAKE_ALARM=+ep %_K5exec/org_kde_powerdevil ||:


%files common -f %name.lang
%doc COPYING*
%_datadir/qlogging-categories5/*.*categories

%files
#%config %_K5conf_dbus_sysd/*.conf
%_K5dbus/system.d/*.conf
%_K5libexecdir/kauth/*helper*
%_K5exec/*powerdevil*
%_K5plug/*.so
%_K5plug/kf5/powerdevil/
%_K5plug/powerdevil/
%_K5plug/plasma/kcms/systemsettings_qwidgets/*powerdevil*.so
%_K5start/powerdevil.desktop
%_K5xdgapp/*powerdevil*.desktop
%_K5notif/*.notifyrc
%_K5dbus_sys_srv/*.service
%_datadir/polkit-1/actions/*.policy
%_unitdir_user/*.service

#%files devel
#%_K5inc/powerdevil_version.h
#%_K5inc/PowerDevil/
#%_K5link/lib*.so
#%_K5lib/cmake/PowerDevil
#%_K5archdata/mkspecs/modules/qt_PowerDevil.pri

%files -n %libpowerdevilconfigcommonprivate
%_K5lib/libpowerdevilconfigcommonprivate.so.*
%_K5lib/libpowerdevilconfigcommonprivate.so.%powerdevilconfigcommonprivate_sover
%files -n %libpowerdevilui
%_K5lib/libpowerdevilui.so.*
%_K5lib/libpowerdevilui.so.%powerdevilui_sover
%files -n %libpowerdevilcore
%_K5lib/libpowerdevilcore.so.*
%_K5lib/libpowerdevilcore.so.%powerdevilcore_sover

%changelog
