%define oname berserker_resolver

Name:       python3-module-%oname
Version:    2.0.1
Release:    alt2

Summary:    Fast mass dns resolver which can bypass loadbalancers
License:    BSD
Group:      Development/Python3
Url:        https://pypi.python.org/pypi/berserker_resolver/

BuildArch:   noarch

# https://github.com/DmitryFillo/berserker_resolver.git
Source:     %name-%version.tar
Patch1:     %oname-%version-alt-build.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-dns python3-module-mock

%py3_provides %oname
%py3_requires dns


%description
Berserker Resolver is fast mass dns resolver which can bypass
loadbalancers.

%prep
%setup
%patch1 -p1

%build
%python3_build_debug

%install
%python3_install

%check
%__python3 setup.py test

%files
%doc *.rst TODO
%python3_sitelibdir/*


%changelog
