%define _unpackaged_files_terminate_build 1
%define oname clang

%def_without check

Name:       python3-module-%oname
Version:    6.0.0.2
Release:    alt1

Summary:    libclang python bindings
License:    MIT
Group:      Development/Python3
Url:        https://pypi.python.org/pypi/clang/

BuildArch:  noarch

Source0:    %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-nose python-tools-2to3

Requires: clang


%description
This is the python bindings subdir of llvm clang repository.
https://github.com/llvm-mirror/clang/tree/master/bindings/python

This is a fork. Mainly for Pypi packaging purposes.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: python3-module-%oname = %EVR

%description tests
This is the python bindings subdir of llvm clang repository.
https://github.com/llvm-mirror/clang/tree/master/bindings/python

This is a fork. Mainly for Pypi packaging purposes.

This package contains tests for %oname.

%prep
%setup

find -type f -name '*.py' -exec 2to3 -w -n '{}' +

%build
%python3_build_debug

%install
%python3_install

mv tests/ %buildroot%python3_sitelibdir/%oname/

%check
%__python3 setup.py test

%files
%doc LICENSE README.txt examples/
%python3_sitelibdir/*
%exclude %python3_sitelibdir/%oname/tests/

%files tests
%python3_sitelibdir/%oname/tests/


%changelog
