%define oname fasteners

Name: python3-module-fasteners
Version: 0.15
Release: alt2

Summary: A python package that provides useful locks

Group: Development/Python3
License: ASL 2.0
Url: https://github.com/harlowja/fasteners

BuildArch: noarch

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-six python3-module-monotonic

# tests
BuildRequires: python3-module-testtools
BuildRequires: python3-module-nose
BuildRequires: python-module-futures

%description
A python package that provides useful locks.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
%python3_prune
rm -f %python3_sitelibdir/%oname/test.py

%check
nosetests3

%files
%doc README.rst
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-*.egg-info/


%changelog
