%define oname idna

Name: python3-module-%oname
Version: 3.2
Release: alt1

Summary: A library to support the Internationalised Domain Names in Applications (IDNA)

License: BSD
Group: Development/Python3
Url: https://github.com/kjd/idna

Source: %oname-%version.tar
BuildArch: noarch

BuildRequires: python3-module-setuptools rpm-build-python3

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891. This version of the protocol is often referred
to as "IDNA2008" and can produce different results from the earlier standard from 2003.

%prep
%setup -n %oname-%version


%build
%python3_build

%install
%python3_install

%files
%python3_sitelibdir/%oname/
%python3_sitelibdir/*.egg-*

%changelog
