%define  modulename jaraco.functools

Name:    python3-module-%modulename
Version: 3.3.0
Release: alt1

Summary: Additional functools in the spirit of stdlib's functools
License: MIT
Group:   Development/Python3
URL:     https://github.com/jaraco/jaraco.functools

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-dev python3-module-setuptools_scm
BuildRequires: python3-module-toml

BuildArch: noarch

Source:  %modulename-%version.tar

# According to PEP 420 module can import without __init__.py, but autoprov does not support this behaviour.
# See https://bugzilla.altlinux.org/show_bug.cgi?id=39556
%py3_provides jaraco.functools

%description
%summary

%prep
%setup -n %modulename-%version

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%python3_install

%files
%python3_sitelibdir/jaraco/*
%python3_sitelibdir/%{modulename}*

%changelog
