%define oname josepy

Name: python3-module-%oname
Version: 1.8.0
Release: alt1

Summary: JOSE protocol implementation in Python using cryptography

License: Apache-2.0
Group: Development/Python3
Url: https://github.com/certbot/josepy

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.1.3
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-devel python3-module-setuptools

%py3_provides %oname

%description
JOSE protocol implementation in Python using cryptography.

%prep
%setup

%build
%python3_build

%install
%python3_install
rm -rf %buildroot%python3_sitelibdir/*/*test*
rm -rf %buildroot%python3_sitelibdir/*/*/*test*
rm -rf %buildroot%_bindir/

%check
%python3_check
# Make sure the script uses the expected python version
#grep -q python3 %buildroot%_bindir/jws

%files
%doc README*
%python3_sitelibdir/*

%changelog
