%define mname xstatic
%define oname %mname-jquery-ui
%define pypi_name XStatic-jquery-ui

Name:       python3-module-%oname
Version:    1.12.0.1
Release:    alt2

Summary:    jquery-ui (XStatic packaging standard)
License:    MIT
Group:      Development/Python3
Url:        https://pypi.python.org/pypi/%pypi_name/
Source:     %pypi_name-%version.tar.gz

BuildArch:  noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-%mname python3-module-%mname-jquery

%py3_provides %mname.pkg.jquery_ui
%py3_requires %mname.pkg.jquery


%description
jquery-ui javascript library packaged for setuptools (easy_install) /
pip.

This package is intended to be used by any project that needs these
files.

%prep
%setup -n %pypi_name-%version

%build
%python3_build_debug

%install
%python3_install

%check
%__python3 setup.py test

%files
%doc *.txt
%python3_sitelibdir/%mname/pkg/*
%python3_sitelibdir/*.egg-info
%exclude %python3_sitelibdir/*.pth


%changelog
