
%global qt_module qttranslations

Name: qt5-translations
Version: 5.15.10
Release: alt1

Group: System/Libraries
Summary: Qt5 - QtTranslations module
Url: http://qt.io/
License: LGPLv2 / GPLv3

BuildArch: noarch
Requires: qt5-base-common

Source: %qt_module-everywhere-src-%version.tar

# Automatically added by buildreq on Fri Mar 14 2014 (-bi)
# optimized out: libqt5-core libqt5-xml python-base qt5-base-devel qt5-declarative-devel qt5-tools
#BuildRequires: qt5-script-devel qt5-tools-devel qt5-webkit-devel qt5-xmlpatterns-devel ruby ruby-stdlibs
BuildRequires(pre): rpm-build-ubt
BuildRequires: qt5-base-devel qt5-tools

%description
%{summary}.

%prep
%setup -n %qt_module-everywhere-src-%version
syncqt.pl-qt5 -version %version

%build
%qmake_qt5
%make_build

%install
%install_qt5

%find_lang --with-qt --without-mo %name
find %buildroot/%_qt5_translationdir -type f -name \*.qm | sed 's|_.*||' | sort -u | \
while read f
do
    %find_lang --with-qt --without-mo --append --output=%name.lang `basename $f`
done
%find_lang --with-qt --without-mo --append --output=%name.lang qt_help

%files -f %name.lang

%changelog
