%define _unpackaged_files_terminate_build 1

%def_disable debug
%define _rebar_builddir _build/prod

Name: rebar
Epoch: 1
Version: 3.20.0
Release: alt1
Summary: A sophisticated build-tool for Erlang projects that follows OTP principles.
License: Apache-2.0
Group: Development/Erlang
BuildArch: noarch
URL: https://www.rebar3.org
VCS: https://github.com/erlang/rebar3.git

Source: %name-%version.tar

BuildRequires(pre): rpm-build-erlang rpm-build-licenses
BuildRequires: erlang-devel erlang-otp-devel
BuildRequires: erlang-visual-devel erlang-common_test-devel

Requires: erlang-otp erlang-visual erlang-common_test
Provides: rebar3
Provides: /usr/bin/rebar3

%description
rebar is an Erlang build tool that makes it easy to compile and
test Erlang applications, port drivers and releases.

rebar is a self-contained Erlang script, so it's easy to distribute or even
embed directly in a project. Where possible, rebar uses standard Erlang/OTP
conventions for project structures, thus minimizing the amount of build
configuration work. rebar also provides dependency management, enabling
application writers to easily re-use common libraries from a variety of
locations (git, hg, etc).

%prep
%setup

%build
HOME="." ./bootstrap

%install
mkdir -p %buildroot%_bindir
install -m755 %_rebar_builddir/bin/rebar3 %buildroot%_bindir
#install -d -m644 %_rebar_builddir/lib/rebar %buildroot%_erllibdir

%files
%_bindir/*

%changelog
