Name: repocop-unittest-altlinux-policy
Version: 0.47
Release: alt1
BuildArch: noarch
Packager: Igor Vlasenko <viy@altlinux.ru>
Url: http://repocop.altlinux.org

Summary: altlinux-policy integration tests for repocop test platform.
Group: Development/Other
License: GPLv2+

Source: %name-%version.tar
Provides: repocop-unittest-altlinux-policy-rpm-macros-packaging = 0.04
Obsoletes: repocop-unittest-altlinux-policy-rpm-macros-packaging
Obsoletes: repocop-unittest-unknown-summary < 0.02

Requires: repocop-collector-specfile
Requires: repocop-collector-description > 0.02
Requires: repocop > 0.79

BuildRequires: perl(RPM/Source/Editor.pm) perl(RPM/Source/SpecConst.pm)


%description
The test warns packages that contain rpm macros, but are not named
appropriately.

%prep
%setup

%build

%install
for i in *.posttest; do
    testname=`echo $i | sed -e s,.posttest\$,,`
    case $testname in
	specfile-*)
	    install -pD -m 755 $testname.posttest %buildroot%_datadir/repocop/srctests/$testname/posttest
	    ;;
	*)
	    install -pD -m 755 $testname.posttest %buildroot%_datadir/repocop/pkgtests/$testname/posttest
    esac
done

for i in *.pl; do
    install -pD -m 644 $i %buildroot%_datadir/repocop/fixscripts/$i
done

for i in repocop-helper-*; do
    testname=`echo $i | sed -e s,^repocop-helper-,,`
    case $testname in
	specfile-*)
	    install -pD -m 755 $i %buildroot%_datadir/repocop/srctests/$testname/repocop-helper-$testname
	    ;;
	*)
	    install -pD -m 755 $i %buildroot%_datadir/repocop/pkgtests/$testname/repocop-helper-$testname
    esac
done

%files
%_datadir/repocop/pkgtests/*
%_datadir/repocop/srctests/*
%_datadir/repocop/fixscripts/*

%changelog
