# BEGIN SourceDeps(oneline):
BuildRequires: perl(Pod/Usage.pm) perl(RPM/Header.pm) perl(Parallel/ForkManager.pm)
# END SourceDeps(oneline)
URL: https://www.altlinux.org/Repofork-utils
Name: repofork-utils
Version: 0.13
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: tools to create a modified copy of a repository
Group: Development/Other
License: GPLv2+
#Url: 
Source: %name-%version.tar

Requires: /usr/bin/pkglist-query
BuildRequires: /usr/bin/altlinux-find-local-mirror

%description
mkrepofork tool creates a (hardlinked) modified copy of an
existing repository with given packages added/removed/replaced.

%prep
%setup

%build
#perl_vendor_build

%install
#perl_vendor_install

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 mkrepofork repofork-* $RPM_BUILD_ROOT%_bindir/
rm $RPM_BUILD_ROOT%_bindir/*.spec

%files
%_bindir/mkrepofork
%_bindir/repofork*

%changelog
