Name: rpm-macros-features
Version: 20230804
Release: alt0.p10.1

Summary: RPM macros to check if can build with a feature
License: GPLv2
Group: Development/Other

Source: %name-%version.tar

Obsoletes: rpm-build-features
Provides: rpm-build-features

%description
RPM macros to check if can build with a feature (a library is possible).

Usage:
if_feature vulkan
BuildRequires: libvulkan-devel
endif

if_feature icu 6.5
...
endif

%prep
%setup

%install
dfile=''

dfile=macros.%_arch

%ifarch %e2k
dfile=macros.e2k
%endif

%ifarch %ix86
dfile=macros.i586
%endif

%ifarch %mips32
dfile=macros.mips32
%endif

%ifarch %arm
dfile=macros.arm
%endif

install -D -m644 macros %buildroot/%_rpmmacrosdir/features
[ -n "$dfile" ] && [ -s "$dfile" ] && cat $dfile >> %buildroot/%_rpmmacrosdir/features

%files
%_rpmmacrosdir/features

%changelog
