Name: wcmcommander
Version: 0.20.0
Release: alt3

Summary: WCM Commander is a Far commander clone on Linux
License: MIT
Group: File tools
Url: http://wcm.linderdaum.com/

# https://github.com/corporateshark/WCMCommander
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: cmake gcc-c++ libX11-devel
BuildRequires: libfreetype-devel libsmbclient-devel
BuildRequires: libssh2-devel samba-common

Requires: fonts-ttf-dejavu fonts-ttf-liberation

Provides: walcommander = %name-%version
Obsoletes: walcommander < %name-%version


%description
WCM Commander is a Far commander clone on Linux.

%prep
%setup

sed -i 's|'^#!.*python*'|#!/usr/bin/python3|' \
                        $(find ./ -name '*.py')

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

# replaced with fonts-ttf- requires
rm -rf %buildroot%_datadir/wcm/fonts/

%files
%doc LICENSE CHANGELOG.txt readme_eng.txt README.md
%_bindir/*
%_datadir/wcm/
%_desktopdir/*.desktop
%_pixmapsdir/*.png


%changelog
