Name: xfce4-dict
Version: 0.8.5
Release: alt1

Summary: Xfce4 Dictionary - A client program to query different dictionaries
License: GPLv2+
Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>
Url: https://docs.xfce.org/apps/xfce4-dict/start
Vcs: https://gitlab.xfce.org/apps/xfce4-dict.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

Obsoletes: xfce4-dict-plugin < 0.5.2
Provides: xfce4-dict-plugin

BuildPreReq: rpm-build-xfce4 xfce4-dev-tools
BuildPreReq: libxfce4panel-gtk3-devel libxfce4ui-gtk3-devel libxfce4util-devel
BuildRequires: libgio-devel
BuildRequires: intltool

Requires: enchant xdg-utils

%define _unpackaged_files_terminate_build 1

%description
This program allows you to search different kinds of dictionary services
for words or phrases and shows you the result.
Currently you can query a "Dict" server(RFC 2229), any online dictionary
service by opening a web browser or search for words using a spell check
program like aspell, ispell or enchant.

xfce4-dict contains a stand-alone application called "xfce4-dict" and a
panel plugin for the Xfce panel.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README ChangeLog AUTHORS
%_bindir/xfce4-dict
%_libdir/xfce4/panel/plugins/*.so
%_datadir/xfce4/panel/plugins/*.desktop
%_desktopdir/*.desktop
%_man1dir/*
%_iconsdir/*/*/*/*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
