Name: xfce4-fsguard-plugin
Version: 1.1.3
Release: alt1

Summary: Plugin checks the chosen mountpoint for free disk space
License: BSD-2-Clause
Group: Graphical desktop/XFce
Packager: Xfce Team <xfce@packages.altlinux.org>

Url: https://docs.xfce.org/panel-plugins/xfce4-fsguard-plugin
Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-fsguard-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel >= 4.12 libxfce4ui-gtk3-devel libxfce4util-devel

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
A little Xfce plugin, which checks the free space on the chosen
mountpoint frequently. It displays 4 different icons and a message box,
depending on the free space. The amount of free disk space is visible in
a tooltip. If you left-click on its icon, it opens the mountpoint
directory in the file manager.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
    --enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README.md AUTHORS NEWS
%_libdir/xfce4/panel/plugins/*
%_datadir/xfce4/panel/plugins/*.desktop
%_iconsdir/hicolor/*/*/*

%exclude %_libdir/xfce4/panel/plugins/*.la

%changelog
