Name: xfce4-mpc-plugin
Version: 0.5.3
Release: alt1

Summary: MPD Client Plugin
License: ISC
Group: Graphical desktop/XFce
Url: https://docs.xfce.org/panel-plugins/xfce4-mpc-plugin/start
Packager: Xfce Team <xfce@packages.altlinux.org>

Vcs: https://gitlab.xfce.org/panel-plugins/xfce4-mpc-plugin.git
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: rpm-build-xfce4 xfce4-dev-tools
BuildRequires: libxfce4panel-gtk3-devel >= 4.13.5 libxfce4ui-gtk3-devel libxfce4util-devel
BuildRequires: libmpd-devel

Requires: xfce4-panel

%define _unpackaged_files_terminate_build 1

%description
This is a simple Musicpd (https://www.musicpd.org) client plugin for the
Xfce panel.

%prep
%setup
%patch -p1

%build
%xfce4reconf
%configure \
	--enable-debug=minimum
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc README AUTHORS NEWS COPYING
%_libdir/xfce4/panel/plugins/*
%_datadir/xfce4/panel/plugins/*.desktop

%changelog
