Name: xneur
Version: 0.20.0
Release: alt4

Summary: X Neural Switcher
License: GPL-2.0
Group: Office
Url: http://xneur.ru/

Source: %{name}_%version.orig.tar.gz
Patch0: xneur-memset.patch
Patch1: xneur-unnest-function.patch
Patch2: xneur-enchant2.patch
Patch3: xneur-fix-arg-parsing.patch
Patch4: xneur-gcc-10.patch

BuildRequires: glibc-devel-static gstreamer1.0-devel intltool libXinerama-devel libXtst-devel libaspell-devel libgtk+3-devel libnotify-devel libpcre-devel libxosd-devel
BuildRequires: zlib-devel

Requires: lib%name = %version-%release

%description
Xneur is program like Punto Switcher, but has other
functionality and features for configuring.

%package -n lib%name
Summary: Libraries needed for %name
Group: System/Libraries

%description -n lib%name
Libraries needed for %name

%package -n lib%name-devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%prep
%setup
%patch0 -p2
%patch1 -p2
%patch2 -p1
%patch3 -p1
%patch4 -p1
# Stupid unhack
sed -i 's/loKg_message/log_message/' lib/main/program.c

%build
%autoreconf
%configure --disable-static --with-spell=aspell
%make_build
%make

%install
%makeinstall_std
%find_lang %name
rm -f %buildroot%_libdir/%name/*.so %buildroot%_libdir/%name/*.la

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/*
%_sysconfdir/%name/
%dir %_libdir/%name/
%_libdir/%name/*.so.*
%_iconsdir/hicolor/*/*/*
%_datadir/%name/
%_man1dir/*
%_man5dir/*

%files -n lib%name
%_libdir/libxneur.so.*
%_libdir/libxnconfig.so.*

%files -n lib%name-devel
%_includedir/%name/
%_libdir/libxneur.so
%_libdir/libxnconfig.so
%_pkgconfigdir/*.pc

%changelog
