Name: xorg-xcbproto-devel
Version: 1.14
Release: alt1

Summary: XML-XCB protocol descriptions
License: MIT/X11
Group: Development/C
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Provides: xcbproto = %version-%release xcb-proto = %version-%release

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch
BuildRequires: python-devel xml-utils xorg-util-macros

%description
XML-XCB protocol descriptions.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure
%make

%install
%make DESTDIR=%buildroot install

%files
%doc NEWS README.md TODO
%python_sitelibdir/xcbgen
%_datadir/xcb
%_datadir/pkgconfig/*.pc

%changelog
